debian-installer (20101020ubuntu451.16) xenial; urgency=medium

  [ Steve Langasek ]
  * Adjust the Vcs-Bzr target for SRUs.

  [ Adam Conrad ]
  * Move master kernels to 4.4.0-101.
  * Move hwe kernels to 4.10.0-40.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 18 Nov 2017 12:16:40 -0700

debian-installer (20101020ubuntu451.15) xenial; urgency=medium

  * Move master kernels to 4.4.0-96.
  * Move hwe kernels to 4.10.0-35.  LP: #1715101.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 14 Sep 2017 09:55:21 -0700

debian-installer (20101020ubuntu451.14) xenial; urgency=medium

  * Move master kernels to 4.4.0-87.
  * Move hwe kernels to 4.10.0-28.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 21 Jul 2017 12:51:42 -0600

debian-installer (20101020ubuntu451.13) xenial; urgency=medium

  * Rebuild with updated systemd package:
    - Use predictable names for non-PCI platform NICs. LP: #1705137

 -- dann frazier <dannf@ubuntu.com>  Wed, 19 Jul 2017 09:08:54 -0600

debian-installer (20101020ubuntu451.12) xenial; urgency=medium

  * build/util/efi-image: Fix up FAT filesystem size calculation:
    - Call mkfs.msdos with -v so we can trace what it's doing.
    - We appear to need 32k headroom, not 24k; this was masked
      by rounding errors and blind luck until grub grew 1.5kB.
    - Break out the magic headroom number into 32+31 to match
      the comment and make the arithmetic more obvious to read.
    - Round file sizes up, not down, so we don't break in future.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 30 Jun 2017 01:58:12 -0600

debian-installer (20101020ubuntu451.11) xenial; urgency=medium

  * Move master kernels to 4.4.0-83.
  * Move hwe kernels to 4.10.0-27.
  * Bump FLOPPY_SIZE on x86 slightly.
  * Include $efi_name in shim filename.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 12 Apr 2017 08:21:07 -0600

debian-installer (20101020ubuntu451.10) xenial; urgency=medium

  [ dann frazier ]
  * arm64/xgene-uboot: Set the correct compression flag when generating
    a uImage of a gzip'd kernel. LP: #1384955.
  * Tell GRUB to load the gzio module on arm64 now that we're booting
    a compressed kernel. LP: #1632473.

  [ Adam Conrad ]
  * Add HWE variants for all architectures except powerpc (LP: #1662712)
  * Move master kernels to 4.4.0-62.
  * Rebuild to pick up new components (LP: #1572620, #1558271)

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 07 Feb 2017 07:13:40 -0700

debian-installer (20101020ubuntu451.9) xenial; urgency=medium

  * Bump FLOPPY_SIZE by 2MB on amd64 and i386 for linux-firmware growth.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 07 Dec 2016 01:10:51 -0700

debian-installer (20101020ubuntu451.8) xenial; urgency=medium

  * No change rebuild to pick up the latest change in preseed (LP: #1452202) 

 -- Eric Desrochers <eric.desrochers@canonical.com>  Mon, 17 Oct 2016 17:16:42 -0400

debian-installer (20101020ubuntu451.6) xenial; urgency=medium

  * Use full version as BUILD_DATE string in the build process, such that
    mini.iso mini-info & d-i fake status file correctly declare full
    buildstamp. Currently it's impossible to tell apart SRU builds from
    each and from the GA build. LP: #1628149.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 28 Sep 2016 12:05:12 +0100

debian-installer (20101020ubuntu451.5) xenial; urgency=medium

  * arm64/cdrom: add virtio-modules for QEMU installs (LP: #1605407)

 -- dann frazier <dannf@ubuntu.com>  Mon, 01 Aug 2016 12:44:31 -0600

debian-installer (20101020ubuntu451.4) xenial; urgency=medium

  * Stop stripping modules; it removes the signatures (LP: #1604441)

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 19 Jul 2016 10:32:57 -0600

debian-installer (20101020ubuntu451.3) xenial; urgency=medium

  * Move master kernels to 4.4.0-31.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 15 Jul 2016 13:06:46 -0600

debian-installer (20101020ubuntu451.2) xenial; urgency=medium

  * Rebuild d-i with updated s390-tools package:
    - Cherrypick upstream fix for buffer overflow in dasdfmt. LP: #1582728

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 16 Jun 2016 10:41:23 +0300

debian-installer (20101020ubuntu451.1) xenial; urgency=medium

  * Rebuild with updated netcfg package:
    - fix propagation of netcfg/vlan_id settings LP: #1567687
    - fix disabling dhcp via preseed on s390x LP: #1572607

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 20 May 2016 05:42:25 +0100

debian-installer (20101020ubuntu451) xenial; urgency=medium

  * Don't drop non-English language support for s390x (LP: #1541195).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 20 Apr 2016 14:41:56 +0100

debian-installer (20101020ubuntu450) xenial; urgency=medium

  * Move master kernels to 4.4.0-21.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 19 Apr 2016 09:37:00 -0600

debian-installer (20101020ubuntu449) xenial; urgency=medium

  * Move master kernels to 4.4.0-20.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 16 Apr 2016 16:12:37 -0600

debian-installer (20101020ubuntu448) xenial; urgency=medium

  * Cherry-pick changes from Debian for the removal of libnss-*-udeb:
    - Switch to using mklibs-copy for the reduction on all arches.
    - Drop the build-dependency on glibc-pic, unneeded for above.
    - Stop excluding libc-udeb to avoid dropping libnss libraries
      and to avoid a useless download of libc-udeb during install.
    - Drop references to libnss-*-udeb, now provided by libc-udeb.
    - Drop extra armhf linker, libc-udeb provides the same symlink.
  * Bump FLOPPY_SIZE by 1MB on all arches to make room for the above.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 16 Apr 2016 12:12:07 -0600

debian-installer (20101020ubuntu447) xenial; urgency=medium

  * Rebuild with updated udebs for s390x.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 13 Apr 2016 13:05:52 +0100

debian-installer (20101020ubuntu446) xenial; urgency=medium

  * Move master kernels to 4.4.0-18.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 08 Apr 2016 08:57:06 -0600

debian-installer (20101020ubuntu445) xenial; urgency=medium

  * Add necessory files to enable FTP Load / IPL on s390x, ported from
    debian-cd.
  * Drop s390-dasd, is now pulled in via hw-detect /
    harddrive-detection-dasd.
  * Rebuild with ipv6 capable network-console. LP: #1552368

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 05 Apr 2016 09:51:35 +0100

debian-installer (20101020ubuntu444) xenial; urgency=medium

  * Rebuild to pick up new netcfg LP: #1541955
  * Move master kernels to 4.4.0-17.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 31 Mar 2016 23:41:23 +0100

debian-installer (20101020ubuntu443) xenial; urgency=medium

  * Make amd64 image 3MB larger than i386, as before.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 26 Mar 2016 19:59:52 -0600

debian-installer (20101020ubuntu442) xenial; urgency=medium

  * Move master kernels to 4.4.0-16.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 26 Mar 2016 19:07:59 -0600

debian-installer (20101020ubuntu441) xenial; urgency=medium

  * No-change rebuild to pull in the latest glibc binaries.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 22 Mar 2016 22:11:48 -0600

debian-installer (20101020ubuntu440) xenial; urgency=medium

  * Bump powerpc image size yet again, because chubby kernel.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 21 Mar 2016 22:58:42 -0600

debian-installer (20101020ubuntu439) xenial; urgency=medium

  * Bump powerpc image size to 40M to match the x86 sizes.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 21 Mar 2016 22:39:19 -0600

debian-installer (20101020ubuntu438) xenial; urgency=medium

  * Rebuild against current linux-firmware and glibc 2.23.
  * Bump x86 image size to 40M to accomodate new firmware.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 21 Mar 2016 21:49:14 -0600

debian-installer (20101020ubuntu437) xenial; urgency=low

  * Move master kernels to 4.4.0-15.

 -- Andy Whitcroft <apw@ubuntu.com>  Sun, 20 Mar 2016 11:16:56 +0000

debian-installer (20101020ubuntu436) xenial; urgency=medium

  * No-change rebuild to pull in the latest isc-dhcp and bind9 udebs.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 18 Mar 2016 18:42:07 -0600

debian-installer (20101020ubuntu435) xenial; urgency=medium

  * Increase amd64 netboot size by 1MB.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 18 Mar 2016 19:25:57 +0000

debian-installer (20101020ubuntu434) xenial; urgency=medium

  * Move master kernels to 4.4.0-14.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 18 Mar 2016 18:46:45 +0000

debian-installer (20101020ubuntu433) xenial; urgency=medium

  * Move master kernels to 4.4.0-13.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 13 Mar 2016 05:38:39 -0600

debian-installer (20101020ubuntu432) xenial; urgency=medium

  * Move master kernels to 4.4.0-12.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 09 Mar 2016 10:12:25 -0700

debian-installer (20101020ubuntu431) xenial; urgency=medium

  * Move master kernels to 4.4.0-11.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 07 Mar 2016 17:46:29 -0700

debian-installer (20101020ubuntu430) xenial; urgency=medium

  * Move master kernels to 4.4.0-10.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 03 Mar 2016 16:38:41 -0700

debian-installer (20101020ubuntu429) xenial; urgency=medium

  * Move master kernels to 4.4.0-9.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 01 Mar 2016 10:45:08 -0700

debian-installer (20101020ubuntu428) xenial; urgency=medium

  * Rebuild with preseed package that accepts IPv6 urls. LP: #1547629.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 29 Feb 2016 14:57:05 +0000

debian-installer (20101020ubuntu427) xenial; urgency=medium

  * Move master kernels to 4.4.0-8.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 25 Feb 2016 12:53:45 -0700

debian-installer (20101020ubuntu426) xenial; urgency=medium

  * Increase amd64 netboot image size by 1MB.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 20 Feb 2016 19:36:56 +0100

debian-installer (20101020ubuntu425) xenial; urgency=medium

  * Complete switch from module-init-tools to kmod by altering build-deps.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 19 Feb 2016 09:57:37 -0700

debian-installer (20101020ubuntu424) xenial; urgency=medium

  * Move master kernels to 4.4.0-7.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 19 Feb 2016 04:35:51 -0700

debian-installer (20101020ubuntu423) xenial; urgency=medium

  * Move master kernels to 4.4.0-6.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 16 Feb 2016 23:03:09 -0700

debian-installer (20101020ubuntu422) xenial; urgency=medium

  [ Dimitri John Ledkov ]
  * [s390x] Use netcfg, instead of netcfg-static. Be libvirt/VM/ipv6/dhcp
    environment friendly.

  [ Adam Conrad ]
  * Move master kernels to 4.4.0-5.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 12 Feb 2016 10:41:50 -0700

debian-installer (20101020ubuntu421) xenial; urgency=medium

  * Rebuild to pick-up s390-netdevice 0.0.40ubuntu1 LP: #1536649

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 09 Feb 2016 14:20:06 +0000

debian-installer (20101020ubuntu420) xenial; urgency=medium

  * Move master kernels to 4.4.0-4.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 08 Feb 2016 16:01:38 -0700

debian-installer (20101020ubuntu419) xenial; urgency=medium

  * Rebuild to pick-up choose-mirror 2.65ubuntu4.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 08 Feb 2016 12:43:52 +0000

debian-installer (20101020ubuntu418) xenial; urgency=medium

  * Set format to 3.0 (native), because i uploaded .bzr dir.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 03 Feb 2016 23:07:43 +0000

debian-installer (20101020ubuntu417) xenial; urgency=medium

  * Add vlan-modules to s390x build.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 03 Feb 2016 23:04:12 +0000

debian-installer (20101020ubuntu416) xenial; urgency=medium

  * No change rebuild to pick up updated udebs.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 02 Feb 2016 20:03:12 +0000

debian-installer (20101020ubuntu415) xenial; urgency=medium

  * Bump x86 netboot image sizes by 1MB.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 29 Jan 2016 05:09:26 -0700

debian-installer (20101020ubuntu414) xenial; urgency=medium

  * Move master kernels to 4.4.0-2.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 29 Jan 2016 04:55:58 -0700

debian-installer (20101020ubuntu413) xenial; urgency=medium

  * Move master kernels to 4.4.0-1.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 22 Jan 2016 11:31:47 -0700

debian-installer (20101020ubuntu412) xenial; urgency=high

  [ Dimitri John Ledkov ]
  * Apply ubuntu branding to s390x builds.
  * Ubuntu parmfile is empty by default.

  [ Adam Conrad ]
  * Move master kernels to 4.3.0-7.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 20 Jan 2016 09:26:01 -0700

debian-installer (20101020ubuntu411) xenial; urgency=high

  [ Dimitri John Ledkov ]
  * Drop s390 configs.
  * Add block-modules (depends on virtio-modules) for s390x.

  [ Adam Conrad ]
  * Move master kernels to 4.3.0-6.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 12 Jan 2016 13:32:45 -0700

debian-installer (20101020ubuntu410) xenial; urgency=medium

  * Revert build-depend hack, which just complicates uploads.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 17 Dec 2015 08:36:35 -0700

debian-installer (20101020ubuntu409) xenial; urgency=medium

  * No-change rebuild against linux 4.3.0-5.16 for s390x.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 16 Dec 2015 14:26:46 -0800

debian-installer (20101020ubuntu408) xenial; urgency=high

  * Include s390-dasd by default.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 16 Dec 2015 20:15:41 +0000

debian-installer (20101020ubuntu407) xenial; urgency=high

  * Move master kernls to 4.3.0-5.
  * And add a cheeky abi dependant build-dep for the kernel ABI, such that
    d-i is attempted to build once appropriate linux is fully built,
    published, accepted. This is similar to the linux-meta automatic
    build-deps. Possibly further var replacements should be taken from
    linux-meta package to just bump/define a single $kernel-abi variable.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 15 Dec 2015 17:03:02 +0000

debian-installer (20101020ubuntu406) xenial; urgency=medium

  * If KERNELNAME_ALT_SUFFIX is specified, require a signed grub too.
  * Fix grub-signed download code to cope with new apt (LP: #1525393)

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 11 Dec 2015 17:48:00 -0700

debian-installer (20101020ubuntu405) xenial; urgency=medium

  * build/Makefile: use /0111 rather than +0111 for find since the
    latter has been deprecated for a while and appears dropped in newer
    releases of findutils.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 09 Dec 2015 12:31:34 -0500

debian-installer (20101020ubuntu404) xenial; urgency=medium

  * Move master kernels to 4.3.0-2.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 04 Dec 2015 23:25:32 -0700

debian-installer (20101020ubuntu403) xenial; urgency=medium

  * Move master kernels to 4.3.0-1.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 04 Dec 2015 00:39:49 -0700

debian-installer (20101020ubuntu402) xenial; urgency=medium

  * Add s390x, based on debian. Untested.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 24 Nov 2015 13:54:07 +0000

debian-installer (20101020ubuntu401) xenial; urgency=medium

  * Move master kernels to 4.2.0-19.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 12 Nov 2015 16:43:10 -0700

debian-installer (20101020ubuntu400) xenial; urgency=medium

  * Switch from wily to xenial sources.
  * Move master kernels to 4.2.0-17.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 12 Nov 2015 12:11:53 -0700

debian-installer (20101020ubuntu399) wily; urgency=medium

  * Rebuild to pick up new localechooser and console-setup.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 20 Oct 2015 16:16:31 +0100

debian-installer (20101020ubuntu398) wily; urgency=medium

  * Rebuild to pick up new localechooser and console-setup.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 19 Oct 2015 15:17:18 +0100

debian-installer (20101020ubuntu397) wily; urgency=medium

  * Move master kernels to 4.2.0-16.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 09 Oct 2015 06:49:13 -0600

debian-installer (20101020ubuntu396) wily; urgency=medium

  * Move master kernels to 4.2.0-15.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 07 Oct 2015 18:34:29 -0600

debian-installer (20101020ubuntu395) wily; urgency=medium

  * Move master kernels to 4.2.0-14.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 03 Oct 2015 15:35:38 -0600

debian-installer (20101020ubuntu394) wily; urgency=medium

  * Move master kernels to 4.2.0-12.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 29 Sep 2015 14:50:31 -0600

debian-installer (20101020ubuntu393) wily; urgency=medium

  * build/pkg-lists/base: drop biosdevname. The standard binary is now in
    universe so not typically installed on systems, and it otherwise conflicts
    with the interface naming from systemd/udev. (LP: #1498595)
  * Move master kernels to 4.2.0-11.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 22 Sep 2015 14:36:33 -0400

debian-installer (20101020ubuntu392) wily; urgency=medium

  * Move master kernels to 4.2.0-10.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 14 Sep 2015 10:09:23 -0600

debian-installer (20101020ubuntu391) wily; urgency=medium

  [ dann frazier ]
  * Make nic-usb-modules optional on arm64/netboot.

  [ Adam Conrad ]
  * Move master kernels to 4.2.0-7.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 02 Sep 2015 14:50:35 -0600

debian-installer (20101020ubuntu390) wily; urgency=medium

  * Move master kernels to 4.1.0-3.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 28 Jul 2015 17:28:38 -0600

debian-installer (20101020ubuntu389) wily; urgency=medium

  * Move master kernels to 4.1.0-2.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 22 Jul 2015 22:59:36 -0600

debian-installer (20101020ubuntu388) wily; urgency=medium

  * Move master kernels to 4.1.0-1.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 22 Jul 2015 19:16:01 -0600

debian-installer (20101020ubuntu387) wily; urgency=medium

  * No-change rebuild to pull in the latest udev-udeb (LP: #1473542)

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 10 Jul 2015 14:12:32 -0600

debian-installer (20101020ubuntu386) wily; urgency=medium

  * Bump powerpc netboot images by 2MB for new firmware.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 06 Jul 2015 17:45:26 -0600

debian-installer (20101020ubuntu385) wily; urgency=medium

  * Move master kernels to 4.0.0-4.
  * Bump x86 netboot image sizes by 1MB.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 17 Jun 2015 09:45:49 -0600

debian-installer (20101020ubuntu384) wily; urgency=medium

  * Move master kernels to 3.19.0-22.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 18 Jun 2015 14:11:18 -0600

debian-installer (20101020ubuntu383) wily; urgency=medium

  * Move master kernels to 3.19.0-21.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 13 Jun 2015 22:09:38 -0600

debian-installer (20101020ubuntu382) wily; urgency=medium

  * s/u-boot.bin/u-boot.img/ for OMAP targets, following u-boot packaging.
  * Rename wandboard-quad target to wandboard and convert it to using SPL.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 31 May 2015 11:06:12 -0600

debian-installer (20101020ubuntu381) wily; urgency=medium

  * Move master kernels to 3.19.0-20.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 29 May 2015 14:40:33 -0600

debian-installer (20101020ubuntu380) wily; urgency=medium

  * Move master kernels to 3.19.0-18.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 19 May 2015 22:48:34 -0600

debian-installer (20101020ubuntu379) wily; urgency=medium

  [ dann frazier ]
  * arm64: Use mklibs instead of cargo-culting mklibs-copy. This
    currently reduces the initrd.gz by just under 1M and drops
    an unnecessary delta against Debian.
  * arm64: kernel and System.map aren't versioned, correct config.
    No functional change.
  * arm64: Stop calling "generic" a subarchitecture
  * arm64: Rename netboot/xgene -> netboot/xgene-uboot
  * Add device-tree medium infrastructure (from Debian)
  * arm64: Enable device-tree medium
  * arm64/xgene-uboot: apm-mustang.dtb is now in the device-tree directory,
    so we can drop it from the xgene-uboot directory.
  * arm64: Create a netboot tarball
  * arm64: Add netboot mini.iso
  * arm64: Build cdrom medium
  * arm64/netboot: Add a grub/efi build for netboot
  * grub-gencfg: Use --- as linux separator

  [ Mathieu Trudel-Lapierre ]
  * Add kbd-udeb alongside console-setup-udeb; since the latter requires
    loadkeys and such to be available to properly apply keymap selection, so
    we key the right keymap in the installer. (LP: #1447802)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 14 May 2015 13:56:23 -0400

debian-installer (20101020ubuntu378) wily; urgency=medium

  * Move master kernels to 3.19.0-17.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 09 May 2015 01:51:04 -0600

debian-installer (20101020ubuntu377) wily; urgency=medium

  * Move master kernels to 3.19.0-16.
  * Switch from vivid to wily sources.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 05 May 2015 01:35:13 -0600

debian-installer (20101020ubuntu376) vivid; urgency=medium

  * Move master kernels to 3.19.0-15.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 18 Apr 2015 09:53:00 -0600

debian-installer (20101020ubuntu375) vivid; urgency=medium

  * Move master kernels to 3.19.0-14.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 14 Apr 2015 12:25:15 -0600

debian-installer (20101020ubuntu374) vivid; urgency=medium

  * Move master kernels to 3.19.0-13.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 10 Apr 2015 12:04:02 -0600

debian-installer (20101020ubuntu373) vivid; urgency=medium

  * No-change rebuild to build against the latest grub2.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 06 Apr 2015 16:21:00 -0600

debian-installer (20101020ubuntu372) vivid; urgency=medium

  * Move master kernels to 3.19.0-12.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 03 Apr 2015 15:08:12 -0600

debian-installer (20101020ubuntu371) vivid; urgency=medium

  * Move master kernels to 3.19.0-11.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 01 Apr 2015 07:04:04 -0600

debian-installer (20101020ubuntu370) vivid; urgency=medium

  * Move master kernels to 3.19.0-10.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 23 Mar 2015 19:32:17 -0600

debian-installer (20101020ubuntu369) vivid; urgency=medium

  * Move master kernels to 3.19.0-9.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 12 Mar 2015 03:34:53 -0600

debian-installer (20101020ubuntu368) vivid; urgency=medium

  * Move master kernels to 3.19.0-8.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 10 Mar 2015 20:43:44 -0600

debian-installer (20101020ubuntu367) vivid; urgency=medium

  * Cherry-pick from upstream 10af2f56; with fixup: (LP: #1427252)
    - Use --- as options separator for all Linux command lines.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 02 Mar 2015 10:50:09 -0500

debian-installer (20101020ubuntu366) vivid; urgency=medium

  * Copy apm-mustang.dtb from its new location (LP: #1408004)

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 27 Feb 2015 03:57:40 -0700

debian-installer (20101020ubuntu365) vivid; urgency=medium

  * Move master kernels to 3.19.0-7.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 27 Feb 2015 00:00:33 -0700

debian-installer (20101020ubuntu364) vivid; urgency=medium

  * Move master kernels to 3.18.0-14.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 19 Feb 2015 01:30:45 -0700

debian-installer (20101020ubuntu363) vivid; urgency=medium

  * Move master kernels to 3.18.0-13.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 09 Feb 2015 01:45:37 -0700

debian-installer (20101020ubuntu362) vivid; urgency=medium

  * Move master kernels to 3.18.0-12.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 29 Jan 2015 19:27:30 -0700

debian-installer (20101020ubuntu361) vivid; urgency=medium

  * Move master kernels to 3.18.0-11.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 26 Jan 2015 12:04:23 -0700

debian-installer (20101020ubuntu360) vivid; urgency=medium

  * Cherry-pick patch from Debian to keep modules.builtin (LP: #1407702)

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 22 Jan 2015 05:00:03 -0700

debian-installer (20101020ubuntu359) vivid; urgency=medium

  * Bump amd64/netboot and i386/netboot image sizes by 1MB.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 13 Jan 2015 14:33:04 -0700

debian-installer (20101020ubuntu358) vivid; urgency=medium

  * Move master kernels to 3.18.0-9.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 13 Jan 2015 12:32:42 -0700

debian-installer (20101020ubuntu357) vivid; urgency=medium

  * Move master kernels to 3.18.0-8.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 06 Jan 2015 10:30:30 -0700

debian-installer (20101020ubuntu356) vivid; urgency=medium

  * Move master kernels to 3.16.0-28.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 15 Dec 2014 14:29:43 -0700

debian-installer (20101020ubuntu355) vivid; urgency=medium

  * Move master kernels to 3.16.0-25.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 24 Nov 2014 11:35:14 -0700

debian-installer (20101020ubuntu354) vivid; urgency=medium

  * Add missing build-dep on syslinux-utils for isohybrid.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 30 Oct 2014 02:00:13 -0600

debian-installer (20101020ubuntu353) vivid; urgency=medium

  * Switch dist from utopic to vivid.
  * Move master kernels to 3.16.0-24.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 29 Oct 2014 23:40:40 -0600

debian-installer (20101020ubuntu352) utopic; urgency=medium

  * Bump amd64/netboot and i386/netboot image sizes by 1MB.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 22 Oct 2014 12:18:36 -0400

debian-installer (20101020ubuntu351) utopic; urgency=medium

  * Install the ldlinux.c32 links in netboot output directories
    (LP: #1378735).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 22 Oct 2014 11:55:24 -0400

debian-installer (20101020ubuntu350) utopic; urgency=medium

  * Cherry-pick from unstable (LP: #1378735):
    - Apply patch from Ron and Chris Kuehl to fix lib location and search
      path for syslinux >= 5. Some constraints include having ldlinux.c32 in
      the tftp root, and being able to find some support libraries thanks to
      a defined path (Closes: #756275). Many thanks!

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 20 Oct 2014 14:18:34 -0400

debian-installer (20101020ubuntu349) utopic; urgency=medium

  * Move master kernels to 3.16.0-23.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 17 Oct 2014 10:39:14 +0200

debian-installer (20101020ubuntu348) utopic; urgency=medium

  * build/config/ppc64el.cfg: Add minicmd and reboot GRUB modules for a
    little extra comfort.
  * Move master kernels to 3.16.0-22.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 10 Oct 2014 21:33:23 +0100

debian-installer (20101020ubuntu347) utopic; urgency=medium

  [ Colin Watson ]
  * Move build/boot/x86/po4a.cfg to build/boot/x86/po/po4a.cfg so that it
    doesn't end up getting shipped on CD images by mistake.

  [ Adam Conrad ]
  * Move master kernels to 3.16.0-21.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 07 Oct 2014 10:05:22 -0600

debian-installer (20101020ubuntu346) utopic; urgency=medium

  * Move master kernels to 3.16.0-20.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 01 Oct 2014 21:02:31 -0600

debian-installer (20101020ubuntu345) utopic; urgency=medium

  * No-change rebuild to build against the latest grub2.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 30 Sep 2014 15:46:51 +0100

debian-installer (20101020ubuntu344) utopic; urgency=medium

  * Move master kernels to 3.16.0-18.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 26 Sep 2014 02:55:19 -0600

debian-installer (20101020ubuntu343) utopic; urgency=medium

  * Move master kernels to 3.16.0-17.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 22 Sep 2014 12:52:44 -0600

debian-installer (20101020ubuntu342) utopic; urgency=medium

  * Move master kernels to 3.16.0-16.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 17 Sep 2014 16:12:56 -0600

debian-installer (20101020ubuntu341) utopic; urgency=medium

  * Move master kernels to 3.16.0-14.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 07 Sep 2014 06:33:46 -0600

debian-installer (20101020ubuntu340) utopic; urgency=medium

  * Move master kernels to 3.16.0-13.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 04 Sep 2014 22:15:46 -0600

debian-installer (20101020ubuntu339) utopic; urgency=medium

  * Move master kernels to 3.16.0-12.
  * Revert to vmlinux on ppc64el.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 29 Aug 2014 13:42:45 -0600

debian-installer (20101020ubuntu338) utopic; urgency=medium

  * build/config/ppc64el.cfg: Switch kernel to vmlinuz (LP: #1358920)

 -- Mauricio Faria de Oliveira <mauricfo@linux.vnet.ibm.com>  Tue, 26 Aug 2014 14:16:21 -0600

debian-installer (20101020ubuntu337) utopic; urgency=medium

  * Move master kernels to 3.16.0-11.

 -- Andy Whitcroft <apw@ubuntu.com>  Tue, 26 Aug 2014 17:41:17 +0100

debian-installer (20101020ubuntu336) utopic; urgency=medium

  * Move master kernels to 3.16.0-10.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 21 Aug 2014 18:12:28 -0600

debian-installer (20101020ubuntu335) utopic; urgency=medium

  * Move master kernels to 3.16.0-9.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 16 Aug 2014 17:19:06 -0600

debian-installer (20101020ubuntu334) utopic; urgency=medium

  * Move master kernels to 3.16.0-8.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 14 Aug 2014 08:38:30 -0600

debian-installer (20101020ubuntu333) utopic; urgency=medium

  * Move master kernels to 3.16.0-7.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 11 Aug 2014 09:52:26 -0600

debian-installer (20101020ubuntu332) utopic; urgency=medium

  * Move master kernels to 3.16.0-6.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 28 Jul 2014 16:02:47 -0600

debian-installer (20101020ubuntu331) utopic; urgency=medium

  * Make a missing signed kernel a hard build failure where wanted.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 22 Jul 2014 17:21:03 -0600

debian-installer (20101020ubuntu330) utopic; urgency=medium

  * Move master kernels to 3.16.0-5.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 22 Jul 2014 16:17:16 -0600

debian-installer (20101020ubuntu329) utopic; urgency=medium

  * Move master kernels to 3.16.0-4.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 16 Jul 2014 12:57:45 -0600

debian-installer (20101020ubuntu328) utopic; urgency=medium

  [ Dimitri John Ledkov ]
  * build/config/common: Add preseed to the note about which other
    packages need release name updates.

  [ Adam Conrad ]
  * Move master kernels to 3.16.0-3.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 11 Jul 2014 09:03:22 -0600

debian-installer (20101020ubuntu327) utopic; urgency=medium

  * build/config/common: Add a note about which other packages need to be
    kept in sync with release name changes.
  * build/config/ppc64el.cfg: Set the GRUB prefix to ()/boot/grub rather
    than (ieee1275/cdrom)/boot/grub, since not all systems have an
    ieee1275/cdrom devalias (LP: #1334649).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 26 Jun 2014 15:11:57 +0100

debian-installer (20101020ubuntu326) utopic; urgency=medium

  * Include sata-modules on ppc64el (LP: #1323980)
  * Move master kernels to 3.15.0-6.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 12 Jun 2014 02:05:59 -0600

debian-installer (20101020ubuntu325) utopic; urgency=medium

  * Move master kernels to 3.15.0-5.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 02 Jun 2014 18:40:44 -0600

debian-installer (20101020ubuntu324) utopic; urgency=medium

  * Move master kernels to 3.15.0-4.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 29 May 2014 00:50:07 -0600

debian-installer (20101020ubuntu323) utopic; urgency=medium

  * Move master kernels to 3.15.0-3.

 -- Andy Whitcroft <apw@ubuntu.com>  Tue, 27 May 2014 08:56:19 +0100

debian-installer (20101020ubuntu322) utopic; urgency=medium

  * Move master kernels to 3.15.0-2.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 23 May 2014 01:13:42 -0600

debian-installer (20101020ubuntu321) utopic; urgency=medium

  * Drop e500 flavour from powerpc.
  * Backport patch from debian git for syslinux 6 support.
  * Rebuild against fixed arm64 kernel udeb.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 19 May 2014 15:09:27 -0600

debian-installer (20101020ubuntu320) utopic; urgency=medium

  * Move master kernels to 3.15.0-1.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 19 May 2014 14:21:57 -0600

debian-installer (20101020ubuntu319) utopic; urgency=medium

  * Switch from trusty to utopic.
  * Cherry-pick from debian:
    - build/Makefile: Move the drop_lang definition to the top of the file
    to deal with incompatible changes in make 3.82 leading to the
    following error: “recipe commences before first target”
    (Closes: #720719).

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 07 May 2014 21:42:12 +0100

debian-installer (20101020ubuntu318) trusty; urgency=medium

  * No-change rebuild to build against the latest archive components.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 15 Apr 2014 21:34:19 +0100

debian-installer (20101020ubuntu317) trusty; urgency=medium

  * No-change rebuild to build against the latest archive components.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 14 Apr 2014 07:17:43 +0100

debian-installer (20101020ubuntu316) trusty; urgency=medium

  [ Colin Watson ]
  * Remove expert entries from build/boot/powerpc/yaboot.conf* and
    build/boot/ppc64el/grub-cdrom.cfg; they're overly-tempting but generally
    not actually what people want unless debugging the installer, and people
    can always edit the boot menu entry to add "priority=low" if they know
    what they're doing.

  [ Dimitri John Ledkov ]
  * Move master kernels to 3.13.0-24.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 11 Apr 2014 13:34:35 +0100

debian-installer (20101020ubuntu315) trusty; urgency=medium

  * Don't mislabel ppc64el netboot directory as "PXE", as this would cause
    no end of grief.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 09 Apr 2014 09:38:07 -0700

debian-installer (20101020ubuntu314) trusty; urgency=medium

  * Generate a grub netboot image and grub netboot directory for ppc64el.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 09 Apr 2014 08:57:33 -0700

debian-installer (20101020ubuntu313) trusty; urgency=medium

  * Move master kernels to 3.13.0-23.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 05 Apr 2014 01:53:11 -0600

debian-installer (20101020ubuntu312) trusty; urgency=medium

  [ dann frazier ]
  * Add target for X-Gene-specific boot files (u-boot-wrapped) (LP: #1298393)

  [ Adam Conrad ]
  * Move master kernels to 3.13.0-22.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 02 Apr 2014 21:15:46 -0600

debian-installer (20101020ubuntu311) trusty; urgency=medium

  * Move master kernels to 3.13.0-21.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 01 Apr 2014 19:04:54 -0600

debian-installer (20101020ubuntu310) trusty; urgency=medium

  * Move master kernels to 3.13.0-20.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 28 Mar 2014 13:57:39 -0600

debian-installer (20101020ubuntu309) trusty; urgency=medium

  * No-change rebuild to pick up new kernels and components.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 24 Mar 2014 20:43:39 -0600

debian-installer (20101020ubuntu308) trusty; urgency=medium

  * Move master kernels to 3.13.0-19.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 21 Mar 2014 22:44:51 -0600

debian-installer (20101020ubuntu307) trusty; urgency=medium

  * Add virtio-modules to all x86 flavours (LP: #1292216)
  * Move master kernels to 3.13.0-18.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 17 Mar 2014 11:55:27 -0600

debian-installer (20101020ubuntu306) trusty; urgency=medium

  * Move master kernels to 3.13.0-17.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 11 Mar 2014 11:02:02 -0600

debian-installer (20101020ubuntu305) trusty; urgency=medium

  * Move master kernels to 3.13.0-16.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 06 Mar 2014 11:24:59 +0800

debian-installer (20101020ubuntu304) trusty; urgency=medium

  * Move master kernels to 3.13.0-15.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 04 Mar 2014 17:18:07 +0800

debian-installer (20101020ubuntu303) trusty; urgency=medium

  * Move master kernels to 3.13.0-14.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 28 Feb 2014 01:16:09 -0700

debian-installer (20101020ubuntu302) trusty; urgency=medium

  * Move master kernels to 3.13.0-13.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 27 Feb 2014 04:48:51 -0700

debian-installer (20101020ubuntu301) trusty; urgency=medium

  * Move master kernels to 3.13.0-12.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 22 Feb 2014 14:49:39 -0700

debian-installer (20101020ubuntu300) trusty; urgency=medium

  * Update boot logo to match desktop isos and plymouth.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 20 Feb 2014 21:29:16 +0000

debian-installer (20101020ubuntu299) trusty; urgency=medium

  [ Dimitri John Ledkov ]
  * Update boot logo from vintage to modern.

  [ Adam Conrad ]
  * Move master kernels to 3.13.0-11.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 20 Feb 2014 01:53:21 -0700

debian-installer (20101020ubuntu298) trusty; urgency=medium

  * Move master kernels to 3.13.0-10.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 18 Feb 2014 22:54:11 -0700

debian-installer (20101020ubuntu297) trusty; urgency=medium

  * Use mklibs-copy on ppc64el to avoid mangling librt.so.1 beyond repair.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 18 Feb 2014 02:57:37 -0700

debian-installer (20101020ubuntu296) trusty; urgency=medium

  * Copy any SSL certificates to /etc/ssl/certs and symlink
    /usr/lib/ssl/certs to that, to support GnuTLS.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 14 Feb 2014 14:45:30 +0000

debian-installer (20101020ubuntu295) trusty; urgency=medium

  * Add SSL_CERTS variable, which can be used to build images with embedded
    SSL certificates with c_rehash run over them so that OpenSSL can see
    them (LP: #833994).
  * Include wget-udeb in all images so that HTTPS support works out of the
    box.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 10 Feb 2014 21:47:54 +0000

debian-installer (20101020ubuntu294) trusty; urgency=medium

  * Move master kernels to 3.13.0-8.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 07 Feb 2014 10:46:53 -0700

debian-installer (20101020ubuntu293) trusty; urgency=medium

  * Move master kernels to 3.13.0-7.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 04 Feb 2014 18:41:48 -0700

debian-installer (20101020ubuntu292) trusty; urgency=medium

  * Move master kernels to 3.13.0-6.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 31 Jan 2014 17:52:32 +0000

debian-installer (20101020ubuntu291) trusty; urgency=medium

  * Add the linux module to the ppc64el/cdrom GRUB image, so that we can
    actually boot the kernel.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 31 Jan 2014 09:07:38 +0000

debian-installer (20101020ubuntu290) trusty; urgency=medium

  * Hardcode ppc64el/cdrom GRUB prefix to (ieee1275/cdrom)/boot/grub for
    now.
  * Add the normal module to the ppc64el/cdrom GRUB image.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 30 Jan 2014 23:30:35 +0000

debian-installer (20101020ubuntu289) trusty; urgency=medium

  * Build-depend on xorriso on ppc64el so that grub-mkrescue works.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 30 Jan 2014 13:42:13 +0000

debian-installer (20101020ubuntu288) trusty; urgency=medium

  [ Stéphane Graber ]
  * Rework armhf builds:
    - Use the original u-boot instead of Linaro's.
    - Switch omap4 to the generic kernel
    - Add wandboard-quad support
    - Generate board specific images for beagleboard-xm, pandaboard and
      wandboard-quad.
  * Disable PNG compression since it gives very little gain and takes
    almost 30 minutes on armhf.

  [ Adam Conrad ]
  * Add preliminary support for netboot images on ppc64el.
  * Add cdrom and mini.iso target support for ppc64el as well.
  * Move build/pkg-lists/netboot/armel/omap.cfg to generic.cfg and
    symlink omap.cfg, omap4.cfg, and generic-lpae.cfg to it.
  * Perform a by-hand merge of the spirit of the following changes:

  [ Stephen Warren ]
  * arm generic: package U-Boot boot scripts for Tegra devices.
  * arm generic: Save tegra*.dtb from the kernel-image udeb, since those
    files are needed to boot tegra DT-enabled kernels.
  * arm generic: Create a bootable disk image for Tegra.

  [ dann frazier ]
  * Add netboot build for arm64/generic (LP: #1263756)

  [ Colin Watson ]
  * Add a cd_info tarball for ppc64el, containing a GRUB image and
    associated configuration.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 24 Jan 2014 21:06:40 -0700

debian-installer (20101020ubuntu287) trusty; urgency=medium

  * Move master kernels to 3.13.0-5.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 21 Jan 2014 10:39:42 +0000

debian-installer (20101020ubuntu286) trusty; urgency=medium

  * Move master kernels to 3.13.0-4.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 16 Jan 2014 19:34:34 -0700

debian-installer (20101020ubuntu285) trusty; urgency=medium

  * Bump i386/netboot image size by 2MB.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 14 Jan 2014 13:09:57 -0700

debian-installer (20101020ubuntu284) trusty; urgency=medium

  * Move master kernels to 3.13.0-3.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 14 Jan 2014 11:21:32 -0700

debian-installer (20101020ubuntu283) trusty; urgency=medium

  * Move master kernels to 3.13.0-2.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 11 Jan 2014 09:16:15 -0700

debian-installer (20101020ubuntu282) trusty; urgency=medium

  * Move master kernels to 3.13.0-1.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 07 Jan 2014 20:53:25 -0700

debian-installer (20101020ubuntu281) trusty; urgency=medium

  * No-change rebuild against eglibc 2.18.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 18 Dec 2013 22:09:40 +0000

debian-installer (20101020ubuntu280) trusty; urgency=low

  * Move master kernels to 3.12.0-7.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 09 Dec 2013 15:19:28 -0700

debian-installer (20101020ubuntu279) trusty; urgency=low

  * Move master kernels to 3.12.0-5.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 02 Dec 2013 19:27:15 -0700

debian-installer (20101020ubuntu278) trusty; urgency=low

  * Move master kernels to 3.12.0-4.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 21 Nov 2013 18:07:46 -0700

debian-installer (20101020ubuntu277) trusty; urgency=low

  * Move master kernels to 3.12.0-3.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 18 Nov 2013 20:32:36 -0700

debian-installer (20101020ubuntu276) trusty; urgency=low

  * Move master kernels to 3.12.0-2.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 06 Nov 2013 21:51:38 -0700

debian-installer (20101020ubuntu275) trusty; urgency=low

  * Move master kernels to 3.12.0-1.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 31 Oct 2013 08:41:53 -0700

debian-installer (20101020ubuntu274) trusty; urgency=low

  * Bump amd64 netboot image size by 2MiB.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 25 Oct 2013 15:02:52 +0100

debian-installer (20101020ubuntu273) trusty; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 25 Oct 2013 11:52:20 +0100

debian-installer (20101020ubuntu272) trusty; urgency=low

  * Change default suite to trusty.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 22 Oct 2013 11:22:19 -0400

debian-installer (20101020ubuntu271) saucy; urgency=low

  * Rebuild against new master kernels.
  * Move omap4 kernels to 3.5.0-233.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 15 Oct 2013 14:59:57 +0100

debian-installer (20101020ubuntu270) saucy; urgency=low

  * Move master kernels to 3.11.0-12.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 08 Oct 2013 20:11:14 -0600

debian-installer (20101020ubuntu269) saucy; urgency=low

  * Move powerpc kernels to 3.11.0-3.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 02 Oct 2013 22:52:05 +0100

debian-installer (20101020ubuntu268) saucy; urgency=low

  * Move master kernels to 3.11.0-11.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 01 Oct 2013 21:57:18 -0600

debian-installer (20101020ubuntu267) saucy; urgency=low

  * Move master kernels to 3.11.0-9.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 27 Sep 2013 18:28:56 -0600

debian-installer (20101020ubuntu266) saucy; urgency=low

  * Move master kernels to 3.11.0-8.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 20 Sep 2013 16:02:09 -0600

debian-installer (20101020ubuntu265) saucy; urgency=low

  * Move powerpc kernels to 3.11.0-2.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 18 Sep 2013 17:39:44 +0100

debian-installer (20101020ubuntu264) saucy; urgency=low

  * Add generic-lpae target on armhf.
  * Move master kernels to 3.11.0-7.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 10 Sep 2013 09:08:51 -0400

debian-installer (20101020ubuntu263) saucy; urgency=low

  * Move master kernels to 3.11.0-6.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 10 Sep 2013 10:05:53 +0100

debian-installer (20101020ubuntu262) saucy; urgency=low

  * Move master kernels to 3.11.0-5.
  * Move omap4 kernels to 3.5.0-232.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 07 Sep 2013 19:41:03 -0600

debian-installer (20101020ubuntu261) saucy; urgency=low

  * Move powerpc kernels to 3.11.0-1.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 29 Aug 2013 21:55:47 -0600

debian-installer (20101020ubuntu260) saucy; urgency=low

  * Move master kernels to 3.11.0-4.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 26 Aug 2013 17:00:30 -0600

debian-installer (20101020ubuntu259) saucy; urgency=low

  * Move master kernels to 3.11.0-3.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 20 Aug 2013 01:21:09 -0600

debian-installer (20101020ubuntu258) saucy; urgency=low

  * Move powerpc kernels to 3.11.0-0.
  * Move omap4 kernels to 3.5.0-231.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 17 Aug 2013 12:42:27 -0600

debian-installer (20101020ubuntu257) saucy; urgency=low

  * Move master kernels to 3.11.0-2.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 12 Aug 2013 16:34:09 -0600

debian-installer (20101020ubuntu256) saucy; urgency=low

  * Move master kernels to 3.11.0-1.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 12 Aug 2013 16:06:14 +0200

debian-installer (20101020ubuntu255) saucy; urgency=low

  * Re-enable powerpc and powerpc64 flavours and rebuild against
    the latest linux-ppc upload to get the new zImage kernels.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 30 Jul 2013 13:52:21 +0100

debian-installer (20101020ubuntu254) saucy; urgency=low

  * Move master kernels to 3.10.0-6.
  * Move omap4 kernels to 3.5.0-229.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 29 Jul 2013 18:05:48 +0100

debian-installer (20101020ubuntu253) saucy; urgency=low

  * Temporarily disable powerpc and powerpc64 flavours due to
    those kernels being spectacularly broken in the archive.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 23 Jul 2013 15:44:58 +0100

debian-installer (20101020ubuntu252) saucy; urgency=low

  * Move master kernels to 3.10.0-5.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 23 Jul 2013 11:24:20 +0100

debian-installer (20101020ubuntu251) saucy; urgency=low

  * Move master kernels to 3.10.0-4.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 19 Jul 2013 14:10:27 +0100

debian-installer (20101020ubuntu250) saucy; urgency=low

  * Move master kernels to 3.10.0-3.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 16 Jul 2013 12:44:37 +0100

debian-installer (20101020ubuntu249) saucy; urgency=low

  * Introduce a debian-installer-udebs udeb that is a metapackage that
    depends on all the udebs used in the debian-installer build, so we
    can more easily track kernel ABI, NBS, and proposed-migration.
  * Move powerpc kernels to 3.10.0-0; rebuild x86 against 3.10.0-2.11.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 12 Jul 2013 03:44:49 -0600

debian-installer (20101020ubuntu248) saucy; urgency=low

  * Rebuild against linux 3.10.0-2.10.
  * Move omap4 kernels to 3.5.0-227.
  * Move powerpc kernels to 3.8.0-12.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 05 Jul 2013 00:08:33 -0600

debian-installer (20101020ubuntu247) saucy; urgency=low

  * Move master kernels to 3.10.0-2.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 02 Jul 2013 09:55:58 -0600

debian-installer (20101020ubuntu246) saucy; urgency=low

  * Move master kernels to 3.10.0-1.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 28 Jun 2013 16:26:37 -0600

debian-installer (20101020ubuntu245) saucy; urgency=low

  * Move master kernels to 3.10.0-0.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 27 Jun 2013 13:40:04 -0600

debian-installer (20101020ubuntu244) saucy; urgency=low

  * Move master kernels to 3.9.0-7.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 21 Jun 2013 16:31:18 -0600

debian-installer (20101020ubuntu243) saucy; urgency=low

  * Move master kernels to 3.9.0-6.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 14 Jun 2013 16:06:44 -0600

debian-installer (20101020ubuntu242) saucy; urgency=low

  [ Colin Watson ]
  * ttf-dejavu-udeb was renamed to fonts-dejavu-udeb.

  [ Adam Conrad ]
  * Move master kernels to 3.9.0-5.
  * Move omap4 kernels to 3.5.0-226.
  * Move powerpc kernels to 3.8.0-11.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 11 Jun 2013 20:18:15 -0600

debian-installer (20101020ubuntu241) saucy; urgency=low

  * No-change rebuild against systemd 204-0ubuntu3.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 07 Jun 2013 18:24:51 -0700

debian-installer (20101020ubuntu240) saucy; urgency=low

  * Move master kernels to 3.9.0-4.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 06 Jun 2013 13:20:47 -0600

debian-installer (20101020ubuntu239) saucy; urgency=low

  * Move master kernels to 3.9.0-3.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 28 May 2013 18:09:51 -0600

debian-installer (20101020ubuntu238) saucy; urgency=low

  * No-change rebuild against new udev.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 28 May 2013 19:54:20 +0100

debian-installer (20101020ubuntu237) saucy; urgency=low

  [ Adam Conrad ]
  * Move omap4 kernels to 3.5.0-225.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 27 May 2013 13:18:30 +0100

debian-installer (20101020ubuntu236) saucy; urgency=low

  * Move master kernels to 3.9.0-2.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 14 May 2013 16:22:30 -0600

debian-installer (20101020ubuntu235) saucy; urgency=low

  * Move master kernels to 3.9.0-1.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 09 May 2013 00:09:28 -0600

debian-installer (20101020ubuntu234) saucy; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 30 Apr 2013 11:08:25 -0700

debian-installer (20101020ubuntu233) saucy; urgency=low

  * Change default suite to saucy, welcome to the new cycle.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 27 Apr 2013 03:33:56 -0600

debian-installer (20101020ubuntu232) saucy; urgency=low

  * Move master kernels to 3.9.0-0.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 27 Apr 2013 02:48:48 -0600

debian-installer (20101020ubuntu231) raring; urgency=low

  [ Colin Watson ]
  * Move master kernels to 3.8.0-19.
  * Move powerpc kernels to 3.8.0-9.

  [ Adam Conrad ]
  * Move omap4 kernels to 3.5.0-223.

  [ dann frazier ]
  * Rename "highbank" flavor to "generic" and re-enable it.
    (LP: #1166603)

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 18 Apr 2013 16:40:34 -0600

debian-installer (20101020ubuntu230) raring; urgency=low

  * Update help text translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 Apr 2013 18:02:41 +0100

debian-installer (20101020ubuntu229) raring; urgency=low

  * Move powerpc kernels to 3.8.0-8.
  * Move omap4 kernels to 3.5.0-222.
  * Move master kernels to 3.8.0-18.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 12 Apr 2013 13:51:29 +0100

debian-installer (20101020ubuntu228) raring; urgency=low

  * Move master kernels to 3.8.0-17 (LP: #1166103).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 08 Apr 2013 10:59:57 +0100

debian-installer (20101020ubuntu227) raring; urgency=low

  * Move master kernels to 3.8.0-16.
  * Move powerpc kernels to 3.8.0-7.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 01 Apr 2013 21:50:51 -0600

debian-installer (20101020ubuntu226) raring; urgency=low

  * Move master kernels to 3.8.0-15.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 27 Mar 2013 21:30:01 -0600

debian-installer (20101020ubuntu225) raring; urgency=low

  * Move master kernels to 3.8.0-14.
  * Install generic flavour on omap.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 23 Mar 2013 15:30:02 -0600

debian-installer (20101020ubuntu224) raring; urgency=low

  * Move powerpc kernels to 3.8.0-6.
  * Move omap4 kernels to 3.5.0-221.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 20 Mar 2013 23:17:52 -0600

debian-installer (20101020ubuntu223) raring; urgency=low

  * Move master kernels to 3.8.0-13.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 16 Mar 2013 02:33:27 -0600

debian-installer (20101020ubuntu222) raring; urgency=low

  * Stop building images for armadaxp, which use a no-longer-maintained 3.5
    kernel.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 14 Mar 2013 11:34:39 -0700

debian-installer (20101020ubuntu221) raring; urgency=low

  * Move master kernels to 3.8.0-12.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 11 Mar 2013 15:20:16 +0000

debian-installer (20101020ubuntu220) raring; urgency=low

  * Move master kernels to 3.8.0-11.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 06 Mar 2013 01:02:43 -0700

debian-installer (20101020ubuntu219) raring; urgency=low

  * Move master kernels to 3.8.0-10.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 05 Mar 2013 02:09:04 -0700

debian-installer (20101020ubuntu218) raring; urgency=low

  * Move master kernels to 3.8.0-9.
  * Move powerpc kernels to 3.8.0-5.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 01 Mar 2013 16:29:50 -0700

debian-installer (20101020ubuntu217) raring; urgency=low

  * No-change rebuild to pick up the kernel-signed-image udeb on amd64.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 27 Feb 2013 09:57:50 -0700

debian-installer (20101020ubuntu216) raring; urgency=low

  * Stop building GTK installer images for now.  pango1.0's current hard
    requirement for harfbuzz (a C++ library) makes it impossible to build
    these.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 27 Feb 2013 13:58:49 +0000

debian-installer (20101020ubuntu215) raring; urgency=low

  * Move master kernels to 3.8.0-8.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 27 Feb 2013 10:11:37 +0000

debian-installer (20101020ubuntu214) raring; urgency=low

  * Move master kernels to 3.8.0-7.
  * Move powerpc kernels to 3.8.0-4.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 19 Feb 2013 16:50:34 -0700

debian-installer (20101020ubuntu213) raring; urgency=low

  * Move master kernels to 3.8.0-6.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 11 Feb 2013 15:19:05 -0700

debian-installer (20101020ubuntu212) raring; urgency=low

  * Move master kernels to 3.8.0-5.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 07 Feb 2013 18:47:46 -0700

debian-installer (20101020ubuntu211) raring; urgency=low

  * Add syslinux 5.x support (thanks, Daniel Baumann; see Debian #699742;
    LP: #1112878).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 07 Feb 2013 16:15:57 +0000

debian-installer (20101020ubuntu210) raring; urgency=low

  * Move powerpc kernels to 3.8.0-3.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 03 Feb 2013 01:07:17 -0700

debian-installer (20101020ubuntu209) raring; urgency=low

  * Move master kernels to 3.8.0-4.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 01 Feb 2013 16:42:29 -0700

debian-installer (20101020ubuntu208) raring; urgency=low

  * Move master kernels to 3.8.0-3.
  * Move omap4 kernels to 3.5.0-218.
  * Move armadaxp kernels to 3.5.0-1608.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 31 Jan 2013 21:28:42 -0700

debian-installer (20101020ubuntu207) raring; urgency=low

  * Move powerpc kernels to 3.8.0-2.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 30 Jan 2013 14:18:47 -0700

debian-installer (20101020ubuntu206) raring; urgency=low

  * Move master kernels to 3.8.0-2.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 26 Jan 2013 06:11:15 -0700

debian-installer (20101020ubuntu205) raring; urgency=low

  * Move powerpc kernels to 3.8.0-1.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 23 Jan 2013 14:41:27 -0700

debian-installer (20101020ubuntu204) raring; urgency=low

  * Make genisoimage options for powerpc match debian-cd (LP: #1099716)
  * Move master kernels to 3.8.0-1.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 15 Jan 2013 01:13:03 -0700

debian-installer (20101020ubuntu203) raring; urgency=low

  * Move powerpc kernels to 3.8.0-0.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 13 Jan 2013 01:27:46 -0700

debian-installer (20101020ubuntu202) raring; urgency=low

  * Cherrypick fixes from Debian to switch from module-init-tools to kmod:
  * Switch from module-init-tools-udeb to libkmod2-udeb (closes: #683790)
  * Don't remove modules.{dep,alias}.bin from /lib/modules/*, without them
    kmod doesn't load any module.  Instead remove the non-.bin files, which
    aren't necessary.  Thanks to Didier Raboud for the report and help.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 11 Jan 2013 01:06:23 -0700

debian-installer (20101020ubuntu201) raring; urgency=low

  * Move master kernels to 3.8.0-0.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 10 Jan 2013 23:49:53 -0700

debian-installer (20101020ubuntu200) raring; urgency=low

  * Add basic configuration for powerpc/e500 and powerpc/e500mc.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 19 Dec 2012 16:57:26 +0000

debian-installer (20101020ubuntu199) raring; urgency=low

  * Move powerpc kernels to 3.7.0-6.
  * Move armadaxp kernels to 3.5.0-1606.
  * Move omap4 kernels to 3.5.0-216.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 18 Dec 2012 09:30:26 -0700

debian-installer (20101020ubuntu198) raring; urgency=low

  * Move master kernels to 3.7.0-7.
  * Move powerpc kernels to 3.7.0-5.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 16 Dec 2012 08:36:51 -0700

debian-installer (20101020ubuntu197) raring; urgency=low

  * Move master kernels to 3.7.0-6.
  * Move powerpc kernels to 3.7.0-4.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 12 Dec 2012 14:13:10 -0700

debian-installer (20101020ubuntu196) raring; urgency=low

  * Move master kernels to 3.7.0-5.
  * Move powerpc kernels to 3.7.0-3.
  * Move armadaxp kernels to 3.5.0-1605.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 06 Dec 2012 08:07:36 -0700

debian-installer (20101020ubuntu195) raring; urgency=low

  * Make omap/omap4 netboot VFAT partitions the same size
    as the ones used for CD-like media (LP: #1040393)
  * Move powerpc kernels to 3.7.0-2.
  * Move armadaxp kernels to 3.5.0-1604.
  * Move omap4 kernels to 3.5.0-215.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 01 Dec 2012 19:22:27 -0700

debian-installer (20101020ubuntu194) raring; urgency=low

  * Move master kernels to 3.7.0-4.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 27 Nov 2012 19:33:02 -0700

debian-installer (20101020ubuntu193) raring; urgency=low

  * Move powerpc to 3.7.0-1 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 26 Nov 2012 12:12:45 +0000

debian-installer (20101020ubuntu192) raring; urgency=low

  * Move master kernels to 3.7.0-3.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 20 Nov 2012 23:19:31 -0700

debian-installer (20101020ubuntu191) raring; urgency=low

  * Move to 3.7.0-2 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 16 Nov 2012 00:56:30 +0000

debian-installer (20101020ubuntu190) raring; urgency=low

  * Make nic-pcmcia-modules optional on powerpc too.
  * Move to 3.7.0-1 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 15 Nov 2012 02:26:32 +0000

debian-installer (20101020ubuntu189) raring; urgency=low

  * Drop highbank, since we no longer have kernel images for it.
  * Make pcmcia-modules, pcmcia-storage-modules, and serial-modules optional
    on powerpc.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 14 Nov 2012 17:05:24 +0000

debian-installer (20101020ubuntu188) raring; urgency=low

  * Use udebs from raring-security, raring-proposed, and raring-updates.
    (We do this for all post-release updates anyway, and now that we're
    staging all development series uploads in -proposed it makes sense to
    build from there.)
  * Move to 3.7.0-0 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 14 Nov 2012 11:56:26 +0000

debian-installer (20101020ubuntu187) raring; urgency=low

  [ Steve Langasek ]
  * build/util/efi-image: spit out the grub version information to the build
    log, for auditability.

  [ Stéphane Graber ]
  * Set default suite to raring.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 05 Nov 2012 09:20:49 -0500

debian-installer (20101020ubuntu186) quantal; urgency=low

  * No-change rebuild to pick up the latest signed grub2 image.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 15 Oct 2012 16:22:30 +0100

debian-installer (20101020ubuntu185) quantal; urgency=low

  * No-change rebuild to pick up the latest signed grub2 image.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 13 Oct 2012 14:25:38 -0600

debian-installer (20101020ubuntu184) quantal; urgency=low

  * No-change rebuild to pick up the latest SecureBoot components.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 11 Oct 2012 20:22:55 -0600

debian-installer (20101020ubuntu183) quantal; urgency=low

  * Simplify signed kernel handling at Adam Conrad's suggestion.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 11 Oct 2012 14:01:19 +0100

debian-installer (20101020ubuntu182) quantal; urgency=low

  * Use a signed kernel on amd64.
  * Move armhf/armadaxp to 3.5.0-1603 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 11 Oct 2012 13:28:22 +0100

debian-installer (20101020ubuntu181) quantal; urgency=low

  [ Steve Langasek ]
  * build/util/efi-image: try to grab a signed grub efi image from the
    archive first, before generating one locally.
  * build-depend on shim-signed and have build/util/efi-image use this
    as bootx64.efi, with the signed grub image as grubx64.efi.

  [ Colin Watson ]
  * Move armhf/omap4 to 3.5.0-213 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 10 Oct 2012 16:25:35 +0100

debian-installer (20101020ubuntu180) quantal; urgency=low

  * Move master kernels to 3.5.0-17.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 04 Oct 2012 14:43:13 -0600

debian-installer (20101020ubuntu179) quantal; urgency=low

  * Move armhf/armadaxp to 3.5.0-1602 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 01 Oct 2012 13:00:11 +0100

debian-installer (20101020ubuntu178) quantal; urgency=low

  * Move omap4 kernels to 3.5.0-212.
  * Rebuild against 3.5.0-16.25 master kernels.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 29 Sep 2012 11:06:28 -0600

debian-installer (20101020ubuntu177) quantal; urgency=low

  * Move to 3.5.0-16 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 28 Sep 2012 16:08:52 +0100

debian-installer (20101020ubuntu176) quantal; urgency=low

  * Move omap4 kernels to 3.5.0-211.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 21 Sep 2012 18:12:15 -0600

debian-installer (20101020ubuntu175) quantal; urgency=low

  [ Colin Watson ]
  * Move to 3.5.0-15 kernels.

  [ Adam Conrad ]
  * Move omap4 kernels to 3.5.0-210.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 18 Sep 2012 10:29:12 -0600

debian-installer (20101020ubuntu174) quantal; urgency=low

  * Fix GRUB EFI prefix to work properly with GRUB 2.00.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 14 Sep 2012 10:53:05 +0100

debian-installer (20101020ubuntu173) quantal; urgency=low

  * Move armadaxp kernels to 3.2.0-1608.
  * Rebuild against fixed x86 kernels.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 13 Sep 2012 20:18:29 -0600

debian-installer (20101020ubuntu172) quantal; urgency=low

  * Move master kernels to 3.5.0-14.
  * Move armadaxp kernels to 3.2.0-1607.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 07 Sep 2012 19:17:27 -0600

debian-installer (20101020ubuntu171) quantal; urgency=low

  * No-change rebuild against biosdevname 0.4.1-0ubuntu2.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 01 Sep 2012 01:34:48 +0100

debian-installer (20101020ubuntu170) quantal; urgency=low

  * Move master kernels to 3.5.0-13.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 29 Aug 2012 16:46:40 -0600

debian-installer (20101020ubuntu169) quantal; urgency=low

  * Move master kernels to 3.5.0-12.
  * Move omap4 kernels to 3.5.0-209.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 26 Aug 2012 21:10:58 -0600

debian-installer (20101020ubuntu168) quantal; urgency=low

  * Move master kernels to 3.5.0-11.
  * Move omap4 kernels to 3.5.0-208.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 20 Aug 2012 19:04:46 -0600

debian-installer (20101020ubuntu167) quantal; urgency=low

  * Move master kernels to 3.5.0-10.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 14 Aug 2012 13:42:52 -0600

debian-installer (20101020ubuntu166) quantal; urgency=low

  [ Colin Watson ]
  * build/util/efi-image: Add an explicit copyright/licence notice,
    requested by Steve McIntyre.

  [ Adam Conrad ]
  * Move master kernels to 3.5.0-9.
  * Move armadaxp kernels to 3.2.0-1606.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 09 Aug 2012 19:26:58 -0600

debian-installer (20101020ubuntu165) quantal; urgency=low

  * Move master kernels to 3.5.0-8.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 06 Aug 2012 00:16:37 -0600

debian-installer (20101020ubuntu164) quantal; urgency=low

  * Move master kernels to 3.5.0-7.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 31 Jul 2012 23:59:25 -0600

debian-installer (20101020ubuntu163) quantal; urgency=low

  * Symlink build/pkg-lists/*/armel/omap4.cfg to omap.cfg, fixing
    non-onboard NICs on netboot, and HID on cdrom (LP: #1028664)

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 24 Jul 2012 19:44:04 -0600

debian-installer (20101020ubuntu162) quantal; urgency=low

  * Fix: highbank initrd was being named .img instead of .gz

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 24 Jul 2012 11:30:41 -0600

debian-installer (20101020ubuntu161) quantal; urgency=low

  * Give the netboot images an additional 2MB of breathing room.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 23 Jul 2012 23:55:09 -0600

debian-installer (20101020ubuntu160) quantal; urgency=low

  * Move master kernels to 3.5.0-6.
  * Bring highbank support in line with recent precise SRU.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 23 Jul 2012 22:03:36 -0600

debian-installer (20101020ubuntu159) quantal; urgency=low

  * No-change rebuild against netcfg 1.68ubuntu15.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 22 Jul 2012 19:06:54 +0100

debian-installer (20101020ubuntu158) quantal; urgency=low

  * Move to 3.5.0-5 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 19 Jul 2012 12:16:34 +0100

debian-installer (20101020ubuntu157) quantal; urgency=low

  * Move armhf/armadaxp to 3.2.0-1605 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 18 Jul 2012 16:40:29 +0100

debian-installer (20101020ubuntu156) quantal; urgency=low

  * No-change rebuild to pick up new isc-dhcp.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 10 Jul 2012 21:13:30 -0400

debian-installer (20101020ubuntu155) quantal; urgency=low

  * Move master kernels to 3.5.0-4.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 10 Jul 2012 13:40:09 -0600

debian-installer (20101020ubuntu154) quantal; urgency=low

  * Move omap4 kernels to 3.4.0-204.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 09 Jul 2012 18:43:06 -0600

debian-installer (20101020ubuntu153) quantal; urgency=low

  * Move omap4 kernels to 3.4.0-203.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 05 Jul 2012 21:26:58 -0600

debian-installer (20101020ubuntu152) quantal; urgency=low

  * Move master kernels to 3.5.0-3.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 02 Jul 2012 19:01:23 -0600

debian-installer (20101020ubuntu151) quantal; urgency=low

  * Move omap4 kernels to 3.4.0-202.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 28 Jun 2012 20:04:34 -0600

debian-installer (20101020ubuntu150) quantal; urgency=low

  * Make highbank.cfg more closely match omap.cfg, and remove
    the redundant KERNELVERSION that's inherited from arm*.cfg
  * Move master kernel to 3.5.0-2 and rebuild to pick them up.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 20 Jun 2012 15:52:08 -0600

debian-installer (20101020ubuntu149) quantal; urgency=low

  * Move to 3.5.0-1 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 20 Jun 2012 22:33:01 +0100

debian-installer (20101020ubuntu148) quantal; urgency=low

  * Fix armadaxp netboot uImage/uInitrd install paths (LP: #1010708)
  * Bring armadaxp and highbank netboot.cfg in line with other arches

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 08 Jun 2012 16:41:44 -0600

debian-installer (20101020ubuntu147) quantal; urgency=low

  * Add Calxeda Highbank netboot images (LP: #1004018).

 -- Robie Basak <robie.basak@ubuntu.com>  Thu, 07 Jun 2012 11:54:16 +0100

debian-installer (20101020ubuntu146) quantal; urgency=low

  * Move to 3.4.0-5 kernels.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 05 Jun 2012 16:17:22 -0600

debian-installer (20101020ubuntu145) quantal; urgency=critical

  * Move all flavors mainline kernel flavors to 3.4.0-4

 -- Michael Casadevall <mcasadevall@ubuntu.com>  Mon, 04 Jun 2012 16:07:57 -0700

debian-installer (20101020ubuntu144) quantal; urgency=low

  * ttf-freefont-udeb was renamed to fonts-freefont-udeb.
  * Stop building armel/omap4 flavour, since it no longer has a current
    kernel.
  * Move armhf/omap4 to 3.4.0-201 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 May 2012 10:17:59 +0100

debian-installer (20101020ubuntu143) quantal; urgency=low

  * Use generic flavour for i386/*-xen images, since virtual has been folded
    into generic.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 May 2012 13:15:44 +0100

debian-installer (20101020ubuntu142) quantal; urgency=low

  * Account for i386/generic-pae kernel flavour being renamed to generic.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 May 2012 11:05:44 +0100

debian-installer (20101020ubuntu141) quantal; urgency=low

  * Port help-to-gfxboot.py to Python 3.
  * Move to 3.4.0-3 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 May 2012 10:01:58 +0100

debian-installer (20101020ubuntu140) quantal; urgency=low

  * Move to 3.4.0-2 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 16 May 2012 10:44:54 +0100

debian-installer (20101020ubuntu139) quantal; urgency=low

  * Remove the non-pae builds on i386, since the kernel no longer builds the
    -generic flavour there.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 04 May 2012 09:57:15 +0100

debian-installer (20101020ubuntu138) quantal; urgency=low

  * Move to 3.4.0-1 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 04 May 2012 09:35:29 +0100

debian-installer (20101020ubuntu137) quantal; urgency=low

  * Set default suite to quantal.
  * Move to 3.2.0-24 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 29 Apr 2012 23:24:17 +0100

debian-installer (20101020ubuntu136) precise; urgency=low

  * No-change rebuild to pick up new cdrom-checker.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 23 Apr 2012 11:49:02 -0700

debian-installer (20101020ubuntu135) precise; urgency=low

  * Update help text translations from Launchpad.
  * Add all characters in /usr/share/console-setup-mini/kbdnames.gz to the
    reduced font (LP: #985614).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 19 Apr 2012 18:35:20 +0100

debian-installer (20101020ubuntu134) precise; urgency=low

  * Call mklibs with a hardcoded --ldlib in armhf.cfg, so we get a
    deterministic result in our linker search, and then add the
    symlink from the old linker path in build/Makefile (LP: #984007)
  * Rebuild with latest omap4 kernels for ext2 support (LP: #984180)

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 17 Apr 2012 23:20:29 -0600

debian-installer (20101020ubuntu133) precise; urgency=low

  * Move armel/omap4 and armhf/omap4 to 3.2.0-1412.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 13 Apr 2012 07:11:30 -0600

debian-installer (20101020ubuntu132) precise; urgency=low

  * Add a new hd-media/non-pae build for i386 (LP: #977568).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 12 Apr 2012 00:36:26 +0100

debian-installer (20101020ubuntu131) precise; urgency=low

  * Update help text translations from Launchpad.
  * Move to 3.2.0-23 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 11 Apr 2012 11:19:26 +0100

debian-installer (20101020ubuntu130) precise; urgency=low

  * Move armhf/armadaxp to 3.2.0-1602 kernels.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 05 Apr 2012 15:26:26 -0600

debian-installer (20101020ubuntu129) precise; urgency=low

  * nic-firmware grew by nearly 4MB (!).  Bump amd64, i386, and powerpc
    netboot image sizes to match.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 04 Apr 2012 17:10:37 +0100

debian-installer (20101020ubuntu128) precise; urgency=low

  * Move to 3.2.0-22 kernels.
  * Move armhf/armadaxp to 3.2.0-1601 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 04 Apr 2012 13:07:57 +0100

debian-installer (20101020ubuntu127) precise; urgency=low

  * Move to 3.2.0-21 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 30 Mar 2012 15:58:38 +0100

debian-installer (20101020ubuntu126) precise; urgency=low

  * Move armel/omap4 and armhf/omap4 to 3.2.0-1411.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 27 Mar 2012 15:04:37 -0600

debian-installer (20101020ubuntu125) precise; urgency=low

  * No-change rebuild to pick up new libcrypto1.0.0-udeb.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 25 Mar 2012 15:04:23 +0100

debian-installer (20101020ubuntu124) precise; urgency=low

  * Bump amd64, i386, and powerpc netboot image sizes by a megabyte to
    accommodate nic-firmware growth.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 22 Mar 2012 12:06:46 +0000

debian-installer (20101020ubuntu123) precise; urgency=low

  * Move armel/omap4 and armhf/omap4 to 3.2.0-1410.
  * Move generic distro kernels to 3.2.0-20.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 22 Mar 2012 03:42:02 -0600

debian-installer (20101020ubuntu122) precise; urgency=low

  * Switch PPC32 builds to the powerpc-smp kernel.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 20 Mar 2012 09:55:41 -0600

debian-installer (20101020ubuntu121) precise; urgency=low

  * Move armhf/armadaxp to 3.2.0-1600, not 3.0.0-1600.
  * Move generic distro kernels to 3.2.0-19.
  * Move armel/omap4 and armhf/omap4 to 3.2.0-1409.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 18 Mar 2012 11:34:42 -0600

debian-installer (20101020ubuntu120) precise; urgency=low

  * Move armadaxp to 3.2.0-1600 kernel.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sat, 17 Mar 2012 11:14:13 +0100

debian-installer (20101020ubuntu119) precise; urgency=low

  * Add a new cdrom/isolinux/non-pae build for i386 that uses the -generic
    kernel flavour (LP: #955009).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 15 Mar 2012 18:41:47 +0000

debian-installer (20101020ubuntu118) precise; urgency=low

  * Move armel/omap4 and armhf/omap4 to 3.2.0-1408 kernels.
  * Update help text translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 14 Mar 2012 09:19:58 +0000

debian-installer (20101020ubuntu117) precise; urgency=low

  * Move to 3.2.0-18 kernels.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sat, 03 Mar 2012 16:50:49 +0100

debian-installer (20101020ubuntu116) precise; urgency=low

  * Move armel/omap4 and armhf/omap4 to 3.2.0-1407 kernels.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 02 Mar 2012 19:07:54 +0100

debian-installer (20101020ubuntu115) precise; urgency=high

  * Correct mkimage arguments to generate a working uImage for ArmadaXP

 -- Michael Casadevall <mcasadevall@ubuntu.com>  Mon, 27 Feb 2012 03:41:37 -0800

debian-installer (20101020ubuntu114) precise; urgency=low

  * Rebuild against new netcfg 1.68ubuntu12 (resolvconf fixes).

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 23 Feb 2012 18:14:14 -0500

debian-installer (20101020ubuntu113) precise; urgency=low

  * Correct pathing error in armadaxp dest folder

 -- Michael Casadevall <mcasadevall@ubuntu.com>  Thu, 23 Feb 2012 01:30:12 -0800

debian-installer (20101020ubuntu112) precise; urgency=low

  * Added armadaxp images (LP: #934451)

 -- Michael Casadevall <mcasadevall@ubuntu.com>  Wed, 22 Feb 2012 23:38:35 -0800

debian-installer (20101020ubuntu111) precise; urgency=low

  * Move to 3.2.0-17 kernels.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 21 Feb 2012 09:40:57 +0100

debian-installer (20101020ubuntu110) precise; urgency=low

  * Move armel/omap4 and armhf/omap4 to 3.2.0-1406 kernels.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 15 Feb 2012 11:11:31 +0100

debian-installer (20101020ubuntu109) precise; urgency=low

  * Move to 3.2.0-16 kernels.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 14 Feb 2012 19:24:50 +0100

debian-installer (20101020ubuntu108) precise; urgency=low

  * Bump amd64 netboot image size by 512KiB to accommodate eglibc 2.15.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 09 Feb 2012 09:11:44 +0000

debian-installer (20101020ubuntu107) precise; urgency=low

  * Move to 3.2.0-15 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 09 Feb 2012 01:06:19 +0000

debian-installer (20101020ubuntu106) precise; urgency=low

  * gtk-common: Replace ttf-thai-tlwg-udeb by fonts-thai-tlwg-udeb

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 07 Feb 2012 13:43:54 -0500

debian-installer (20101020ubuntu105) precise; urgency=low

  * Rebuild against new netcfg 1.68ubuntu11 (IPv6 fixes).

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 07 Feb 2012 13:25:30 -0500

debian-installer (20101020ubuntu104) precise; urgency=low

  * Move to 3.2.0-14 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 05 Feb 2012 02:48:57 +0000

debian-installer (20101020ubuntu103) precise; urgency=low

  * Update omap3 to use the MLO from u-boot and drop x-loader dep.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 31 Jan 2012 17:59:57 -0700

debian-installer (20101020ubuntu102) precise; urgency=low

  * Move armel/omap4 and armhf/omap4 to 3.2.0-1405 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 30 Jan 2012 15:59:32 +0000

debian-installer (20101020ubuntu101) precise; urgency=low

  * Move to 3.2.0-12 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 29 Jan 2012 10:10:42 +0000

debian-installer (20101020ubuntu100) precise; urgency=low

  * Move armel/omap4 and armhf/omap4 to 3.2.0-1404 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 23 Jan 2012 13:16:15 +0000

debian-installer (20101020ubuntu99) precise; urgency=low

  * Move to 3.2.0-10 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 20 Jan 2012 16:18:28 +0000

debian-installer (20101020ubuntu98) precise; urgency=low

  * Move to 3.2.0-9 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 15 Jan 2012 13:57:34 +0000

debian-installer (20101020ubuntu97) precise; urgency=low

  * ttf-tmuni-udeb -> fonts-tibetan-machine-udeb.
  * Move to 3.2.0-8 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 06 Jan 2012 17:47:26 +0000

debian-installer (20101020ubuntu96) precise; urgency=low

  * Move to 3.2.0-7 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 27 Dec 2011 15:16:14 +0000

debian-installer (20101020ubuntu95) precise; urgency=low

  * Move to 3.2.0-6 kernels.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 19 Dec 2011 17:25:00 +0100

debian-installer (20101020ubuntu94) precise; urgency=low

  * Move armel/omap4 to 3.2.0-1403 kernels.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 16 Dec 2011 17:34:42 +0100

debian-installer (20101020ubuntu93) precise; urgency=low

  * Move to 3.2.0-5 kernels.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 16 Dec 2011 10:56:36 +0100

debian-installer (20101020ubuntu92) precise; urgency=low

  * Rebuild against nic-firmware 1.64 to pull in more rtl firmware objects.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Dec 2011 13:51:49 -0800

debian-installer (20101020ubuntu91) precise; urgency=low

  * Switch i386 to the -generic-pae kernel flavour, and add a new
    netboot/non-pae build for i386 that uses the -generic flavour
    (LP: #897786).
  * Exclude checksum files themselves (MD5SUMS, SHA1SUMS, and SHA256SUMS)
    from the contents of checksum files.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 15 Dec 2011 15:36:01 +0000

debian-installer (20101020ubuntu90) precise; urgency=low

  * Rebuild against nic-firmware 1.63, to pull in support for rtl8186.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 14 Dec 2011 16:21:51 -0800

debian-installer (20101020ubuntu89) precise; urgency=low

  * Move to 3.2.0-4 kernels.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 11 Dec 2011 13:33:44 +0100

debian-installer (20101020ubuntu88) precise; urgency=low

  * Move armel/omap4 to 3.2.0-1402 kernels.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 09 Dec 2011 08:19:59 +0100

debian-installer (20101020ubuntu87) precise; urgency=low

  * Rebuild with the new mklibs to fix armhf linker path. 

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 08 Dec 2011 14:31:40 -0700

debian-installer (20101020ubuntu86) precise; urgency=low

  * Move armel/omap4 to 3.2.0-1401 kernels.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 08 Dec 2011 11:31:57 +0100

debian-installer (20101020ubuntu85) precise; urgency=low

  * build/pkg-lists/gtk-common: ttf-khmeros-udeb and ttf-sil-abyssinica-udeb
    were renamed to fonts-*.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 07 Dec 2011 13:13:17 +0100

debian-installer (20101020ubuntu84) precise; urgency=low

  [ Martin Pitt ]
  * Move armel/omap4 to 3.0.0-1402 kernels.

  [ Colin Watson ]
  * Enable armhf/omap4.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 07 Dec 2011 09:01:14 +0000

debian-installer (20101020ubuntu83) precise; urgency=low

  * Don't fail when one of the entries in sources.list.udeb has an empty
    Packages file.
  * Update build-dependencies for armhf.
  * Fix some broken symlinks for armhf.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 05 Dec 2011 12:48:45 +0000

debian-installer (20101020ubuntu82) precise; urgency=low

  * Move to 3.2.0-3 kernels.
  * Add armhf support, with only the omap flavour for now.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 05 Dec 2011 10:19:45 +0000

debian-installer (20101020ubuntu81) precise; urgency=low

  * Bump i386 netboot image size by 512KiB.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 26 Nov 2011 00:24:36 +0000

debian-installer (20101020ubuntu80) precise; urgency=low

  * Move to 3.2.0-2 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 25 Nov 2011 19:48:33 +0000

debian-installer (20101020ubuntu79) precise; urgency=low

  * build/pkg-lists/gtk-common: ttf-farsiweb-udeb was renamed to fonts-*.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 23 Nov 2011 09:53:39 +0000

debian-installer (20101020ubuntu78) precise; urgency=low

  * Move armel/omap4 to 3.0.0-1401 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Nov 2011 13:53:37 +0000

debian-installer (20101020ubuntu77) precise; urgency=low

  * Bump powerpc netboot image size by a megabyte to allow for a slight
    kernel size increase.
  * Switch Xen images to the -virtual kernel flavour (LP: #857662).

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 20 Nov 2011 11:15:24 +0000

debian-installer (20101020ubuntu76) precise; urgency=low

  * Move to 3.2.0-1 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 19 Nov 2011 12:18:41 +0000

debian-installer (20101020ubuntu75) precise; urgency=low

  * Bump amd64 netboot image size by 512KiB.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 28 Oct 2011 14:08:40 +0100

debian-installer (20101020ubuntu74) precise; urgency=low

  * Move to 3.1.0-2 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 27 Oct 2011 11:25:36 +0100

debian-installer (20101020ubuntu73) precise; urgency=low

  * Set default suite to precise.
  * Move to 3.1.0-1 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 19 Oct 2011 17:56:12 +0100

debian-installer (20101020ubuntu72) oneiric; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 08 Oct 2011 10:43:48 +0100

debian-installer (20101020ubuntu71) oneiric; urgency=low

  * Update help text translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 06 Oct 2011 02:07:50 +0100

debian-installer (20101020ubuntu70) oneiric; urgency=low

  [ Colin Watson ]
  * Update help text translations from Launchpad.

  [ Michael Casadevall ]
  * Increase OMAP3/4 netboot image size and compress it

 -- Michael Casadevall <mcasadevall@ubuntu.com>  Tue, 04 Oct 2011 00:59:10 -0700

debian-installer (20101020ubuntu69) oneiric; urgency=low

  * Move armel/omap4 to 3.0.0-1205 kernels.
  * Update help text translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 30 Sep 2011 14:15:40 +0100

debian-installer (20101020ubuntu68) oneiric; urgency=low

  * Bump amd64 netboot image size by another 256KiB.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 28 Sep 2011 14:17:45 +0100

debian-installer (20101020ubuntu67) oneiric; urgency=low

  * Re-enable armel/linaro-vexpress and move it to 3.0.0-1007 kernels.
  * Move armel/linaro-omap to 3.0.0-1007 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 28 Sep 2011 10:17:09 +0100

debian-installer (20101020ubuntu66) oneiric; urgency=low

  * Move to 3.0.0-12 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 24 Sep 2011 16:19:45 +0100

debian-installer (20101020ubuntu65) oneiric; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 20 Sep 2011 01:44:40 +0100

debian-installer (20101020ubuntu64) oneiric; urgency=low

  * Update help text translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 19 Sep 2011 16:44:04 +0100

debian-installer (20101020ubuntu63) oneiric; urgency=low

  * Move to 3.0.0-11 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 11 Sep 2011 16:16:50 +0100

debian-installer (20101020ubuntu62) oneiric; urgency=low

  * Move armel/omap4 to 3.0.0-1204 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 06 Sep 2011 14:10:14 +0100

debian-installer (20101020ubuntu61) oneiric; urgency=low

  * Move to 3.0.0-10 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 03 Sep 2011 12:14:55 +0100

debian-installer (20101020ubuntu60) oneiric; urgency=low

  * tell d-i about the new location of MLO for panda netboot images
  * drop build-dependency on omap4 x-loader

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 31 Aug 2011 00:03:05 +0100

debian-installer (20101020ubuntu59) oneiric; urgency=low

  * No-change rebuild to pick up new kernel.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 26 Aug 2011 16:10:27 +0100

debian-installer (20101020ubuntu58) oneiric; urgency=low

  * Move to 3.0.0-9 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 21 Aug 2011 15:26:14 +0100

debian-installer (20101020ubuntu57) oneiric; urgency=low

  * Move armel/omap4 to 3.0.0-1203 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 20 Aug 2011 10:37:23 +0100

debian-installer (20101020ubuntu56) oneiric; urgency=low

  * Move armel/omap4 to 3.0.0-1202 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 18 Aug 2011 00:40:46 +0100

debian-installer (20101020ubuntu55) oneiric; urgency=low

  * And bump the armel/omap netboot image size by two megabytes too, also to
    account for the addition of WPA support.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 17 Aug 2011 00:47:42 +0100

debian-installer (20101020ubuntu54) oneiric; urgency=low

  * Bump powerpc netboot image size by two megabytes to account for the
    addition of WPA support.
  * Disable armel/linaro-vexpress until LP #826021 is fixed.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Aug 2011 14:04:59 +0100

debian-installer (20101020ubuntu53) oneiric; urgency=low

  * Bump amd64 netboot image size by a megabyte or so; the addition of WPA
    support makes this a bit bigger.
  * Move armel/omap4 to 3.0.0-1201 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 13 Aug 2011 12:18:32 +0100

debian-installer (20101020ubuntu52) oneiric; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 12 Aug 2011 15:33:14 +0100

debian-installer (20101020ubuntu51) oneiric; urgency=low

  * Move to 3.0.0-8 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 08 Aug 2011 11:42:59 +0100

debian-installer (20101020ubuntu50) oneiric; urgency=low

  * Move armel/omap4 to 3.0.0-1200 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 29 Jul 2011 09:47:25 +0100

debian-installer (20101020ubuntu49) oneiric; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 26 Jul 2011 09:03:49 +0100

debian-installer (20101020ubuntu48) oneiric; urgency=low

  * Move to 3.0.0-7 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 24 Jul 2011 17:43:03 +0100

debian-installer (20101020ubuntu47) oneiric; urgency=low

  * Move to 3.0.0-6 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 24 Jul 2011 10:15:58 +0100

debian-installer (20101020ubuntu46) oneiric; urgency=low

  [ Brian Murray ]
  * Update minimum disk space requirements for installing Ubuntu.  Thanks to
    Matheus de Araújo for the patch.  (LP: #758942) 

  [ Emmet Hikory ]
  * Publish MLO and u-boot.bin for omap netboot targets (LP: #808810)

  [ Colin Watson ]
  * Move to 3.0.0-5 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 13 Jul 2011 10:58:22 +0100

debian-installer (20101020ubuntu45) oneiric; urgency=low

  * Move to 3.0.0-4 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 09 Jul 2011 22:12:25 +0100

debian-installer (20101020ubuntu44) oneiric; urgency=low

  * No-change rebuild to pick up new omap4 kernels for netboot images. 

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 06 Jul 2011 16:10:14 -0600

debian-installer (20101020ubuntu43) oneiric; urgency=low

  * Make nic-modules udeb optional on armel; currently not present on
    armel+vexpress (builtin ethernet is built into the kernel); some USB NICs
    should still be possible as modules, but that's optional; LP: #805596.

 -- Loïc Minier <loic.minier@linaro.org>  Mon, 04 Jul 2011 19:17:13 +0200

debian-installer (20101020ubuntu42) oneiric; urgency=low

  * Add multiarch library directories to mklibs' search path, in case
    library udebs decide to install into them.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 04 Jul 2011 17:05:32 +0100

debian-installer (20101020ubuntu41) oneiric; urgency=low

  * Move armel/linaro-vexpress to 2.6.39-1001 kernels.
  * Move to 3.0-3 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 04 Jul 2011 16:32:44 +0100

debian-installer (20101020ubuntu40) oneiric; urgency=low

  [ Colin Watson ]
  * Move armel/linaro-omap to 2.6.39-1001 kernels.
  * Move armel/omap4 to 2.6.38-1309 kernels.

  [ Loïc Minier ]
  * build/config/armel.cfg, armel/versatile.cfg: disable versatile and revert
    now useless Ubuntu changes since the versatile flavor was disabled in the
    linux source package.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 29 Jun 2011 09:30:55 +0100

debian-installer (20101020ubuntu39) oneiric; urgency=low

  * Backport from Debian (Joey Hess):
    - Let fdisk choose end sector for piggyback partition.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 27 Jun 2011 14:20:37 +0100

debian-installer (20101020ubuntu38) oneiric; urgency=low

  [ Loïc Minier ]
  * control: fix typo in comment about dosfstools bdep.

  [ Colin Watson ]
  * Move to 3.0-2 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 27 Jun 2011 11:36:21 +0100

debian-installer (20101020ubuntu37) oneiric; urgency=low

  * Add parted [armel] build-dep; needed for armel+omap and armel+omap4
    netboot images (via build/boot/arm/generate-partitioned-filesystem).

 -- Loïc Minier <loic.minier@linaro.org>  Sat, 18 Jun 2011 00:41:24 +0200

debian-installer (20101020ubuntu36) oneiric; urgency=low

  [ Loïc Minier ]
  * Rename build/pkg-lists/cdrom/arm/ to build/pkg-lists/cdrom/armel/ instead
    of using a symlink.
  * build/config/armel/omap4.cfg: flip order or netboot and cdrom targets to
    match other *.cfg.
  * build/config/armel.cfg: order targets alphabetically.
  * Add linaro-vexpress netboot target to armel images, copied from versatile;
    this is useful to run an ARMv7 userspace in QEMU.
    - build/config/armel.cfg: list linaro-vexpress.
    - build/config/armel/linaro-{vexpress.cfg,vexpress/}: copy from versatile,
      tweaking comments and setting kernel version to
      2.6.38-1002-linaro-vexpress.
  * Add linaro-omap netboot target to armel images, copied from versatile;
    this is useful for all OMAP2+ boards supported in this kernel.
    - build/config/armel.cfg: list linaro-omap.
    - build/config/armel/linaro-{omap.cfg,omap/}: copy from versatile,
      tweaking comments and setting kernel version to 2.6.38-1002-linaro-omap.
  * Drop disabled imx51 bits and corresponding redboot-tools build-dep; this
    has been unused for years, allows dropping Debian delta and a build-dep,
    demoting this build-dep to universe and can be resurrected from history if
    needs be, albeit i.MX51 support would likely use U-Boot nowadays.

  [ Colin Watson ]
  * Move to 3.0-1 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 17 Jun 2011 17:16:58 +0100

debian-installer (20101020ubuntu35) oneiric; urgency=low

  * Move to 3.0-0 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 11 Jun 2011 12:40:30 +0100

debian-installer (20101020ubuntu34) oneiric; urgency=low

  * Add support for OMAP4 netboot images
  * Build dd'able boot.img for OMAp3
  * Correct the build path of netboot images

 -- Michael Casadevall <mcasadevall@ubuntu.com>  Thu, 09 Jun 2011 14:28:45 +0000

debian-installer (20101020ubuntu33) oneiric; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 31 May 2011 20:15:35 +0100

debian-installer (20101020ubuntu32) oneiric; urgency=low

  * Add .disk/mini-info to x86 mini.iso images, loosely based on the format
    of .disk/info (LP: #765254).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 27 May 2011 15:07:58 +0100

debian-installer (20101020ubuntu31) oneiric; urgency=low

  * Move to 2.6.39-3 kernels.
  * Switch to using grub-efi-amd64-bin to build EFI images.  Deliver EFI
    binaries to debian-cd via debian-cd_info.tar.gz on amd64.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 22 May 2011 14:40:37 +0100

debian-installer (20101020ubuntu30) oneiric; urgency=low

  * Set default suite to oneiric.
  * Move to 2.6.39-2 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 13 May 2011 13:01:20 +0100

debian-installer (20101020ubuntu29) natty; urgency=low

  * Update help text translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 21 Apr 2011 01:01:08 +0100

debian-installer (20101020ubuntu28) natty; urgency=low

  * Update help text translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 11 Apr 2011 18:01:35 +0100

debian-installer (20101020ubuntu27) natty; urgency=low

  * Update help text translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 07 Apr 2011 23:13:15 +0100

debian-installer (20101020ubuntu26) natty; urgency=low

  * Move to 2.6.38-8 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 05 Apr 2011 16:47:33 +0100

debian-installer (20101020ubuntu25) natty; urgency=low

  * Update help text translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 01 Apr 2011 18:28:08 +0100

debian-installer (20101020ubuntu24) natty; urgency=low

  * Skip the option field in sources.list lines, if present.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Mar 2011 18:05:33 +0100

debian-installer (20101020ubuntu23) natty; urgency=low

  * Fix "F19" typo in gfxboot help text (LP: #537894).
  * Move to 2.6.38-7 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 18 Mar 2011 11:36:32 +0000

debian-installer (20101020ubuntu22) natty; urgency=low

  * Move to 2.6.38-6 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 09 Mar 2011 23:07:16 +0000

debian-installer (20101020ubuntu21) natty; urgency=low

  * Install /var/lib/dpkg/info/$(dpkg --print-architecture) -> . symlink so
    that images build correctly in the presence of multiarch dpkg.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 01 Mar 2011 13:17:29 +0000

debian-installer (20101020ubuntu20) natty; urgency=low

  * Stop building the armel dove subarchitecture; it no longer has a kernel
    in natty.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 01 Mar 2011 10:33:01 +0000

debian-installer (20101020ubuntu19) natty; urgency=low

  * Include biosdevname-udeb on architectures where it's available.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Feb 2011 21:26:29 +0000

debian-installer (20101020ubuntu18) natty; urgency=low

  * No-change rebuild against udev-udeb 166-0ubuntu2.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 24 Feb 2011 14:43:20 +0000

debian-installer (20101020ubuntu17) natty; urgency=low

  * Move to 2.6.38-5 kernels.

 -- Andy Whitcroft <apw@canonical.com>  Wed, 23 Feb 2011 13:54:43 +0000

debian-installer (20101020ubuntu16) natty; urgency=low

  * Move to 2.6.38-4 kernels.

 -- Andy Whitcroft <apw@canonical.com>  Fri, 18 Feb 2011 12:22:31 +0000

debian-installer (20101020ubuntu15) natty; urgency=low

  * Move to 2.6.38-3 kernels.

 -- Andy Whitcroft <apw@canonical.com>  Thu, 10 Feb 2011 21:41:26 +0000

debian-installer (20101020ubuntu14) natty; urgency=low

  * Move to 2.6.38-2 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 08 Feb 2011 15:02:05 +0000

debian-installer (20101020ubuntu13) natty; urgency=low

  * Move to 2.6.38-1 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 28 Jan 2011 09:38:24 +0000

debian-installer (20101020ubuntu12) natty; urgency=low

  * switch build-deps from u-boot to u-boot-tools

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 07 Jan 2011 13:26:46 +0100

debian-installer (20101020ubuntu11) natty; urgency=low

  * Move to 2.6.37-12 kernels.

 -- Andy Whitcroft <apw@canonical.com>  Thu, 06 Jan 2011 23:21:18 +0000

debian-installer (20101020ubuntu10) natty; urgency=low

  [ Loïc Minier ]
  * Build-depend on u-boot [armel] rather than uboot-mkimage [armel] as
    mkimage moved to this package in natty.
  
  [ Michael Vogt ]
  * Move to 2.6.37-11 kernels.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 22 Dec 2010 15:10:59 +0100

debian-installer (20101020ubuntu9) natty; urgency=low

  * Move to 2.6.37-10 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 17 Dec 2010 14:35:25 +0000

debian-installer (20101020ubuntu8) natty; urgency=low

  * Move to 2.6.37-9 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 13 Dec 2010 10:58:21 +0000

debian-installer (20101020ubuntu7) natty; urgency=low

  * Move to 2.6.37-8 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 06 Dec 2010 16:49:58 +0000

debian-installer (20101020ubuntu6) natty; urgency=low

  * No-change rebuild to pick up new kernel.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 01 Dec 2010 10:38:20 +0000

debian-installer (20101020ubuntu5) natty; urgency=low

  * Move to 2.6.37-7 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 29 Nov 2010 14:32:05 +0000

debian-installer (20101020ubuntu4) natty; urgency=low

  * Move to 2.6.37-6 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 23 Nov 2010 19:14:25 +0000

debian-installer (20101020ubuntu3) natty; urgency=low

  * Move to 2.6.37-5 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 18 Nov 2010 01:46:35 +0000

debian-installer (20101020ubuntu2) natty; urgency=low

  * Backport from trunk:
    - geniso_hybrid_plus_firmware_partition: Cope if the disk size exceeds
      32MB.  (The previous code seems to have misunderstood isohybrid's
      defaults slightly, but we now just specify the full CHS geometry
      explicitly in case anything changes in the future.)
  * Move to 2.6.37-4 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 Nov 2010 13:55:49 +0000

debian-installer (20101020ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Ubuntu branding of various kinds.
    - Use Ubuntu kernels.  Various tweaks for different udeb splits.
    - Fetch distribution name and version number from lsb_release.
    - Use the full version number in image directories.
    - Various boot screen text adjustments.
    - Add cli boot options.
    - Add memtest boot option.
    - Add live CD boot screens.
    - Adjust memory size recommendations.
    - Document pci=noacpi.
    - Add translatable boot screen text for gfxboot.  Adjust existing text
      to refer to gfxboot UI where appropriate.
    - Use ubuntu-keyring-udeb (and gpgv-udeb) instead of the Debian archive
      keyring.
    - Switch all images to initramfs.
    - Add netboot images suitable for USB memory sticks.
    - Remove floppy support, since it never used to work with 2.6.  (This
      may be fixed in the future.)
    - Add kickseed-common and initrd-kickseed to all images containing
      preseed-common and initrd-preseed.
    - Add nfs-modules to all netboot images except powerpc, for Kickstart.
    - kbd-chooser -> console-setup.
    - Include keymap decision tree in all.utf.
    - Replace cdebconf-newt-entropy with cdebconf-newt-detect-keys in
      EXTRAUDEBS.
    - Add hdparm-udeb to cdrom images.
    - Add nic-firmware to netboot images and scsi-firmware to cdrom and
      hd-media images.
    - Make scsi-firmware optional.
    - Add oem-config-check to all images.
    - Ship elilo configuration on i386 for Intel-based Macs.
    - Use mkvmlinuz's fallback object files on powerpc rather than relying
      on the kernel's.
    - Use ${RAMDISK_SIZE} in sparc's silo.conf rather than a hardcoded size.
    - Add input-modules to the sparc netboot image.
    - Remove auto-install/ai-choosers targets, at least for now.
    - Switch i386 builds to the -generic kernel flavour.
    - Add a new netboot/386 build for i386 that uses the -386 kernel
      flavour.
    - Publish separate kernel and initrd for sparc64 netboot.
    - Don't use win32-loader on Ubuntu.
    - Take /usr/share/localechooser/languagelist.data.gz into account when
      building reduced font.
    - Make speakup-modules optional, as we don't have it in Ubuntu yet.
    - Make serial-modules optional on ia64; it's currently built-in.
    - Make some modules optional on armel that are built into the kernel.
    - Support USE_UDEBS_FROM_EXTRA configuration variable to fetch udebs
      from some extra suites as well as the main one (USE_UDEBS_FROM).
      Useful for stable release updates.
    - Make nic-usb-modules optional on ia64.
    - Make acpi-modules and ipv6-modules optional, since they're now built
      in on mainline architectures.
    - Pad the nslu2 kernel to 16 blocks rather than 11, so that the Ubuntu
      kernel fits.
    - Make nic-modules optional on armel/versatile.
    - Introduce the armel dove, imx51 (disabled for now), and omap
      subarchitectures; drop iop32x, ixp4xx, kirkwood, orion5x, and ads.
    - Remove CD-specific language from boot screens.
    - Add util-linux-udeb to base, for blkid.
    - Add pcmcia-modules to hd-media images.
    - Set KERNELNAME to vmlinuz and VERSIONED_SYSTEM_MAP to the empty string
      for armel subarchitectures.
    - Add a 512*50-byte padding file to the powerpc64_netboot mini.iso image
      tree, to avoid a genisoimage segfault at certain tree sizes.
    - Use mklibs-copy on amd64.  I'm not quite sure what's wrong here, and
      it needs further investigation.
    - Increase the netboot initrd size to 20MB on powerpc.
    - Add vlan-udeb to netboot images.
    - Remove multiarch (amd64-on-i386) syslinux configuration files.
    - Don't install separate desktop syslinux configuration files; we don't
      use them in Ubuntu.
    - Remove dtmenu.cfg from default menu.cfg; it isn't used in Ubuntu and
      it confuses gfxboot-theme-ubuntu.
    - Drop dns323-firmware-tools build-dependency on armel; this is only for
      orion5x, which we don't build.
    - Add GRUB EFI configuration on amd64, and make mini.iso images there
      multi-catalog.
    - Document raidid= syntax in partman-auto-raid/recipe.
  * Re-enable localudebs (cherry-picked from trunk).
  * Fix Ubuntu boot splash images to use 640x480, since otherwise they often
    end up being tiled.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 08 Nov 2010 14:53:34 +0000

debian-installer (20101020) unstable; urgency=low

  [ Joey Hess ]
  * Run isohybrid on i386 and amd64 miniiso, which allows it to be written
    directly to and booted from a USB stick. 

  [ Samuel Thibault ]
  * Explicitly set timeout to -1 in grub configurations, to make it easy to
    set it to 0 for preseeding.

  [ Otavio Salvador ]
  * Update Linux kernel modules for 2.6.32-25.
  * Fix parameter used to force generic IDE driver. Thanks to Rafael
    rafuch0 Rumbos S <rafaeleduardo@esdebian.org> by reporting it.
    Closes: #599041.
  * Disable localudebs usage due APT bug #600852. This has been done to
    not delay Beta1 release but needs to be reverted as soon as
    possible.

 -- Otavio Salvador <otavio@debian.org>  Wed, 20 Oct 2010 18:56:41 -0200

debian-installer (20100912) unstable; urgency=low

  * Skip last translation changes for rescue and debian-installer-
    launcher when calculating the translation status since those are
    rarely used until now.

 -- Otavio Salvador <otavio@debian.org>  Sun, 12 Sep 2010 23:16:50 -0300

debian-installer (20100911) unstable; urgency=low

  [ Martin Michlmayr ]
  * Update the pkg-lists on ARM to reflect the renaming of input-modules
    to event-modules.  (As a side effect, USB modules won't be pulled in
    anymore when they are not needed).
  * Revert the temporary removal of jffs2-modules and minix-modules from
    the orion5x image.
  * Add fb-modules to the Kirkwood netboot image.
  * Add g-i images for Kirkwood.
  * Add nic-modules to pkg-lists/netboot/armel.cfg so it doesn't have to
    be listed for every armel flavour.
  * Remove devio-udeb from most ARM images since it's only needed on
    ixp4xx (for oldsys-preseed on the NSLU2).

  [ Aurelien Jarno ]
  * Build-depends on debian-ports-archive-keyring on architectures
    hosted on debian-ports.org (sh4, sparc64).
  * Build-depends on module-init-tools on sh4 and sparc64 as on other 
    Linux architectures.
  * Switch kfreebsd-amd64 and kfreebsd-i386 to 8.1 kernel.
  * Don't try to build unifont.bdf on GNU/kFreeBSD as the console already 
    has basic font support for level 1 and bogl-bterm is not available.
  * Build-depends on xorriso on kfreebsd-amd64, kfreebsd-i386 and hurd-i386.
  * Add support to generate cdrom images on GNU/kFreeBSD.
  * Add support to generate netboot images using GRUB PXE on GNU/kFreeBSD.
  * Add sparc64 support based on sparc configuration.

  [ Joey Hess ]
  * Fix build breakage introduced by tighter version parsing in
    dpkg 1.15.8. Thanks, Thibaut Girka

  [ Samuel Thibault ]
  * Add pkg-lists/standard-udebs to kfreebsd and hurd's monolithic.cfg
    TARGETS.

  [ Jeremie Koenig ]
  * Use mklibs-copy on hurd-i386 for the time being.
  * Disable the uninstallable or otherwise broken standard udebs from the
    monolithic hurd-i386 images.
  * Add /lib/ld.so and /servers/exec to hurd-i386 initrd's.
  * Include a BDF font on Hurd images.
  * Use the newer "module --nounzip" grub command to load the initrd on Hurd,
    and let the gunzip store do the job.
  * Move the definition of the genext2fs command-line up, so we can
    override it in hurd.cfg.

  [ Christian Perrier ]
  * Add ttf-telugu-fonts-udeb and ttf-kannada-fonts-udeb to the
    graphical installer to properly display Telugu and Kannada
    Closes: #593208

  [ Joey Hess ]
  * Use Dir::Etc::trusted rather than Apt::GPGV::TrustedKeyring, 
    to work with apt 0.8.0.

 -- Otavio Salvador <otavio@debian.org>  Sat, 11 Sep 2010 11:15:37 -0300

debian-installer (20100722) unstable; urgency=low

  [ Martin Michlmayr ]
  * orion5x: Temporarily remove jffs2-modules and minix-modules from
    the initrd because the image is too large.  This will be fixed
    properly soon when we move to new kernel udebs. Closes: #590010

 -- Otavio Salvador <otavio@debian.org>  Thu, 22 Jul 2010 22:00:09 -0300

debian-installer (20100719) unstable; urgency=low

  [ Theppitak Karoonboonyanan ]
  * Add needed characters for Thai.

  [ Christian Perrier ]
  * Remove Thai from the list of languages only supported with the
    graphical cdebconf frontend.
  * Activate needed characters for Persian

  [ Frans Pop ]
  * sparc: add components needed to load firmware for netboot images.
  * Update pkg-lists for changes in auto-install (1.7). Main benefit is that
    netcfg will no longer get pulled in on images that shouldn't have it.
  * ia64: add support for loading firmware to images. Closes: #572724.
  * Fix building with alternative LOCALUDEBDIR.
  * Ensure glyphs used in the translated right column of localechooser are
    included in images to avoid incomplete display of the languagelist when
    some translations are dropped through DROP_LANG.
  * Drop auto-install from pkg-lists now that it has been integrated in
    the preseed udebs.

  [ Otavio Salvador ]
  * Switch amd64, i386, hppa, powerpc, mipsel, s390, ia64, mips, sparc to
    2.6.32.

  [ Martin Michlmayr ]
  * Switch armel to 2.6.32.
  * QNAP: make the check for a valid MAC address more reliable.
  * QNAP: add a check to ensure that the right installer files for the
    user's QNAP model are used.
  * OpenRD-Base and OpenRD-Client can use the same image, so provide
    only one generic image for OpenRD.
  * QNAP: Copy uLinux.conf in case it's not there so we can identify
    the QNAP model.
  * QNAP: recognize Fujitsu Q600 and Q700.
  * Generate an image for GuruPlug.
  * Generate an image for HP t5325 Thin Client (but it requires a
    serial console).
  * Generate an image for QNAP TS-41x.
  * Add a netboot image for SS4000-e.
  * armel: Don't pretend that network-console images are "netboot"
    images.

  [ Cyril Brulebois ]
  * Warn if only the 'build' directory has been checked out instead of the
    full source of the 'debian-installer' package.
  * Fix boot splash images to use 640x480. See #571045 for details.

  [ Cyril Brulebois / Frans Pop ]
  * Switch graphical installer from DirectFb to X.Org backend
    - include xserver-xorg udebs for G-I images
    - use console-setup instead of kbd-chooser for G-I images
    - exclude X.Org modules from library reduction
    - stop including libgcc_s.so.1 in G-I images; it's not needed with X.Org
  * Enable graphical installer build targets again. With many thanks to
    Cyril Brulebois, Julien Cristau and others who have contributed to
    implementing the X.Org backend.

  [ Frans Pop ]
  * G-I: include gtk2-engines-udeb through pkg-lists.
  * Add check for incorrect file attributes on device nodes, which can occur
    when using fakeroot after restarting a (failed) build.
  * x86: update info about disabling framebuffer in F8 syslinux help screen.

  [ Aurelien Jarno ]
  * mips/mipsel: re-enable Broadcom SWARM (sb1-bcm91250a) support.

  [ Ryan Tandy ]
  * Create images for Buffalo Linkstation Pro/Live. Closes: #580714

  [ Otavio Salvador ]
  * Move amd64, sparc, mipsel and i386 to linux 2.6.32 (ABI 5).

  [ Samuel Thibault ]
  * hurd-i386: Fix boot menu ramdisk support.

  [ Otavio Salvador ]
  * Move hppa, ia64, powerpc and s390 to linux 2.6.32 (ABI 5).

  [ Jeremie Koenig ]
  * util/get-packages: fix selection of the most recent packages.

  [ Colin Watson ]
  * Support new apt mirror method, available from apt 0.7.26~exp6.

 -- Otavio Salvador <otavio@debian.org>  Mon, 19 Jul 2010 12:05:17 -0300

debian-installer (20100211ubuntu31) natty; urgency=low

  * Rebuild against udpkg 1.12.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Nov 2010 14:00:11 +0000

debian-installer (20100211ubuntu30) natty; urgency=low

  * Migrate raidid documentation from partman-auto-raid to
    doc/devel/partman-auto-raid-recipe.txt.
  * Set default suite to natty.
  * Move to 2.6.37-2 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 04 Nov 2010 14:54:24 +0000

debian-installer (20100211ubuntu29) maverick; urgency=low

  * Add input, NIC, and NFS modules to armel netboot images (LP: #652522).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 05 Oct 2010 22:01:29 +0100

debian-installer (20100211ubuntu28) maverick; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 28 Sep 2010 13:04:00 +0100

debian-installer (20100211ubuntu27) maverick; urgency=low

  * Move to 2.6.35-22 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 16 Sep 2010 14:28:25 +0100

debian-installer (20100211ubuntu26) maverick; urgency=low

  * Move to 2.6.35-21 kernels.
  * Update help text translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 13 Sep 2010 10:52:24 +0100

debian-installer (20100211ubuntu25) maverick; urgency=low

  * Move dove to 2.6.32-410 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 10 Sep 2010 17:01:31 +0100

debian-installer (20100211ubuntu24) maverick; urgency=low

  * Move to 2.6.35-20 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 05 Sep 2010 21:36:14 +0100

debian-installer (20100211ubuntu23) maverick; urgency=low

  * Disable imx51 armel flavour for now; linux-fsl-imx51 is no longer in the
    archive, and linux-linaro's i.MX51 support is still quite minimal
    according to Oliver Grawert and Loïc Minier.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 27 Aug 2010 14:05:23 +0100

debian-installer (20100211ubuntu22) maverick; urgency=low

  * Move to 2.6.35-19 kernels.
  * Move dove to 2.6.32-409 kernels.
  * Add GRUB EFI configuration on amd64, and make mini.iso images there
    multi-catalog.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 27 Aug 2010 10:11:36 +0100

debian-installer (20100211ubuntu21) maverick; urgency=low

  * Move to 2.6.35-17 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 20 Aug 2010 16:46:17 +0100

debian-installer (20100211ubuntu20) maverick; urgency=low

  * Move to 2.6.35-16 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 18 Aug 2010 12:26:23 +0100

debian-installer (20100211ubuntu19) maverick; urgency=low

  * Move omap to 2.6.35-15 kernels, now that linux-ti-omap has been merged
    into linux.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 16 Aug 2010 22:27:31 +0100

debian-installer (20100211ubuntu18) maverick; urgency=low

  * Move to 2.6.35-15 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 16 Aug 2010 11:56:21 +0100

debian-installer (20100211ubuntu17) maverick; urgency=low

  * Move to 2.6.35-14 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 02 Aug 2010 11:12:28 -0500

debian-installer (20100211ubuntu16) maverick; urgency=low

  * Move to 2.6.35-13 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 01 Aug 2010 09:40:17 -0500

debian-installer (20100211ubuntu15) maverick; urgency=low

  * Move to 2.6.35-10 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 22 Jul 2010 22:29:58 +0100

debian-installer (20100211ubuntu14) maverick; urgency=low

  * Move to 2.6.35-9 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 19 Jul 2010 11:39:07 +0100

debian-installer (20100211ubuntu13) maverick; urgency=low

  * Move to 2.6.35-8 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 15 Jul 2010 11:37:30 +0100

debian-installer (20100211ubuntu12) maverick; urgency=low

  * Support building with new apt mirror method.
  * Move to 2.6.35-7 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 08 Jul 2010 11:54:29 +0100

debian-installer (20100211ubuntu11) maverick; urgency=low

  * vga=788 seems to work now that vesafb and fbcon are built into the
    kernel, and it's very much faster in kvm, so resync with Debian and use
    it.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Jun 2010 17:44:51 +0100

debian-installer (20100211ubuntu10) maverick; urgency=low

  * Move to 2.6.35-6 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 25 Jun 2010 16:18:07 +0100

debian-installer (20100211ubuntu9) maverick; urgency=low

  * Argh.  It's console-setup-udeb, not console-setup.
  * Move to 2.6.35-5 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Jun 2010 12:06:15 +0100

debian-installer (20100211ubuntu8) maverick; urgency=low

  * More console-setup fixes for armel.
  * Remove a few last vestiges of lpia.
  * Move to 2.6.35-4 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 17 Jun 2010 12:33:24 +0100

debian-installer (20100211ubuntu7) maverick; urgency=low

  * Switch to console-setup keymaps on armel, to match other architectures.
  * Increase the powerpc netboot image size a bit more, to 20MB.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 11 Jun 2010 12:25:44 +0100

debian-installer (20100211ubuntu6) maverick; urgency=low

  * Move to 2.6.35-2 kernels.
  * Drop dns323-firmware-tools build-dependency on armel; this is only for
    orion5x, which we don't build.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 09 Jun 2010 17:32:37 +0100

debian-installer (20100211ubuntu5) maverick; urgency=low

  * Move to 2.6.35-1 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 07 Jun 2010 17:40:23 +0100

debian-installer (20100211ubuntu4) maverick; urgency=low

  * Remove dtmenu.cfg from default menu.cfg; it isn't used in Ubuntu and it
    confuses gfxboot-theme-ubuntu (LP: #588221).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 01 Jun 2010 12:34:05 +0100

debian-installer (20100211ubuntu3) maverick; urgency=low

  * Move to 2.6.34-5 kernels.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 31 May 2010 07:52:29 +0200

debian-installer (20100211ubuntu2) maverick; urgency=low

  * Move to 2.6.34-4 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 26 May 2010 14:08:09 +0100

debian-installer (20100211ubuntu1) maverick; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Ubuntu branding of various kinds.
    - Use Ubuntu kernels.  Various tweaks for different udeb splits.
    - Fetch distribution name and version number from lsb_release.
    - Use the full version number in image directories.
    - Various boot screen text adjustments.
    - Add cli boot options.
    - Add memtest boot option.
    - Add live CD boot screens.
    - Adjust memory size recommendations.
    - Document pci=noacpi.
    - Add translatable boot screen text for gfxboot.  Adjust existing text
      to refer to gfxboot UI where appropriate.
    - Use ubuntu-keyring-udeb (and gpgv-udeb) instead of the Debian archive
      keyring.
    - Switch all images to initramfs.
    - Add netboot images suitable for USB memory sticks.
    - Remove floppy support, since it never used to work with 2.6.  (This
      may be fixed in the future.)
    - Add kickseed-common and initrd-kickseed to all images containing
      preseed-common and initrd-preseed.
    - Add nfs-modules to all netboot images except powerpc, for Kickstart.
    - kbd-chooser -> console-setup.
    - Include keymap decision tree in all.utf.
    - Replace cdebconf-newt-entropy with cdebconf-newt-detect-keys in
      EXTRAUDEBS.
    - Add hdparm-udeb to cdrom images.
    - Add nic-firmware to netboot images and scsi-firmware to cdrom and
      hd-media images.
    - Make scsi-firmware optional.
    - Add oem-config-check to all images.
    - Ship elilo configuration on i386 for Intel-based Macs.
    - Use mkvmlinuz's fallback object files on powerpc rather than relying
      on the kernel's.
    - Use ${RAMDISK_SIZE} in sparc's silo.conf rather than a hardcoded size.
    - Add input-modules to the sparc netboot image.
    - Remove auto-install/ai-choosers targets, at least for now.
    - Switch i386 builds to the -generic kernel flavour.
    - Add a new netboot/386 build for i386 that uses the -386 kernel
      flavour.
    - Publish separate kernel and initrd for sparc64 netboot.
    - Don't use win32-loader on Ubuntu.
    - Take /usr/share/localechooser/languagelist.data.gz into account when
      building reduced font.
    - Make speakup-modules optional, as we don't have it in Ubuntu yet.
    - Make serial-modules optional on ia64; it's currently built-in.
    - Make some modules optional on armel that are built into the kernel.
    - Support USE_UDEBS_FROM_EXTRA configuration variable to fetch udebs
      from some extra suites as well as the main one (USE_UDEBS_FROM).
      Useful for stable release updates.
    - Make nic-usb-modules optional on ia64.
    - Make acpi-modules and ipv6-modules optional, since they're now built
      in on mainline architectures.
    - Pad the nslu2 kernel to 16 blocks rather than 11, so that the Ubuntu
      kernel fits.
    - Make nic-modules optional on armel/versatile.
    - Introduce the armel dove, imx51, and omap subarchitectures; drop
      iop32x, ixp4xx, kirkwood, orion5x, and ads.
    - Remove CD-specific language from boot screens.
    - Add util-linux-udeb to base, for blkid.
    - Add pcmcia-modules to hd-media images.
    - Set KERNELNAME to vmlinuz and VERSIONED_SYSTEM_MAP to the empty string
      for armel subarchitectures.
    - Add a 512*50-byte padding file to the powerpc64_netboot mini.iso image
      tree, to avoid a genisoimage segfault at certain tree sizes.
    - Use mklibs-copy on amd64.  I'm not quite sure what's wrong here, and
      it needs further investigation.
    - Slightly increase the netboot initrd size for powerpc.
    - Add vlan-udeb to netboot images.
  * Set default suite to maverick.
  * Move to 2.6.34-3 kernels.
  * Switch back to vga=normal rather than vga=788 for now; the latter will
    cause problems until such time as fbcon is built into Ubuntu kernels,
    and it at least doesn't seem to work in kvm at the moment.
  * Remove multiarch (amd64-on-i386) syslinux configuration files.
  * Don't install separate desktop syslinux configuration files; we don't
    use them in Ubuntu.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 25 May 2010 12:17:47 +0100

debian-installer (20100211) unstable; urgency=low

  [ Frans Pop ]
  * Major update of Debian Installer Internals document.
  * Move menu-item-numbers.txt and available-hooks.txt to D-I Internals.
  * Exclude localechooser, kbd-chooser and auto-install for all installs
    of type network-console.
  * armel/orion5x: drop some additional languages as the image is too large.
  * Drop languages only supported in graphical installer by default and only
    keep them for targets that build graphical installer images.

  [ Otavio Salvador ]
  * Do not list dhcp3-client-udeb in pkg-lists since it is added, when
    needed, as dependency in netcfg.

 -- Otavio Salvador <otavio@ossystems.com.br>  Thu, 11 Feb 2010 18:03:22 -0200

debian-installer (20100122) unstable; urgency=low

  [ Otavio Salvador ]
  * debian/copyright: clarify it is licensed in GPL 2 or later.

  [ Frans Pop ]
  * Include contents of fosdem07 talk as a tarball instead of loose files as
    they confuse Lintian.
  * get-packages: correctly restore original Packages files when script exits
    after they have been filtered.
  * x86: only include gtk related syslinux files in the cd_info tarball for
    debian-cd if we're building both text and gtk images.
  * Bump debhelper compat to 6; bump Standards-Version to 3.8.3.
  * gen-sources.list.udeb: also use any mirrors defined in files in the
    /etc/apt/sources.list.d directory; /etc/apt/sources.list can be empty.
  * gen-sources.list.udeb: allow for multiple spaces and tabs in a source line.
  * Remove unused references to socket-modules from pkg-lists.
  * Drop no longer needed versioned build dependency on dpkg.

  [ Aurelien Jarno ]
  * Build GNU/kFreeBSD images using grub-mkrescue instead of grub-image, 
    using patch from Robert Millan.

  [ Samuel Thibault ]
  * Add hurd-i386 configuration files.
  * Add mtools, win32-loader, and grub-pc build-dependency on hurd-i386 too.

  [ Colin Watson ]
  * Upgrade to debhelper v7.

 -- Otavio Salvador <otavio@debian.org>  Fri, 22 Jan 2010 17:58:49 -0200

debian-installer (20091215) unstable; urgency=low

  [ Colin Watson ]
  * Merge from Ubuntu:
    - Document new $default_filesystem substitution and
      $default_filesystem{ } internal specifier in partman recipes.
  * Initial changes to target squeeze (see
    http://lists.debian.org/debian-release/2009/01/msg00682.html for its
    version number).
  * Add cdebconf-newt-terminal to most images that include
    cdebconf-newt-udeb (although not floppies).
  * Introduce *_SUPPORTED_EXTRA variables, which can be used to define
    "optional" supported targets. Use this to allow monolithic to be built
    without having to edit configuration files and without bloating official
    builds.
  * Use os-prober-udeb rather than os-prober for powerpc monolithic target
    (thanks, Wartan Hachaturow).
  * Filter udeb dependencies based on Kernel-Version and Subarchitecture
    (closes: #490634).
  * Filter out packages that don't match KERNELVERSION from downloaded
    Packages files. Despite the above change, apt still seems to want to
    pull in multiple providers of virtual packages, which causes problems
    otherwise.
  * Clear Dir::Etc::sourceparts in build/util/pkg-list, to match
    build/util/get-packages.
  * Fix spelling of mdcfg in menu-item-numbers.txt.
  * Update menu-item-numbers.txt to account for architectures moving towards
    partman, and the merge of lvmcfg and mdcfg into partman-lvm and
    partman-md respectively.
  * Remove mention of autopartkit, removed in r52272.
  * Update design.txt to account for base-config's removal (!).
  * Add some notes on recommended use of debhelper in d-i, based on my
    conversion of most packages to dh(1).
  * Update porting.txt for partman changes (default_disk_label moved to
    partman-partitioning/lib/disk-label.sh).
  * Update references to svn.d-i.alioth.debian.org to refer to
    svn.debian.org instead.
  * cdebconf has had the PROGRESS extension nearly forever; update
    retriever.txt to mention it.

  [ Martin Michlmayr ]
  * Remove support for the old arm port.
  * Convert the Thecus N2100 image to an initramfs.
  * Include minix-modules on the orion5x image for the D-Link DNS-323,
    thanks Matt Palmer.
  * Generate images for the D-Link DNS-323 and Conceptronic CH3SNAS,
    thanks Matt Palmer.  Closes: #503040.
  * Use the 2.6.29 kernel on armel, mips and mipsel.
  * Use the 2.6.30-2 kernel on armel.
  * Add images for the Marvell Kirkwood platform, including support for:
    - QNAP TS-119, TS-219 and TS-219P
    - Marvell OpenRD-Base and OpenRD-Client
    - Marvell SheevaPlug
  * Change the MAC address stored in the u-boot environment on the QNAP
    TS-119, TS-219 and TS-219P.
  * Remove Broadcom SWARM (sb1-bcm91250a) support since since few devices
    remain out there and debian-installer support is likely broken anyway.
  * Remove Broadcom Bigsur (sb1a-bcm91480b) support since debian-installer
    support never worked.

  [ Wartan Hachaturow ]
  * Add CHRP boot structure on ISO images, Closes: #411728, #411203.
  * Add monolithic support for powerpc64.
  * Use 2.6.29 kernel on powerpc/powerpc64.

  [ Otavio Salvador ]
  * Bump kernels to use new 2.6.26-2 kernels.

  [ Christian Perrier ]
  * Add needed characters for Kirghiz.
  * Take care to drop System.map after moving the kernel to the top of the
    tree and before removing the /boot directory there.

  [ Frans Pop ]
  * Drop support for the ppc64 architecture.

  [ Stephen R. Marenka ]
  * Move m68k to 2.6.29-1.

  [ dann frazier ]
  * Use 2.6.29-2 kernel on ia64.

  [ Frans Pop ]
  * Switch to 2.6.29-2 kernel for hppa.

  [ Ian Campbell ]
  * Add netboot-xen images for amd64.
  * Add cdrom-xen images for i386 and amd64.

  [ Otavio Salvador ]
  * Switch to 2.6.29-2 kernel for amd64 and i386.

  [ Aurelien Jarno ]
  * Use back mklibs instead of mklibs-copy on mips and mipsel now that
    they work again.

  [ Frans Pop ]
  * Implement version 2.0 of syslinux framework for x86. Basically this
    backports the structure already implemented in debian-cd before the
    release of Lenny to D-I (allowing to simplify the code in debian-cd).
    Main changes:
    - enhance templates to support selecting a default desktop environment
    - support four types of syslinux configuration by setting SYSLINUX_CFG
    - allow to define alternative default desktop environment (DESKTOP)
    - split out rescue options as those are independent of desktop selection
    - simplify setting correct directory to kernel/initrd for debian-cd
  * Using the new framework, users can now also select an alternative desktop
    environments from the boot menu for netboot/miniiso-based installs.
  * sparc: display message for unsupported subarchitectures (mini.iso).

  [ Otavio Salvador ]
  * Update alpha, amd64, armel, hppa, i386, mips, mipsel, powerpc and sparc
    to 2.6.30-1.

  [ Frans Pop ]
  * Update s390 to 2.6.30-1 using -s390x (64-bits) kernel.
  * Use printf instead of 'echo -en' to create win32-loader.ini.
    Closes: #539933.

  [ Max Vozeler ]
  * build/Makefile: Support ROOTCMD with fallback to fakeroot unless
    overriden or already running as root.

  [ Luca Favatella ]
  * Handle libc0.1 (GNU/kFreeBSD) and libc0.3 (GNU/Hurd) as libc6/libc6.1.
  * Add ufs1 initrd support. Thanks to Robert Millan and Thorsten Glaser.
  * Add kfreebsd-i386 monolithic config files. Thanks to Robert Millan.
  * Use arch independent code for LSB_DISTRIB_DESCRIPTION.
  * Use grub to boot kfreebsd-* d-i CD. Thanks to Robert Millan.
  * Use makefs to generate the image. Thanks to Thorsten Glaser.

  [ Aurelien Jarno ]
  * Add kfreebsd-i386 netboot config files.
  * Add kfreebsd-amd64 config files.
  * Share code between kfreebsd-*
  * Add a splash screen for kfreebsd-*.

  [ Otavio Salvador ]
  * Move hppa, i386, amd64, alpha, mipsel, s390, ia64, mips, powerpc
    and sparc to Linux kernel 2.6.31-2 ABI.

  [ Frans Pop ]
  * Change default video mode for i386/amd64 to vga=788 for installations
    using the "newt" frontend. This forces the framebuffer to VESA and will
    thereby solve problems reported on various HP notebooks with the vga16fb
    driver. It also increases the screen size and thus allows more information
    to be displayed. Closes: #471505.
  * [s390] Add localechooser to initrd for generic target (see #316006).
  * Implement clean method to include udebs from proposed-updates for builds
    for stable and testing.

  [ Joey Hess ]
  * Remove upx from build-deps, has not been used for over a year.

  [ Otavio Salvador ]
  * Disable GTK+ based images due #557387. This ought to be reverted
    once GTK+ DFB backend is fixed.

 -- Otavio Salvador <otavio@ossystems.com.br>  Tue, 15 Dec 2009 12:34:36 -0200

debian-installer (20090123) unstable; urgency=low

  [ Frans Pop ]
  * Add build dependency on docbook-xml, needed for D-I internals.

 -- Otavio Salvador <otavio@debian.org>  Fri, 23 Jan 2009 12:38:07 -0200

debian-installer (20090122) unstable; urgency=low

  [ Martin Michlmayr ]
  * Fix off-by-one: the QNAP initrd should be padded to exactly 4 MB,
    not 4 MB - 1 byte.

  [ Otavio Salvador ]
  * Add pata-modules on cdrom images (i386 and amd64) to enable support
    for Marvell controllers and others.

  [ Frans Pop ]
  * Update minimum memory/diskspace requirements in x86 syslinux help
    screens. New values are the same as in the Installation Guide.

  [ Samuel Thibault ]
  * Add uinput-modules to cdrom, netboot and hd-media images (amd64, alpha,
    i386, ppc64, ia64 and powerpc) to improve brltty device support.

  [ Otavio Salvador ]
  * Apply patch from Jurij Smakov to add usb-storage to cdrom and netboot
    images (sparc) to allow firmware to be loaded from a usb devices.
    Closes: #505789.

  [ Frans Pop ]
  * Add option in syslinux configuration to return to graphical boot menu
    from the help screens. Based on research done by Franklin Piat.
    Closes: #505750.
  * Rename syslinux adamd*.cfg files to amdad*.cfg.
  * Rename syslinux *text.cfg files to *txt.cfg. This is needed because
    adamdtext.cfg is one character too long which means it was never actually
    included in the menu for multi-arch images.

  [ Franklin Piat ]
  * Add help text for help option in graphical syslinux boot menu to indicate
    how to return to the menu from the help screens.
    The new configuration also improves editing the command line from the
    graphical syslinux menu if it flows over into a second line.

  [ Frans Pop ]
  * Add ext2-modules to hd-media images for i386, amd64 and powerpc.
    Closes: #510015.
  * Update copyright to 2009.

 -- Otavio Salvador <otavio@debian.org>  Thu, 22 Jan 2009 21:05:03 -0200

debian-installer (20081029ubuntu102) lucid; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 25 Apr 2010 23:28:59 +0100

debian-installer (20081029ubuntu101) lucid; urgency=low

  * Add amd64/netboot-xen configuration, to go with i386/netboot-xen.
  * Update help text translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 19 Apr 2010 01:07:38 +0100

debian-installer (20081029ubuntu100) lucid; urgency=low

  * Move dove images to 2.6.32-204

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Apr 2010 04:46:19 -0700

debian-installer (20081029ubuntu99) lucid; urgency=low

  * Tidy up the i386/netboot-xen configuration for Ubuntu, and enable it
    (LP: #532547).
  * Move to 2.6.32-21 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 14 Apr 2010 16:28:27 +0100

debian-installer (20081029ubuntu98) lucid; urgency=low

  [ Oliver Grawert ]
  * add boot.scr to boot OMAP netinst kernel and initrd from SD card
  * make sure dove also uses INITRD_FS = initramfs for netboot, else it fails
    to uncompress the initrd LP: #541399.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 13 Apr 2010 12:54:36 -0700

debian-installer (20081029ubuntu97) lucid; urgency=low

  [ Oliver Grawert ]
  * on OMAP the HID stack was decided to not be built in so we need
    input-modules-*.udeb in d-i by default

  [ Steve Langasek ]
  * Move to 2.6.32-20 kernels.

  [ Oliver Grawert ]
  * fix omap udeb selection for netboot flavour
  * drop gzip compression in omap mkimage call for netboot flavour for
    consistency (we dont use gzip in any other omap images)
  * make sure we build INITRD_FS = initramfs for omap netboot

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 12 Apr 2010 10:50:57 +0200

debian-installer (20081029ubuntu96) lucid; urgency=low

  * build/config/armel/dove/netboot.cfg: set the right load address in the
    netboot image.  LP: #541399.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 09 Apr 2010 17:31:56 -0700

debian-installer (20081029ubuntu95) lucid; urgency=low

  [ Steve Langasek ]
  * Move iMX51 images to 2.6.31-607 kernels, and dove images to 2.6.32-203
    kernels.

  [ Oliver Grawert ]
  * create build/pkg-lists/cdrom/arm/omap.cfg to make sure fat support exists
    in the omap alternate images

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 05 Apr 2010 12:13:01 +0200

debian-installer (20081029ubuntu94) lucid; urgency=low

  * Move to 2.6.32-19 kernels.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 01 Apr 2010 12:17:02 -0700

debian-installer (20081029ubuntu93) lucid; urgency=low

  [ Oliver Grawert ]
  * armel+omap netinst initrd needs gzip compression in mkimage call

  [ Colin Watson ]
  * Move to 2.6.32-18 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 27 Mar 2010 22:59:50 +0000

debian-installer (20081029ubuntu92) lucid; urgency=low

  [ Colin Watson ]
  * Add vlan-udeb to netboot images (LP: #530459).

  [ Oliver Grawert ]
  * add support for armel+omap architecture

 -- Oliver Grawert <ogra@ubuntu.com>  Sat, 27 Mar 2010 09:37:24 +0100

debian-installer (20081029ubuntu91) lucid; urgency=low

  * Move to 2.6.32-17 kernels.
  * Update help text translations from Launchpad (LP: #539391).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 22 Mar 2010 21:09:51 +0000

debian-installer (20081029ubuntu90) lucid; urgency=low

  * Move Dove images to 2.6.32-202 kernels.
  * Update help translation files.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 11 Mar 2010 20:51:22 +0000

debian-installer (20081029ubuntu89) lucid; urgency=low

  * Move to 2.6.32-16 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 09 Mar 2010 00:55:48 +0000

debian-installer (20081029ubuntu88) lucid; urgency=low

  [ Colin Watson ]
  * Stop build-depending on apex-nslu2 on armel, since we no longer build
    ixp4xx images (LP: #503093).
  * Add SHA1SUMS and SHA256SUMS files (see LP #431790).

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 23 Feb 2010 14:40:53 -0800

debian-installer (20081029ubuntu87) lucid; urgency=low

  * Move iMX51 images to 2.6.31-605 kernels.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 22 Feb 2010 16:59:18 -0800

debian-installer (20081029ubuntu86) lucid; urgency=low

  [ Loïc Minier ]
  * Bump kernel version to 2.6.32-14 for images built against udebs from the
    linux source, and to 2.6.32-201 for images built against udebs from the
    linux-mvl-dove source.
  * build/config/armel.cfg: enable versatile.
  * build/config/armel/versatile.cfg: versatile kernel udebs don't use
    versioned filenames anymore.
  * build/config/armel/imx51.cfg: fix typo in comment.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 22 Feb 2010 13:22:48 -0800

debian-installer (20081029ubuntu85) lucid; urgency=low

  * Move iMX51 images to 2.6.31-604 kernels.

 -- Steve Kowalik <stevenk@ubuntu.com>  Wed, 17 Feb 2010 13:14:59 +1100

debian-installer (20081029ubuntu84) lucid; urgency=low

  [ Colin Watson ]
  * Update help translation files (LP: #508385, #508387, #508389).

  [ Luke Yelavich ]
  * Slightly increase the netboot initrd for powerpc to allow d-i to build on
    powerpc. The only platforms we support are chrp and macs, which shouldn't
    have a problem with the increased initrd image size.

  [ Steve Kowalik ]
  * Move to 2.6.32-13 kernels. 

 -- Steve Kowalik <stevenk@ubuntu.com>  Tue, 16 Feb 2010 15:11:57 +1100

debian-installer (20081029ubuntu83) lucid; urgency=low

  * Move iMX51 images to 2.6.31-603 kernels.
  * Move Dove images to 2.6.32-200 kernels.

 -- Steve Kowalik <stevenk@ubuntu.com>  Mon, 01 Feb 2010 15:36:00 -0800

debian-installer (20081029ubuntu82) lucid; urgency=low

  * Move to 2.6.32-12 kernels. 

 -- Steve Kowalik <stevenk@ubuntu.com>  Mon, 01 Feb 2010 14:22:41 -0800

debian-installer (20081029ubuntu81) lucid; urgency=low

  * No-change rebuild to pick up new components.

 -- Evan Dandrea <evand@ubuntu.com>  Thu, 28 Jan 2010 20:22:27 +0000

debian-installer (20081029ubuntu80) lucid; urgency=low

  * Move to 2.6.32-11 kernels. 

 -- Steve Kowalik <stevenk@ubuntu.com>  Fri, 22 Jan 2010 11:51:32 +1300

debian-installer (20081029ubuntu79) lucid; urgency=low

  * Move iMX51 images to 2.6.31-602 kernels.
  * Use mklibs-copy on amd64. I'm not quite sure what's wrong here, and it
    needs further investigation.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 12 Jan 2010 20:14:08 +0000

debian-installer (20081029ubuntu78) lucid; urgency=low

  * Move to 2.6.32-10 kernels.
  * Update Canonical copyright dates for 2010.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 11 Jan 2010 11:30:12 +0000

debian-installer (20081029ubuntu77) lucid; urgency=low

  * Move to 2.6.32-9 kernels.

 -- Evan Dandrea <evand@ubuntu.com>  Fri, 18 Dec 2009 15:34:55 +0000

debian-installer (20081029ubuntu76) lucid; urgency=low

  * Move to 2.6.32-8 kernels.

 -- Evan Dandrea <evand@ubuntu.com>  Thu, 17 Dec 2009 16:43:25 +0000

debian-installer (20081029ubuntu75) lucid; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Dec 2009 09:29:34 +0000

debian-installer (20081029ubuntu74) lucid; urgency=low

  * Move iMX51 images to 2.6.31-601 kernels.
  * Move Dove images to 2.6.31-701 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 08 Dec 2009 10:48:18 +0000

debian-installer (20081029ubuntu73) lucid; urgency=low

  * Remove all traces of lpia, which is being decommissioned (see
    https://blueprints.launchpad.net/ubuntu/+spec/mobile-lucid-lpia-future).
  * Move to 2.6.32-7 kernels.
  * Belatedly update Canonical copyright dates for 2009 (LP: #448647).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 08 Dec 2009 10:43:05 +0000

debian-installer (20081029ubuntu72) lucid; urgency=low

  * Move to 2.6.32-5 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 27 Nov 2009 17:25:21 +0000

debian-installer (20081029ubuntu71) lucid; urgency=low

  * Set default suite to lucid.
  * Move to 2.6.32-4 kernels.
  * Move iMX51 images to 2.6.31-600 kernels.
  * Move Dove images to 2.6.31-700 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 15 Nov 2009 16:57:54 -0600

debian-installer (20081029ubuntu70) karmic; urgency=low

  * No-change rebuild to pick up new kernel.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 17 Oct 2009 02:17:34 +0100

debian-installer (20081029ubuntu69) karmic; urgency=low

  [ Loïc Minier ]
  * Drop dove-z0 armel flavour as we dropped the kernel flavour.

  [ Colin Watson ]
  * Horrible workaround for LP #452212: add a 512*50-byte padding file to
    the powerpc64_netboot mini.iso image tree, to avoid a genisoimage
    segfault at certain tree sizes.
  * Update help text translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 15 Oct 2009 17:27:53 +0100

debian-installer (20081029ubuntu68) karmic; urgency=low

  * Move to 2.6.31-14 kernels.
  * Move Dove images to 2.6.31-208 kernels.
  * Move iMX51 images to 2.6.31-105 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 14 Oct 2009 12:31:14 +0100

debian-installer (20081029ubuntu67) karmic; urgency=low

  [ Colin Watson ]
  * Move Dove images to 2.6.31-206 kernels.
  * Move to 2.6.31-13 kernels.

  [ Oliver Grawert ]
  * Move iMX51 images to 2.6.31-103 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 09 Oct 2009 15:26:57 +0100

debian-installer (20081029ubuntu66) karmic; urgency=low

  * move redboot bootloader lines in the comments in debian/control to the
    proper section (bootloaders)
  * run debian/genbuilddeps so the added redboot actually shows up in the
    build-deps

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 07 Oct 2009 09:42:14 +0200

debian-installer (20081029ubuntu65) karmic; urgency=low

  * Move to 2.6.31-12 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 06 Oct 2009 22:58:17 +0100

debian-installer (20081029ubuntu64) karmic; urgency=low

  [ Oliver Grawert ]
  * add redboot bootloader binaries to build-dep for the SD card netinst image
    for babbage boards

  [ Loïc Minier ]
  * pkg-lists updates for armel+dove:
    - Add netboot/armel/dove.cfg to pull the input modules for USB keyboards.
    - Add cdrom/armel/dove.cfg to pull input modules as well as fat modules.

 -- Loïc Minier <loic.minier@ubuntu.com>  Mon, 28 Sep 2009 20:03:57 +0200

debian-installer (20081029ubuntu63) karmic; urgency=low

  * bump armel (dove/imx) ABIs to recent versions (dove: -205, imx: -102)
  * cut down size of combined netinst image for imx51 babbage TO2 boards to
    16MB

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 28 Sep 2009 09:56:29 +0200

debian-installer (20081029ubuntu62) karmic; urgency=low

  * Fix make syntax in build/config/armel/imx51/netboot.cfg.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 26 Sep 2009 01:13:59 +0100

debian-installer (20081029ubuntu61) karmic; urgency=low

  [ Loïc Minier ]
  * armel/dove/netboot.cfg: Use the same MANIFEST-KERNEL as all other kernels,
    i.e. don't mention uImage specially.
  * armel/dove/netboot.cfg: Re-add generation of an uImage since the kernel
    packages/udebs ship zImages again.
  * armel/dove/netboot.cfg: Use $(TEMP_INITRD) $(TEMP_KERNEL) in TARGET
    instead of $(KERNEL) and $(INITRD) as these are the ones we actually take
    as input.
  * build/config/armel/{dove,imx51}.cfg: s/kernel API/kernel ABI/.
  * Add a dove-z0 flavour with a netboot image copied from the dove one, but
    using dove-z0 as output dir.
  * Drop useless "mkdir -p $(TEMP)/dove" in dove's and dove-z0's netboot.cfg.
  * Misc fixes to armel+imx51 pkg-lists:
    - Add netboot/armel/imx51.cfg to include
      nic-modules{,-shared,-usb}-${kernel:Version} and nic-firmware (optional)
      since we currently lack support for builtin ethernet on Babbage 2.x
      boards; also include input-modules-${kernel:Version} for USB keyboard;
      LP: #431283.
    - Add cdrom/arm dir and cdrom/armel symlink and add cdrom/armel/imx51.cfg
      to pull the same modules as for netboot plus
      fat-modules-${kernel:Version} to allow mounting a VFAT on an USB key or
      a SD/MMC card; LP: #364604.
  * Set KERNELNAME to vmlinuz and VERSIONED_SYSTEM_MAP to the empty string in
    imx51.cfg since the kernel and System.map filenames in the udeb aren't
    suffixed with the version number anymore.
  * Bump imx51 ABI version to 2.6.31-101.

  [ Oliver Grawert ]
  * build/config/armel/imx51/netboot.cfg create babbage-TO2-sd.img similar to
    the nslu2 netinstall image to easily start a netinstall from SD on
    babbage 2.x boards
  * add build dependency on redboot-tools to create the above image from
    initrd.gz and vmlinuz files in the netboot dir

  [ Colin Watson ]
  * Move to 2.6.31-11 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 25 Sep 2009 22:45:59 +0100

debian-installer (20081029ubuntu60) karmic; urgency=low

  * Set KERNELNAME to vmlinuz and VERSIONED_SYSTEM_MAP to the empty string in
    dove.cfg since the kernel and System.map filenames in the udeb aren't
    suffixed with the version number anymore.

 -- Loïc Minier <loic.minier@ubuntu.com>  Wed, 16 Sep 2009 12:08:23 +0200

debian-installer (20081029ubuntu59) karmic; urgency=low

  [ Oliver Grawert ]
  * bump dove ABI version to 2.6.31-204

  [ Steve Langasek ]
  * Rebuild against the current kernel on other architectures, to pick up
    various fixes for Alpha 6.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 16 Sep 2009 00:52:57 -0700

debian-installer (20081029ubuntu58) karmic; urgency=low

  * Move to 2.6.31-10 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 09 Sep 2009 12:23:16 +0100

debian-installer (20081029ubuntu57) karmic; urgency=low

  * bump dove ABI version to 2.6.31-203

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 02 Sep 2009 09:14:14 +0100

debian-installer (20081029ubuntu56) karmic; urgency=low

  * Move to 2.6.31-9 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 01 Sep 2009 22:41:38 +0100

debian-installer (20081029ubuntu55) karmic; urgency=low

  [ Colin Watson ]
  * Update help text translations from Launchpad.
  * Move to 2.6.31-8 kernels.

  [ Oliver Grawert ]
  * bump dove ABI version to 2.6.31-202

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 28 Aug 2009 17:21:51 +0100

debian-installer (20081029ubuntu54) karmic; urgency=low

  *  change imx51 kernel versioning to new abi naming scheme

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 25 Aug 2009 12:37:40 +0200

debian-installer (20081029ubuntu53) karmic; urgency=low

  * Marvell Dove kernel udebs are called *-dove-di, not *-mvl-dove-di.
  * Move to 2.6.31-7 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 25 Aug 2009 09:09:49 +0100

debian-installer (20081029ubuntu52) karmic; urgency=low

  [ Colin Watson ]
  * Move to 2.6.31-6 kernels.
  * Add pcmcia-modules to hd-media images (LP: #415675).

  [ Michael Casadevall ]
  * Add support for building Marvell dove images (LP: #409238)

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 24 Aug 2009 23:17:30 +0100

debian-installer (20081029ubuntu51) karmic; urgency=low

  * No-change rebuild to pick up new components for Alpha 4.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 11 Aug 2009 13:16:26 +0100

debian-installer (20081029ubuntu50) karmic; urgency=low

  * Move to 2.6.31-5 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 03 Aug 2009 15:56:00 +0100

debian-installer (20081029ubuntu49) karmic; urgency=low

  * Move to 2.6.31-4 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 24 Jul 2009 10:09:27 +0100

debian-installer (20081029ubuntu48) karmic; urgency=low

  * Disable GTK frontend for now; the GDK directfb backend needs some work
    in the current development series.
  * Move to 2.6.31-3 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 15 Jul 2009 11:27:40 +0100

debian-installer (20081029ubuntu47) karmic; urgency=low

  * Move to 2.6.31-2 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 06 Jul 2009 22:55:34 +0100

debian-installer (20081029ubuntu46) karmic; urgency=low

  * Move to 2.6.31-1 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 01 Jul 2009 09:50:26 +0100

debian-installer (20081029ubuntu45) karmic; urgency=low

  * No-change rebuild to pick up new components (especially fixed busybox).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 25 Jun 2009 22:51:24 +0100

debian-installer (20081029ubuntu44) karmic; urgency=low

  * Disable netboot/386 for now, as the 386 kernel apparently wasn't merged
    along with the rest of ports.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 24 Jun 2009 09:47:34 +0100

debian-installer (20081029ubuntu43) karmic; urgency=low

  * Move all architectures to 2.6.30-10 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 23 Jun 2009 18:20:34 +0100

debian-installer (20081029ubuntu42) karmic; urgency=low

  * Move mainline architectures to 2.6.30-9 kernels.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 15 Jun 2009 15:21:02 -0700

debian-installer (20081029ubuntu41) karmic; urgency=low

  [ Michael Casadevall ]
  * Drop all armel subarchitectures except imx51. This matches the kernel
    change since these sub-architectures will not be supported after the
    transition from ARMv5->ARMv6+VFP

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 12 Jun 2009 16:43:45 +0100

debian-installer (20081029ubuntu40) karmic; urgency=low

  * Move mainline architectures to 2.6.30-8 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Jun 2009 16:59:15 +0100

debian-installer (20081029ubuntu39) karmic; urgency=low

  * Move ports architectures to 2.6.30-2 kernels.
  * Move mainline architectures to 2.6.30-6 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 22 May 2009 23:55:06 +0100

debian-installer (20081029ubuntu38) karmic; urgency=low

  * Add util-linux-udeb to base, for blkid.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 12 May 2009 17:24:41 +0100

debian-installer (20081029ubuntu37) karmic; urgency=low

  * Move mainline architectures to 2.6.30-5 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 12 May 2009 00:37:14 +0100

debian-installer (20081029ubuntu36) karmic; urgency=low

  * Move mainline architectures to 2.6.30-4 kernels.
  * Move ports architectures to 2.6.30-1 kernels.
  * The ia64 kernel is now called -ia64 rather than -itanium.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 09 May 2009 00:48:54 +0100

debian-installer (20081029ubuntu35) karmic; urgency=low

  * Move mainline architectures to 2.6.30-2 kernels.
  * Set default suite to karmic.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 06 May 2009 12:15:25 +0100

debian-installer (20081029ubuntu34) jaunty; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 17 Apr 2009 15:54:11 +0100

debian-installer (20081029ubuntu33) jaunty; urgency=low

  * Revert arm KERNELVERSION change for now; this needs to be done in sync
    with a change in debian/d-i/kernel-versions.in in the kernel.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 10 Apr 2009 13:21:46 +0100

debian-installer (20081029ubuntu32) jaunty; urgency=low

  [ Colin Watson ]
  * Update help text translations from Launchpad.

  [ Loic Minier ]
  * arm.cfg, armel.cfg: only allow a single version in KERNELVERSION; don't
    use the kernel version in the KERNELNAME.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 09 Apr 2009 10:20:10 +0100

debian-installer (20081029ubuntu31) jaunty; urgency=low

  * Update help text translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 02 Apr 2009 18:54:32 +0100

debian-installer (20081029ubuntu30) jaunty; urgency=low

  * Move ports architectures to 2.6.28-6 kernels.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 31 Mar 2009 14:44:19 -0700

debian-installer (20081029ubuntu29) jaunty; urgency=low

  [ Michael Casadevall ]
  * Added initial imx51 installer support, in both the CDROM and netboot
    versions (LP: #345534).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 30 Mar 2009 12:33:43 +0100

debian-installer (20081029ubuntu28) jaunty; urgency=low

  * Remove armel orion5x subarchitecture, per the kernel team.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 23 Mar 2009 14:14:11 +0000

debian-installer (20081029ubuntu27) jaunty; urgency=low

  [ Colin Watson ]
  * Adjust netboot/386 inclusion to avoid breaking lpia.

  [ Michael Casadevall ]
  * Fixed ia64 d-i builds by bumping image size
    - The build failure "Disk Full" was caused by the last linux-ports
      kernel upload due to the size of the kernel growing. d-i on ia64
      makes a large "floppy" disk image of a specified size (this was 16MB
      before hand). The new kernel plus the RAMdisk came out to be 17.1MB,
      causing the failure. The new size is 18MB to give the kernel some
      growing room.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 23 Mar 2009 09:34:13 +0000

debian-installer (20081029ubuntu26) jaunty; urgency=low

  * Move mainline architectures to 2.6.28-11 kernels.
  * Move ports architectures to 2.6.28-5 kernels.
  * Re-enable netboot/386 as a ports architecture, since it builds again.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 19 Mar 2009 00:58:07 +0000

debian-installer (20081029ubuntu25) jaunty; urgency=low

  * Disable armel/orion5x/netboot/mv2120 flavour for now, since the kernel
    is slightly too big.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 13 Mar 2009 14:07:23 +0000

debian-installer (20081029ubuntu24) jaunty; urgency=low

  * Move mainline architectures to 2.6.28-9 kernels.
  * Move ports architectures to 2.6.28-4 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 10 Mar 2009 21:50:51 +0000

debian-installer (20081029ubuntu23) jaunty; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 04 Mar 2009 10:24:03 +0000

debian-installer (20081029ubuntu22) jaunty; urgency=low

  * No-change rebuild to pick up new components (particularly udev with the
    inotify-watch-on-device-remove fix, and debian-installer-utils with
    update-dev --settle).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 27 Feb 2009 15:40:35 +0000

debian-installer (20081029ubuntu21) jaunty; urgency=low

  * No-change rebuild to pick up new kernel.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 25 Feb 2009 14:50:57 +0000

debian-installer (20081029ubuntu20) jaunty; urgency=low

  * No-change rebuild to pick up new components (particularly udev and
    rescue).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 24 Feb 2009 18:59:16 +0000

debian-installer (20081029ubuntu19) jaunty; urgency=low

  [ Colin Watson ]
  * Remove console-setup from armel network-console initrds, per Oliver
    Grawert.

  [ Steve Langasek ]
  * Move ports architectures to 2.6.28-2 kernels.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 21 Feb 2009 10:45:33 -0800

debian-installer (20081029ubuntu18) jaunty; urgency=low

  * Add cdebconf-newt-terminal to most images that include
    cdebconf-newt-udeb (although not floppies).
  * Add nic-firmware to armel ixp4xx netboot images.
  * Remove build-dependency on belocs-locales-bin; this was folded back into
    glibc.
  * Move mainline architectures (now including lpia) to 2.6.28-8 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 16 Feb 2009 16:16:19 +0000

debian-installer (20081029ubuntu17) jaunty; urgency=low

  [ Colin Watson ]
  * Fix my confused comment change in nslu2 initrd padding code (thanks,
    Loïc Minier).

  [ Luke Yelavich ]
  * Move ports architectures to 2.6.28-1 kernels.

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 16 Feb 2009 18:16:51 +1100

debian-installer (20081029ubuntu16) jaunty; urgency=low

  * Remove bootchart-udeb; it's been unmaintained for a long time, may not
    work properly any more anyway, and we hardly ever used it.
  * Document new $default_filesystem substitution and $default_filesystem{ }
    internal specifier in partman recipes.
  * Move mainline architectures to 2.6.28-7 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 10 Feb 2009 10:37:43 +0000

debian-installer (20081029ubuntu15) jaunty; urgency=low

  * Move lpia to 2.6.28-2 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 04 Feb 2009 12:08:49 +0100

debian-installer (20081029ubuntu14) jaunty; urgency=low

  * Remove CD-specific language from boot screens (LP: #14722).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 02 Feb 2009 14:00:22 +0100

debian-installer (20081029ubuntu13) jaunty; urgency=low

  * Disable armel ads subarchitecture. We don't have a kernel for it (not
    that Debian does either, but I don't want to support udev-less builds).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 29 Jan 2009 01:08:57 +0000

debian-installer (20081029ubuntu12) jaunty; urgency=low

  * Apparently nic-modules no longer exists on versatile, presumably
    built-in. Make it optional.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 29 Jan 2009 00:21:28 +0000

debian-installer (20081029ubuntu11) jaunty; urgency=low

  * Reduce nslu2 initrd padding by the same amount as I previously increased
    the kernel padding, since there's plenty of room for the initrd.
  * Move mainline architectures to 2.6.28-6 kernels.
  * Build orion5x images without micro-evtd for now, as it needs work before
    inclusion in main.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 28 Jan 2009 22:58:00 +0000

debian-installer (20081029ubuntu10) jaunty; urgency=low

  * Move lpia to 2.6.28-1 kernels.
  * Move mainline architectures to 2.6.28-5 kernels.
  * Pad the nslu2 kernel to 16 blocks rather than 11, so that the Ubuntu
    kernel fits.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 27 Jan 2009 11:07:53 +0000

debian-installer (20081029ubuntu9) jaunty; urgency=low

  * No-change rebuild with new kernel, including some crypto bits built as
    modules again, and with any luck enough support to let us build on
    armel.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 07 Jan 2009 15:12:41 +0000

debian-installer (20081029ubuntu8) jaunty; urgency=low

  * No-change rebuild to pick up new components (udev, hw-detect).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 30 Dec 2008 16:58:45 +0000

debian-installer (20081029ubuntu7) jaunty; urgency=low

  * Make acpi-modules and ipv6-modules optional, since they're now built in
    on mainline architectures.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 28 Dec 2008 17:08:02 +0000

debian-installer (20081029ubuntu6) jaunty; urgency=low

  * Disable GTK frontend on powerpc so that mouse-modules won't be required
    either. (lpia is harder because its configuration is a symlink to i386.)
  * Move mainline architectures to 2.6.28-4 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 28 Dec 2008 13:37:05 +0000

debian-installer (20081029ubuntu5) jaunty; urgency=low

  * Move mainline architectures to 2.6.28-3 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 Dec 2008 21:13:38 +0000

debian-installer (20081029ubuntu4) jaunty; urgency=low

  [ Colin Watson ]
  * Make nic-usb-modules optional on ia64.

  [ Steve Langasek ]
  * Move mainline architectures to 2.6.28-2 kernels.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 08 Dec 2008 14:05:16 -0800

debian-installer (20081029ubuntu3) jaunty; urgency=low

  * Require mouse-modules again on lpia and powerpc. rootskel-gtk depends on
    it anyway, so we might as well just fail to build until linux-lpia and
    linux-ports are updated.
  * Make serial-modules optional on ia64; it's currently built-in.
  * Make some modules optional on armel that are built into the kernel.
  * Support USE_UDEBS_FROM_EXTRA configuration variable to fetch udebs from
    some extra suites as well as the main one (USE_UDEBS_FROM). Useful for
    stable release updates.
  * Dump the generated sources.list.udeb to the build log.
  * Apply Ubuntu branding to version.info.
  * Move mainline architectures to 2.6.28-1 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 27 Nov 2008 13:31:36 +0000

debian-installer (20081029ubuntu2) jaunty; urgency=low

  * Make mouse-modules temporarily optional on lpia and powerpc.
  * Drop pata-modules from ia64.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 21 Nov 2008 09:26:00 +0000

debian-installer (20081029ubuntu1) jaunty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Ubuntu branding of various kinds.
    - Use Ubuntu kernels. Various tweaks for different udeb splits.
    - Fetch distribution name and version number from lsb_release.
    - Use the full version number in image directories.
    - Build-depend on belocs-locales-bin.
    - Various boot screen text adjustments.
    - Add cli boot options.
    - Add memtest boot option.
    - Add live CD boot screens.
    - Adjust memory size recommendations.
    - Document pci=noacpi.
    - Add translatable boot screen text for gfxboot. Adjust existing text to
      refer to gfxboot UI where appropriate.
    - Use ubuntu-keyring-udeb (and gpgv-udeb) instead of the Debian archive
      keyring.
    - Switch all images to initramfs.
    - Add netboot images suitable for USB memory sticks.
    - Remove floppy support, since it never used to work with 2.6. (This may
      be fixed in the future.)
    - Add kickseed-common and initrd-kickseed to all images containing
      preseed-common and initrd-preseed.
    - Add nfs-modules to all netboot images except powerpc, for Kickstart.
    - kbd-chooser -> console-setup.
    - Include keymap decision tree in all.utf.
    - Replace cdebconf-newt-entropy with cdebconf-newt-detect-keys in
      EXTRAUDEBS.
    - Add bootchart-udeb to all images.
    - Add hdparm-udeb to cdrom images.
    - Add nic-firmware to netboot images and scsi-firmware to cdrom and
      hd-media images.
    - Make scsi-firmware optional.
    - Add oem-config-check to all images.
    - Ship elilo configuration on i386 for Intel-based Macs.
    - Use mkvmlinuz's fallback object files on powerpc rather than relying
      on the kernel's.
    - Use ${RAMDISK_SIZE} in sparc's silo.conf rather than a hardcoded size.
    - Add input-modules to the sparc netboot image.
    - Remove auto-install/ai-choosers targets, at least for now.
    - Switch i386 builds to the -generic kernel flavour.
    - Add a new netboot/386 build for i386 that uses the -386 kernel
      flavour.
    - Publish separate kernel and initrd for sparc64 netboot.
    - Don't use win32-loader on Ubuntu.
    - Add support for lpia.
    - Take /usr/share/localechooser/languagelist.data.gz into account when
      building reduced font.
  * Enable GTK frontend, as we're interested in trying it out in Ubuntu now.
  * Make speakup-modules optional, as we don't have it in Ubuntu yet.
  * Move mainline architectures to 2.6.27-9 kernels.
  * Move ports architectures to 2.6.27-1 kernels.
  * Move armel to 2.6.27-9, since it's currently being built as a mainline
    architecture.
  * Set default suite to jaunty.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 19 Nov 2008 12:25:19 +0000

debian-installer (20081029) unstable; urgency=low

  * Disable powerpc floppy. Fixes a FTBFS in powerpc architecture.

 -- Otavio Salvador <otavio@debian.org>  Wed, 29 Oct 2008 10:02:02 -0200

debian-installer (20081027) unstable; urgency=low

  [ Frans Pop ]
  * Test that a mirror supports the target suite before it's added to
    sources.list.udeb. Should fix build failures on lxdebian for s390,
    which includes an incomplete mirror in its /etc/apt/sources.list.
  * config/s390.cfg: avoid loading partman-auto during anna as guided
    partitioning is not very useful for DASDs.
  * Include isofs-modules in hd-media images now that the isofs module has
    been split out of the ide-modules udeb (kernels >=2.6.25).

  [ Martin Michlmayr ]
  * nslu2: Make sure the whole ramdisk partition is padded now that
    APEX tells the kernel to look at the whole partition.
  * Remove delo from Build-Depends since DECstations are no longer
    supported.
  * Move arm, armel, mips and mipsel to 2.6.25.
  * Enable the netwinder image again.
  * Add images for QNAP TS-109, TS-209 and TS-409.
  * Add an image for the HP Media Vault mv2120.
  * Add an image for the Buffalo Kurobox Pro.  Patch from Per Andersson
    as part of his Google Summer of Code project.
  * Move arm, armel and mipsel to 2.6.26.
  * Move mips to 2.6.26.
  * Add a README to the arm images saying that the arm port is not
    recommended for new installations.

  [ Joey Hess ]
  * Use menu default64 support added to syslinux 2:3.63+dfsg-2 to
    automatically select the amd64 installation option on multiarch images.

  [ Colin Watson ]
  * Test OMIT_WIN32_LOADER in arch_cd_info_dir and arch_miniiso targets as
    well as arch_boot.

  [ Joey Hess ]
  * mountfloppy renamed to mountmedia
  * floppy-retriever renamed to media-retriever
  * Add usb-storage-modules to all netboot images that use mountmedia.
    This will allow loading NIC drivers/firmware from a USB stick.

  [ Otavio Salvador ]
  * Include firewire-core-modules on cdrom images (i386 and amd64) to allow
    usage of firewire dockstations (as found on some VAIO laptops). See
    #488267 for reference.
  * Move alpha, amd64, i386 and powerpc to 2.6.25.

  [ Frans Pop ]
  * Add ext2-modules for i386 boot floppy as ext2 is no longer built in.
  * Move hppa, ia64 and sparc to 2.6.25.
  * Add 3 characters that are directly accessible from Dutch and British
    keyboards to needed-characters/nl.utf.

  [ Ian Campbell ]
  * Add i386 netboot-xen flavour using PAE enabled kernel compatible with PAE
    and 64 bit hypervisors.

  [ Robert Millan ]
  * config/x86.cfg: Make desktop selection explicit in win32-loader.ini.
    Closes: #486907.

  [ Joey Hess ]
  * Disable upx for all images due to bug #490149.
  * Version newt build dependencies to ensure that buggy old versions are not
    used.

  [ Jérémy Bobbio ]
  * Add cdebconf-gtk-terminal to graphical images.
  * Move powerpc kernel to 2.6.26.
  * Add virtio-modules to amd64 and i386 netboot images.

  [ Otavio Salvador ]
  * Move alpha, amd64, i386, ia64, hppa and sparc to 2.6.26.

  [ Samuel Thibault ]
  * Optionally add a beep to the x86 syslinux menu, controlled by BOOTMENU_BEEP.
    This is enabled by default only for release builds.

  [ Bastian Blank ]
  * Move s390 to 2.6.26-1.
  
  [ Stephen R. Marenka ]
  * Move m68k to 2.6.26-1.
  * Add modules to cdrom.
  * Rename atari bootstra.prg to bootstra.tos.

  [ Frans Pop ]
  * Apply patch from Samuel Thibault to add Speakup accessibility support to
    Graphical Installer images for i386 and amd64.
  * Rename syslinux config files (ad)amd.cfg to (ad)amdtext.cfg for consistency.
  * Drop languages that require a graphical installer for all arm and armel
    images to reduce image size.
  * x86: set correct default entries in the isolinux config for booting the
    installer from the help screens. Closes: #500464.
  * x86: add support for installing to and loading drivers/firmware from
    MMC/SD cards. Closes: #498568.

 -- Otavio Salvador <otavio@debian.org>  Mon, 27 Oct 2008 08:52:06 -0200

debian-installer (20080522ubuntu23) intrepid; urgency=low

  * Take /usr/share/localechooser/languagelist.data.gz into account when
    building reduced font (LP: #287668).

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 26 Oct 2008 00:17:47 +0100

debian-installer (20080522ubuntu22) intrepid; urgency=low

  * Update help text translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 20 Oct 2008 23:28:51 +0100

debian-installer (20080522ubuntu21) intrepid; urgency=low

  * Move lpia to 2.6.27-4 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 16 Oct 2008 23:28:11 +0100

debian-installer (20080522ubuntu20) intrepid; urgency=low

  * Update help text translations from Launchpad.
  * Use unversioned nic-firmware and scsi-firmware packages instead of the
    old versioned ones (LP: #220917).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 16 Oct 2008 20:03:00 +0100

debian-installer (20080522ubuntu19) intrepid; urgency=low

  * Move mainline architectures to 2.6.27-7 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 10 Oct 2008 16:21:02 +0100

debian-installer (20080522ubuntu18) intrepid; urgency=low

  * Move mainline architectures to 2.6.27-6 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 08 Oct 2008 09:21:02 +0100

debian-installer (20080522ubuntu17) intrepid; urgency=low

  * Move ports architectures to 2.6.25-2 kernels.
  * Move mainline architectures to 2.6.27-5 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 06 Oct 2008 10:54:41 +0100

debian-installer (20080522ubuntu16) intrepid; urgency=low

  * No-change rebuild to pick up new components, including disabling the
    broken e1000e driver.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 27 Sep 2008 08:22:51 +0100

debian-installer (20080522ubuntu15) intrepid; urgency=low

  * Move mainline architectures to 2.6.27-4 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 22 Sep 2008 16:33:30 +0100

debian-installer (20080522ubuntu14) intrepid; urgency=low

  * Move lpia to 2.6.27-3 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 12 Sep 2008 19:37:05 +0100

debian-installer (20080522ubuntu13) intrepid; urgency=low

  * Move mainline architectures to 2.6.27-3 kernels.
  * Move lpia to 2.6.27-2 kernels.
  * Move 386 back to 2.6.25-1 kernels, since it's built from linux-ports.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 11 Sep 2008 21:36:54 +0100

debian-installer (20080522ubuntu12) intrepid; urgency=low

  * Move mainline architectures to 2.6.27-2 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 29 Aug 2008 15:22:40 +0100

debian-installer (20080522ubuntu11) intrepid; urgency=low

  * Move mainline architectures to 2.6.27-1 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 27 Aug 2008 23:15:46 +0100

debian-installer (20080522ubuntu10) intrepid; urgency=low

  * No-change rebuild to pick up new components (particularly busybox and
    preseed).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 21 Aug 2008 17:59:27 +0100

debian-installer (20080522ubuntu9) intrepid; urgency=low

  * Add support for lpia.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 07 Aug 2008 19:16:55 +0100

debian-installer (20080522ubuntu8) intrepid; urgency=low

  * Move mainline architectures to 2.6.26-5 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 06 Aug 2008 01:12:47 +0100

debian-installer (20080522ubuntu7) intrepid; urgency=low

  * Move mainline architectures to 2.6.26-4 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Jul 2008 09:59:45 +0100

debian-installer (20080522ubuntu6) intrepid; urgency=low

  * Move mainline architectures to 2.6.26-3 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 04 Jul 2008 10:07:13 +0100

debian-installer (20080522ubuntu5) intrepid; urgency=low

  * Move mainline architectures to 2.6.26-2 kernels.
  * Revert fs-core-modules change; isofs is now back in storage-core-modules
    where it belongs.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 20 Jun 2008 10:54:34 +0100

debian-installer (20080522ubuntu4) intrepid; urgency=low

  * Remove build/boot/x86/boot.txt.live, no longer used.
  * Another System.map fix for sparc.
  * Temporarily add fs-core-modules to cdrom initrd, since isofs was moved
    there. It should really be moved back to storage-core-modules.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 18 Jun 2008 21:28:03 +0100

debian-installer (20080522ubuntu3) intrepid; urgency=low

  * Disable VERSIONED_SYSTEM_MAP again for sparc.
  * Fix some leftover calls to bootscreen-subst (renamed to bootvars-subst).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 18 Jun 2008 11:12:39 +0100

debian-installer (20080522ubuntu2) intrepid; urgency=low

  * Move back to 2.6.25-1 kernels for ports architectures.
  * Disable GTK frontend on amd64 too.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 17 Jun 2008 17:54:38 +0100

debian-installer (20080522ubuntu1) intrepid; urgency=low

  * Bump hd-media image size to 800MB so that Ubuntu ISO images fit on them
    (LP: #225402).
  * Resynchronise with Debian. Remaining changes:
    - Ubuntu branding of various kinds.
    - Use Ubuntu kernels. Various tweaks for different udeb splits.
    - Fetch distribution name and version number from lsb_release.
    - Use the full version number in image directories.
    - Build-depend on belocs-locales-bin.
    - Various boot screen text adjustments.
    - Add cli boot options.
    - Add memtest boot option.
    - Add live CD boot screens.
    - Adjust memory size recommendations.
    - Document pci=noacpi.
    - Add translatable boot screen text for gfxboot. Adjust existing text to
      refer to gfxboot UI where appropriate.
    - Use ubuntu-keyring-udeb (and gpgv-udeb) instead of the Debian archive
      keyring.
    - Switch all images to initramfs.
    - Add netboot images suitable for USB memory sticks.
    - Remove floppy support, since it never used to work with 2.6. (This may
      be fixed in the future.)
    - Disable GTK frontend.
    - Add kickseed-common and initrd-kickseed to all images containing
      preseed-common and initrd-preseed.
    - Add nfs-modules to all netboot images except powerpc, for Kickstart.
    - kbd-chooser -> console-setup.
    - Include keymap decision tree in all.utf.
    - Replace cdebconf-newt-entropy with cdebconf-newt-detect-keys in
      EXTRAUDEBS.
    - Add bootchart-udeb to all images.
    - Add hdparm-udeb to cdrom images.
    - Add nic-firmware to netboot images and scsi-firmware to cdrom and
      hd-media images.
    - Make scsi-firmware optional.
    - Add oem-config-check to all images.
    - Ship elilo configuration on i386 for Intel-based Macs.
    - Use mkvmlinuz's fallback object files on powerpc rather than relying
      on the kernel's.
    - Use ${RAMDISK_SIZE} in sparc's silo.conf rather than a hardcoded size.
    - Add input-modules to the sparc netboot image.
    - Remove auto-install/ai-choosers targets, at least for now.
    - Switch i386 builds to the -generic kernel flavour.
    - Add a new netboot/386 build for i386 that uses the -386 kernel
      flavour.
    - Publish separate kernel and initrd for sparc64 netboot.
  * Backport from trunk:
    - Test OMIT_WIN32_LOADER in arch_cd_info_dir and arch_miniiso targets as
      well as arch_boot.
  * Don't use win32-loader on Ubuntu.
  * Set default suite to intrepid.
  * Replace the splash image with a converted copy of the one we use for
    gfxboot, which fits better with vesamenu.
  * Adjust vesamenu margin to accommodate our menu item names.
  * Move to 2.6.26-1 kernels.
  * Temporarily disable netboot/386 for now; we don't seem to have the
    pieces needed to build it.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 17 Jun 2008 16:46:07 +0100

debian-installer (20080522) unstable; urgency=low

  [ Stephen R. Marenka ]
  * Add atari keymaps to pkg-lists for m68k.

  [ Frans Pop ]
  * Lenny will be version 5.0.
  * Improve consistency between x86 syslinux bootmethod help screens.
  * Add nic-usb-modules to netboot images for x86 and ia64.

  [ Otavio Salvador ]
  * Update to 2.6.24-1 kernel (i386, mipsel, arm, armel and amd64).

  [ Robert Millan ]
  * Add images for the versatile platform (armel).

  [ Martin Michlmayr ]
  * Activate the images for the MIPS Malta platform (mips and mipsel),
    thanks Aurelien Jarno.
  * Remove the QEMU flavour on mips and mipsel since it's replaced
    by Malta.
  * Update mips to 2.6.24-1.
  * Use initramfs rather than cramfs on Cobalt since the initrd is too
    large.
  * Use initramfs on MIPS Malta.

  [ Frans Pop ]
  * Remove dropped cdrom-modules kernel udebs from package list for i386,
    amd64 and alpha.
  * Update to 2.6.24-1 kernel for alpha, hppa, ia64, powerpc, s390 and sparc.
  * Remove wireless-tools from package lists as it's not required to configure
    wireless networking.
  * Remove Alastair McKinstry and Joshua Kwan as Uploaders with many thanks
    for their past contributions.

  [ Joey Hess ]
  * The i386 root floppy has been changed to a bare gzipped cpio file,
    null-paddded to the end of the floppy. This needs rootskel-bootfloppy
    version 1.60.
  * Use syslinux's vesamenu for all x86 images except the boot floppy.
  * Split up syslinux config files.
  * Note that the pxelinux config file for serial terminals has been dropped,
    at least for now, since the split config files made it too difficult to
    set up.
  * Note that this needs debian-cd changes to change its code for
    merging syslinux configs when producing i386+amd64 CDs.
  * Document the irqpoll boot parameter. Closes: #477988

  [ Frans Pop ]
  * For official builds, include a file with translation status information in
    images to allow localechooser can warn users for incomplete translations.
    A current status file should be generated before every upload.

  [ Otavio Salvador ]
  * Use genisoimage instead of mkisofs.
  * Disable i386 floppy image since 2.6.24 kernel image is too big to fit
    on a floppy.

  [ Frans Pop ]
  * Include both version number and codename as release identification.
  * Add a version.info file inside netboot tarballs. Closes: #475774.

  [ Otavio Salvador ]
  * Add cdebconf-text-entropy to common EXTRAUDEBS variable and
    cdebconf-gtk-entropy on all gtk images.

 -- Otavio Salvador <otavio@debian.org>  Thu, 22 May 2008 12:25:14 -0300

debian-installer (20080227) unstable; urgency=low

  [ Martin Michlmayr ]
  * Disable the Netwinder image for now since it's too large.

 -- Frans Pop <fjp@debian.org>  Wed, 27 Feb 2008 18:22:25 +0100

debian-installer (20080224) unstable; urgency=low

  [ Steve Langasek ]
  * Drop obsolete boot args from alpha netboot images.
  * Switch alpha cdrom images from initrd to initramfs (untested, but should
    work).

  [ Joey Hess ]
  * Changes to target lenny.

  [ Frans Pop ]
  * Drop build dependency on modutils (only needed for 2.4 kernels).
  * Excluding non-us for sources.list.udeb should no longer be needed; add
    exclusion for volatile.debian.{org,net}.
  * x86: document parameters to disable ACPI and USB on F6 isolinux help screen.
  * Switch i386, amd64, sparc and s/390 to 2.6.20-1.
  * Don't include usb-discover in images as USB modules should be loaded
    automatically now.

  [ Colin Watson ]
  * Don't try to mount devfs if $(TREE)/etc/udev exists.
  * Remove apparently-stray test for /dev/tty that broke tree_umount target
    for udev builds.
  * Run the demo in the C.UTF-8 locale.
  * Correct partman-auto-recipe.txt's descriptions of the $defaultignore,
    $lvmignore, and $lvmok specifiers to include the $.

  [ Martin Michlmayr ]
  * Remove rpc images because RiscPC machines are no longer supported.
  * Remove DECstation images because these machines are no longer supported.
  * Switch mips, mipsel and arm to 2.6.20-1.
  * Cobalt: don't turn the serial console on explicitly since this will
    kill Qube 2700 boxen and it's on by default on those machines with
    a serial console anyway.

  [ Joey Hess ]
  * Exclude pciutils-udeb from the i386 root floppy as it's out of space
    again thanks to libc etc bloat and we can do without lspci.
    Closes: #420078

  [ dann frazier ]
  * Update ia64 to 2.6.20 - omit scsi-common-modules udev since these modules
    have been merged into the scsi-modules udeb

  [ Martin Michlmayr ]
  * Switch arm, mips and mipsel to 2.6.21-1.

  [ Frans Pop ]
  * Switch i386, amd64, alpha and s390 to 2.6.21-1.
  * Include the default release for the target system and the release from
    which to retrieve udebs in images. The first makes it unnecessary to
    hardcode the default release in choose-mirror and the last ensures
    consistency between udebs included in the initrd and udebs retrieved
    during the installation. See #424640 and #426303.
    Requires net-retriever 1.18.

  [ Joey Hess ]
  * Stop including KEYRING onto initrds. Needs base-installer 1.80 and
    net-retriever 1.17, which use the udeb, and debian-archive-keyring-udeb
    2007.02.19-0.1.
  * No need to unset KEYRING for floppies anymore. Closes: #423265.
  * Work around upx-ucl-beta bug #426747.
  * Exclude core-modules from i386 driver floppies, it's available on the root
    floppy.

  [ Stephen R. Marenka ]
  * m68k: Drop all non-at keymaps, except amiga, since we only support 2.6.
  * m68k: Add -at keymaps explicitly to atari floppy.
  * m68k: Add -amiga keymaps explicitly to pkg-lists.
  * m68k: Punt the remainder INITRD22 stuff and simplify the rest.
  * Switch m68k to 2.6.21-1.

  [ Frans Pop ]
  * Use BASEVERSION variable for powerpc to avoid needing to modify the kernel
    version for each flavor separately.
  * G-I for i386 is now also affected by the VT switching issue that earlier
    affected only amd64 (#373253). Include libgcc_s.so.1 to work around this.
  * For i386 and amd64, add the 'quiet' kernel boot option for all boot
    methods except expert mode. This reduces the amount of output to the
    console to only a few messages before the first D-I dialog is displayed.
  * Drop build dependency on mkisofs for s390 as we don't need it there.

  [ Joey Hess ]
  * Changes to support new wireless nic modules udeb.
  * Switch i386 to have 3 net-drivers floppies. The second one now contains
    wireless, usb, and pcmcia drivers, while the third contains
    nic-extra-modules.
  * Set APT::Install-Recommends=false in get-packages as a preventive measure
    to avoid getting recommended udebs when apt later defaults to installing
    recommends. (Mostly a no-op as there are very few udeb recommends
    currently.)

  [ Frans Pop ]
  * Increase build dependency on mklibs to version 0.1.23; needed to avoid
    build failures or broken images after post-Etch toolchain changes.
  * Switch alpha, amd64, arm, i386, m68k, mips, mipsel and s390 to 2.6.21-2.
  * Get rid of hardcoded kernel versions in boot configuration files for mips
    and mipsel; rename bootscreen-subst to bootvars-subst to reflect this
    somewhat more general use of this script.
  * Drop compatibility symlink to old location of the graphical mini.iso.
  * Switch ia64 to 2.6.21-2.

  [ Joey Hess ]
  * Switch to dhcp3-client-udeb.
  * Remove ugly workaround for apex filename transition, long over.

  [ Frans Pop ]
  * Remove support for sparc32 as it is no longer supported for Lenny.
  * Simplify build structure for sparc.
  * Switch sparc, powerpc and hppa to 2.6.21-2.

  [ Joey Hess ]
  * Remove pcmcia-cs-udeb from ads_cf image, as it's no longer in Debian.
  * Remove old "linux" syslinux label for x86, it was replaced by "install".
  * Convert mips/arcboot.conf to use "install" and not "linux" as the label as
    well.
  * Apply patch from Václav Ovsík adding a NETBOOT_DI_DIR variable.

  [ Davide Viti ]
  * Switch g-i as to use ttf-dejavu for rendering Georgian text

  [ Christian Perrier ]
  * Replace the build dependency on grep-dctrl (transition package) by dctrl-tools

  [ Joey Hess ]
  * Call dh_md5sums.

  [ Robert Millan ]
  * Integrate win32-loader utility.  (Closes: #412922)

  [ Martin Michlmayr ]
  * Fix the bootvars-subst call on mips so the actual kernel version will be
    used.

  [ Joey Hess ]
  * Change f8.txt to document tasksel/desktop.

  [ Jérémy Bobbio ]
  * Add support for apt_preferences(5) files (preferences.{deb,udeb}.local) to
    ease development when packages are broken in unstable.

  [ Bastian Blank ]
  * Support coming cdebconf frontend changes.
  * Bump build dependency for mklibs.

  [ Otavio Salvador ]
  * Switch alpha, amd64, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc,
    s390 and sparc to 2.6.22-2.
  * Load config/local by last so we can override previously set options.
  * Support setting an extra udeb to be included exporting the EXTRAS
    environment variable.
  * Allow DEBIAN_VERSION to be overriden using environment variable.

  [ Frans Pop ]
  * Disable builds for PowerPC PReP images as there are no prep kernels
    available.

  [ Joey Hess ]
  * Switch i386 to 2.6.22-3.

  [ Martin Michlmayr ]
  * Switch all other architectures to 2.6.22-3.
  * Use mklibs-copy rather than mklibs on mips and mipsel for now since
    the latter doesn't work.

  [ Colin Watson ]
  * Move Frans' d-i internals manual from doc/talks/d-i_debconf6/ to
    doc/devel/internals/, and build it by default.

  [ Joey Hess ]
  * Switch from upx-ucl-beta to upx-ucl, now that it's out of beta.
  * Avoid using sources.list.d when downloading udebs. Closes: #459612

  [ Aurelien Jarno ]
  * Add support for MIPS Malta platform, but keep it disabled for now.

  [ Frans Pop ]
  * Add build dependency on libgcc1 for i386 also as we include libgcc_s for
    graphical installer images.

 -- Otavio Salvador <otavio@debian.org>  Sun, 24 Feb 2008 06:39:28 -0300

debian-installer (20070308ubuntu40) hardy; urgency=low

  * No-change rebuild to pick up new components (choose-mirror,
    console-setup).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Apr 2008 02:02:03 +0100

debian-installer (20070308ubuntu39) hardy; urgency=low

  * Remove documentation of "Check CD for defects"; even in gfxboot we don't
    have enough screen space for it.
  * Resynchronise build/boot/x86/po4a.cfg with our real set of translations.
  * Update help text translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 14 Apr 2008 15:41:32 +0100

debian-installer (20070308ubuntu38) hardy; urgency=low

  * Move to 2.6.24-16 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 11 Apr 2008 15:19:51 +0100

debian-installer (20070308ubuntu37) hardy; urgency=low

  * Put fat-modules back in various cdrom, netboot, and speakup initrds
    (removed in 20061102ubuntu1), since it was split out from
    fs-secondary-modules again.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 09 Apr 2008 15:24:31 +0100

debian-installer (20070308ubuntu36) hardy; urgency=low

  * Move to 2.6.24-15 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 04 Apr 2008 15:39:40 +0100

debian-installer (20070308ubuntu35) hardy; urgency=low

  * Update help text translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 03 Apr 2008 11:44:25 +0100

debian-installer (20070308ubuntu34) hardy; urgency=low

  * Move to 2.6.24-14 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 03 Apr 2008 10:36:42 +0100

debian-installer (20070308ubuntu33) hardy; urgency=low

  * Move to 2.6.24-12 kernels.
  * Update help text translations from Launchpad.
  * Remove translations for languages not supported by localechooser (and
    therefore unused by gfxboot-theme-ubuntu), specifically: ky mr ms oc ur.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 10 Mar 2008 14:08:13 +0000

debian-installer (20070308ubuntu32) hardy; urgency=low

  * No-change rebuild to pick up new components (busybox 1:1.1.3-5ubuntu12).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 04 Mar 2008 20:07:31 +0000

debian-installer (20070308ubuntu31) hardy; urgency=low

  * Move to 2.6.24-11 kernels.
  * Update help text translations from Launchpad.
  * Adjust help text to refer to gfxboot UI where appropriate (LP: #66881).
  * Update the syslinux live CD F3 help text to talk about live-install
    rather than live-expert.
  * Document "Check CD for defects" boot option (only for gfxboot, due to
    space constraints).
  * Use <literal> rather than <screen> when referring to the boot: prompt in
    the middle of a sentence, to avoid making translators work with sentence
    fragments.
  * Resync syslinux live CD F1 and F5 help page cross-references with
    help.xml (thanks, Steve Langasek; LP: #151127).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 03 Mar 2008 11:46:34 +0000

debian-installer (20070308ubuntu30) hardy; urgency=low

  * Remove powerpc/cell subarchitecture altogether; support for these
    systems is now integrated into powerpc64.
  * Make ubuntu-modules mandatory on powerpc again; it was only made
    optional for cell.
  * Update help text translations from Launchpad.
  * Copy the live CD F4 help text from gfxboot into syslinux display format
    (LP: #195564).
  * Move to 2.6.24-10 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 26 Feb 2008 18:15:40 +0000

debian-installer (20070308ubuntu29) hardy; urgency=low

  * Move to 2.6.24-8 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 17 Feb 2008 16:57:01 +0000

debian-installer (20070308ubuntu28) hardy; urgency=low

  * build/config/common: Update for Hardy (oops; fortunately this only
    mattered for manual builds).
  * Move to 2.6.24-7 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 08 Feb 2008 11:24:48 +0000

debian-installer (20070308ubuntu27) hardy; urgency=low

  * Move to 2.6.24-5 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Jan 2008 00:23:09 +0000

debian-installer (20070308ubuntu26) hardy; urgency=low

  * Update copyright years to 2008.
  * Drop powerpc/cell subarchitecture at least for now, as the kernel no
    longer builds it.
  * Move to 2.6.24-4 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 17 Jan 2008 09:20:52 +0000

debian-installer (20070308ubuntu25) hardy; urgency=low

  * Move to 2.6.24-3 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 08 Jan 2008 14:22:44 +0000

debian-installer (20070308ubuntu24) hardy; urgency=low

  * Rebuild-only upload to pick up fixes from udev 0.117-3.

 -- Steve Langasek <slangasek@canonical.com>  Wed, 19 Dec 2007 20:16:28 -0800

debian-installer (20070308ubuntu23) hardy; urgency=low

  * Switch from upx-ucl-beta to upx-ucl, now that it's out of beta.
  * Move to 2.6.24-2 kernels.
  * Encapsulate UTF-8 encoding pain differently in
    build/util/help-to-gfxboot.py. (The resulting code is longer but I think
    the horribleness is better-positioned.)

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 18 Dec 2007 21:13:12 +0000

debian-installer (20070308ubuntu22) hardy; urgency=low

  * Backport from trunk (Bastian Blank):
    - Support coming cdebconf frontend changes.
  * Update help text translations from Launchpad.
  * Set Vcs-Bzr for Ubuntu.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 29 Nov 2007 18:02:12 +0000

debian-installer (20070308ubuntu21) hardy; urgency=low

  * Set default suite to hardy.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 28 Nov 2007 22:12:41 +0000

debian-installer (20070308ubuntu20) gutsy; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Oct 2007 21:31:08 +0100

debian-installer (20070308ubuntu19) gutsy; urgency=low

  * Move to 2.6.22-14 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 09 Oct 2007 16:32:33 +0100

debian-installer (20070308ubuntu18) gutsy; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 08 Oct 2007 21:40:06 +0100

debian-installer (20070308ubuntu17) gutsy; urgency=low

  * Move to 2.6.22-13 kernels.
  * Update help text translations from Launchpad.
  * Update live CD memory requirements to 384 MB. (We will try to get this
    back down for Hardy.)

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Oct 2007 19:55:08 +0100

debian-installer (20070308ubuntu16) gutsy; urgency=low

  * Enable powerpc/cell subarchitecture.
  * Make ubuntu-modules optional on powerpc, since cell doesn't have it
    (yet?).
  * Update help text translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 24 Sep 2007 12:49:15 +0100

debian-installer (20070308ubuntu15) gutsy; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 22 Sep 2007 17:18:11 +0100

debian-installer (20070308ubuntu14) gutsy; urgency=low

  * Rename server to cli, to match cdimage since edgy (LP: #125903). Remove
    now-unnecessary base-installer preseeding.
  * Use genisoimage instead of mkisofs.
  * Move to 2.6.22-12 kernels.
  * Add basic Cell support, but not enabled yet pending the existence of
    udebs.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 20 Sep 2007 23:13:44 +0100

debian-installer (20070308ubuntu13) gutsy; urgency=low

  * Move to 2.6.22-11 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 07 Sep 2007 17:29:28 +0100

debian-installer (20070308ubuntu12) gutsy; urgency=low

  * Move to 2.6.22-10 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 22 Aug 2007 15:25:07 +0100

debian-installer (20070308ubuntu11) gutsy; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 20 Aug 2007 11:48:39 +0100

debian-installer (20070308ubuntu10) gutsy; urgency=low

  * Build-depend on dctrl-tools rather than the transitional package
    grep-dctrl.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 10 Aug 2007 16:29:34 +0100

debian-installer (20070308ubuntu9) gutsy; urgency=low

  * Remove dangling reference to expert mode from live boot screens
    (LP: #48349).
  * Move to 2.6.22-9 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 31 Jul 2007 09:47:11 +0100

debian-installer (20070308ubuntu8) gutsy; urgency=low

  * Publish separate kernel and initrd for sparc64 netboot.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 20 Jul 2007 11:03:45 +0100

debian-installer (20070308ubuntu7) gutsy; urgency=low

  * Fix mismatched XML tags in Basque translation.
  * Switch to dhcp3-client-udeb.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 16 Jul 2007 23:29:00 +0100

debian-installer (20070308ubuntu6) gutsy; urgency=low

  * Update live CD memory requirements to 256 MB (LP: #120107).
  * Fix double ">" on F6 help page (LP: #122272).
  * Move to 2.6.22-8 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 10 Jul 2007 14:00:40 +0100

debian-installer (20070308ubuntu5) gutsy; urgency=low

  * Move to 2.6.22-7 kernels.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Mon, 25 Jun 2007 20:15:51 +0200

debian-installer (20070308ubuntu4) gutsy; urgency=low

  * Remove fs-core-modules workaround, as the kernel has now been fixed.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 05 Jun 2007 12:16:31 +0100

debian-installer (20070308ubuntu3) gutsy; urgency=low

  * Clarify help text about existing swap partitions (LP: #50856).
  * Add oem-config-check to all images.
  * Move to 2.6.22-6 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 04 Jun 2007 08:33:46 +0100

debian-installer (20070308ubuntu2) gutsy; urgency=low

  * Restore missing build/boot/x86/pics/ubuntu* files, lost in merge.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 23 May 2007 16:10:34 +0100

debian-installer (20070308ubuntu1) gutsy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Ubuntu branding of various kinds.
    - Use Ubuntu kernels. Various tweaks for different udeb splits.
    - Fetch distribution name and version number from lsb_release.
    - Use the full version number in image directories.
    - Build-depend on belocs-locales-bin.
    - Various boot screen text adjustments.
    - Add server boot options.
    - Add memtest boot option.
    - Add live CD boot screens.
    - Adjust memory size recommendations.
    - Document pci=noacpi.
    - Add translatable boot screen text for gfxboot.
    - Use ubuntu-keyring-udeb (and gpgv-udeb) instead of the Debian archive
      keyring.
    - Switch all images to initramfs.
    - Add netboot images suitable for USB memory sticks.
    - Remove floppy support, since it never used to work with 2.6. (This may
      be fixed in the future.)
    - Disable GTK frontend.
    - Add kickseed-common and initrd-kickseed to all images containing
      preseed-common and initrd-preseed.
    - Add nfs-modules to all netboot images except powerpc, for Kickstart.
    - kbd-chooser -> console-setup.
    - Include keymap decision tree in all.utf.
    - Replace cdebconf-newt-entropy with cdebconf-newt-detect-keys in
      EXTRAUDEBS.
    - Add bootchart-udeb to all images.
    - Add hdparm-udeb to cdrom images.
    - Add nic-firmware to netboot images and scsi-firmware to cdrom and
      hd-media images.
    - Ship elilo configuration on i386 for Intel-based Macs.
    - Use mkvmlinuz's fallback object files on powerpc rather than relying
      on the kernel's.
    - Remove sparc32.
    - Use ${RAMDISK_SIZE} in sparc's silo.conf rather than a hardcoded size.
    - Add input-modules to the sparc netboot image.
    - Remove auto-install/ai-choosers targets, at least for now.
    - Switch i386 builds to the -generic kernel flavour.
    - Add a new netboot/386 build for i386 that uses the -386 kernel
      flavour.
  * Set default suite to gutsy.
  * Move to 2.6.22-5 kernels.
  * Remove pci=noacpi documentation from the install CD case (though not
    from the live CD), as there's no space for it on the boot screens any
    more.
  * Make scsi-firmware optional, since linux-ubuntu-modules-2.6.22 doesn't
    build it yet.
  * Add ubuntu-modules to all images containing nic-modules.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 23 May 2007 12:16:17 +0100

debian-installer (20070308) unstable; urgency=low

  [ Thiemo Seufer ]
  * Add Qemu mips/mipsel images, thanks Aurelien Jarno.

  [ Sylvain Ferriol ]
  * Add keyboard usb packages in i386 root floppy and move all net packages
    to i386 net-drivers-1 floppy.

  [ Frans Pop ]
  * Switch font used for Dzongkha in g-i to ttf-tmuni.

  [ Martin Michlmayr ]
  * Provide a properly encrypted firmware image for Thecus N2100 so the
    firmware upgrade process will recognize it.  Thanks to Kurt Roeckx
    for help with OpenSSL.
  * Remove incomplete armeb support.
  * Remove obsolete arm/nslu2 config files.
  * Switch arm, mips and mipsel to 2.6.18-2.
  * Switch arm, mips and mipsel to 2.6.18-3.
  * n2100: Add support for Evesham's M-Box.
  * Put in a workaround to support building with both apex 1.4.7 and the
    new 1.4.14 which changes the name of the apex binary; closes: #409747

  [ Joey Hess ]
  * Stop using the system status file; generate a dummy status file for apt
    containing libc6 and libnewt (the only two debs udebs still depend on).
  * dhcp3-client-udeb is for some reason Standard priority, so gets included
    in monolithic image builds (and breaks the build). Exclude it from the
    monolithic images until its priority is fixed.
  * The i386 boot floppy will be too big with the 2.6.18 kernel, so drop
    usb input modules from it. USB keyboard support didn't work before
    anyway AFAICS, since usb-discover was not included.
  * With 2.6.18, nic-extra-modules gets too big to fit on the i386
    net-drivers-1 floppy with nic-modules. Move nic-extra-modules to
    net-drivers-2 and reorg to fit.
  * Don't exclude usb drivers from driver floppies; the root floppy does not
    currently load them.

  [ Sven Luther ]
  * Switch powerpc to 2.6.18-2.
  * Add a prep flavour.
  * Add fancontrol modules to cdrom and netboot images for powerpc64.

  [ Thiemo Seufer ]
  * Fix tftpboot.sh for mips/r5k-ip32.

  [ dann frazier ]
  * Switch ia64 to initramfs.
  * Make the default boot option on ia64 "Install" for consistency with x86.
  * Add rescue boot option on ia64.

  [ Frans Pop ]
  * Switch i386 to 2.6.18-3.
  * Apply patch from Alex Owen to fix serial console support for grub in the
    installed system (#224641).

  [ Joey Hess ]
  * Add time to image build date, and set build date to UTC (was local
    time before).
  * Etch will be Debian 4.0.

  [ Stephen R. Marenka ]
  * Add preliminary network-console support to m68k.
  * Switch m68k to 2.6.18-3.
  * Add back the atari subarch and the floppy initrd.
  * Add emile to build-deps.

  [ Steve Langasek ]
  * Switch alpha to 2.6.18-3.  Now with support for TITAN systems, huzzah!

  [ Colin Watson ]
  * Switch powerpc to 2.6.18-3.
  * Document new GET_MAX_PRIMARY command in partman-base 99.

  [ Dann Frazier ]
  * Switch ia64 to 2.6.18-3.

  [ Frans Pop ]
  * Switch amd64, hppa, sparc and s/390 to 2.6.18-3.
  * On amd64 we temporarily need to include /lib/libgcc_s.so.1 in g-i initrds
    to work around #373253 until upstream can remove pthread_cancel() calls in
    directfb. Because of the Etch release this is implemented for now by
    setting EXTRAFILES in the relevant files under config/amd64.
  * daily-build: keep file attributes between build targets if fakeroot is
    used. Closes: #401603.
  * Raise minimal memory requirement in boot help screens on x86 to 32MB.
    Closes: #402276.
  * Makefile: don't strip "Choices-C" fields from templates if DROP_LANG is set
    (see #400263).

  [ Joey Hess ]
  * Copy the keyring from debian-archive-keyring into images (was using the
    old keyring from apt). Build-depend on a current version of
    debian-archive-keyring for good measure.
  * Fix stripping of kernel modules by Makefile, was broken due to bogus find
    command.
  * /etc/apt/trusted.gpg can't be guaranteed to be readable, and the udeb
    download will fail to verify if it's not. Avoid this by making apt use
    KEYRING.

  [ dann frazier ]
  * Add scsi-common-modules to pkg-lists/cdrom/ia64.cfg. sym53c8xx.ko is in
    this package, which is needed for scsi cd-roms in machines like the
    HP rx7620 (closes: #403895)
  * Add relocatable flag to elilo.conf for ia64 - this is required when booting
    on Altix systems, though it cannot be used with 2.4 kernels

  [ Joey Hess ]
  * Remove udev-udeb from the ADS cf image.
  * Rename gtk-miniiso targets to netboot-gtk, and place the resulting files
    under the netboot/gtk/ directory. Add full set of netboot files for the
    gtk image, not just the mini.iso. The gtk-miniiso directories are kept
    working via symlinks for now, so that we won't have to update the docs so
    late in the release process. Closes: #408535

  [ Frans Pop ]
  * Update general copyright notices for Debian and Debian Installer to 2007.
  * Switch all architectures to 2.6.18-4.

  [ Martin Michlmayr ]
  * Update mips/mipsel boot configs to refer to 2.6.18-4.

  [ Joey Hess ]
  * Add support for armel. Symlink most arm configs to avoid duplication.
  * Add libgcc1 to the udeb exclude list, and add a dummy item for it to the
    status file. This supports armel, which already uses glibc 2.5, and will
    be needed later when other arches switch to it.

  [ Gordon Farquharson ]
  * Enable users to select a timezone on arm/ixp4xx, arm/iop32, and
    mipsel/cobalt. Closes: #403195.
  * Include the IXP4xx Ethernet driver on the initrd now that oldsys-preseed
    will choose the correct device depending on whether the NPE microcode
    is available.

  [ Steve Langasek ]
  * Add fb-modules to the initrds on alpha, now that matroxfb has been
    moved to a separate udeb; fixes support for installs on TGA-using
    systems.  Closes: #404485.

  [ dann frazier ]
  * [ia64] Fix elilo boot screen formatting - the addition of the time
    to the $BUILD_DATE variable was causing an ugly line wrap

  [ Joey Hess ]
  * Document use of generic.all_generic_ide=1 in f6.txt.

  [ Frans Pop ]
  * Set default suite to etch (etch branch only).

 -- Frans Pop <fjp@debian.org>  Thu,  8 Mar 2007 23:43:33 +0100

debian-installer (20061102ubuntu26) feisty; urgency=low

  * No-change rebuild to pick up new kernel.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 15 Apr 2007 06:08:53 +0100

debian-installer (20061102ubuntu25) feisty; urgency=low

  * Move to 2.6.20-15 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 13 Apr 2007 14:05:13 +0100

debian-installer (20061102ubuntu24) feisty; urgency=low

  * Add input-modules to sparc cdrom images (LP: #99790).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 12 Apr 2007 20:15:54 +0100

debian-installer (20061102ubuntu23) feisty; urgency=low

  * Remove grepmap-udeb from all images, as it's no longer in the archive.
  * Include block-modules on powerpc cdrom images, as ps3_storage is there
    and needed to find the CD drive on PS3 systems.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 11 Apr 2007 03:52:10 +0100

debian-installer (20061102ubuntu22) feisty; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 10 Apr 2007 23:28:23 +0100

debian-installer (20061102ubuntu21) feisty; urgency=low

  * Update help text translations from Rosetta.
  * Move to 2.6.20-14 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  5 Apr 2007 13:18:35 +0100

debian-installer (20061102ubuntu20) feisty; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 29 Mar 2007 11:47:07 +0100

debian-installer (20061102ubuntu19) feisty; urgency=low

  * Add scsi-firmware to cdrom and hd-media images.
  * Update Canonical copyright dates.
  * Move to 2.6.20-13 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 26 Mar 2007 22:19:20 +0100

debian-installer (20061102ubuntu18) feisty; urgency=low

  * No-change rebuild to pick up new kernel.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 21 Mar 2007 22:55:15 +0000

debian-installer (20061102ubuntu17) feisty; urgency=low

  * Move to 2.6.20-12 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 18 Mar 2007 11:30:03 +0000

debian-installer (20061102ubuntu16) feisty; urgency=low

  * Move to 2.6.20-11 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 17 Mar 2007 18:45:24 +0000

debian-installer (20061102ubuntu15) feisty; urgency=low

  * Move to 2.6.20-9 kernels.
  * Set Maintainer to ubuntu-installer@lists.ubuntu.com.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 27 Feb 2007 19:33:12 +0000

debian-installer (20061102ubuntu14) feisty; urgency=low

  * Move to 2.6.20-8 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 13 Feb 2007 11:54:52 +0000

debian-installer (20061102ubuntu13) feisty; urgency=low

  * No-change rebuild to pick up new kernel.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 31 Jan 2007 22:51:55 +0000

debian-installer (20061102ubuntu12) feisty; urgency=low

  * doc/devel/menu-item-numbers.txt: kbd-chooser -> console-setup.
  * build/boot/x86/help.xml: Mark several items on the F8 help page as being
    for syslinux only.
  * Move to 2.6.20-6 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 31 Jan 2007 09:00:43 +0000

debian-installer (20061102ubuntu11) feisty; urgency=low

  * No-change rebuild to pick up new archdetect for Intel Mac support.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 Jan 2007 08:27:23 +0000

debian-installer (20061102ubuntu10) feisty; urgency=low

  * Move fs-core-modules hack so everybody gets them in the cdrom initrd.
    Workaround for kernel bug, to be removed post-feisty.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Tue,  9 Jan 2007 16:25:47 +0100

debian-installer (20061102ubuntu9) feisty; urgency=low

  * Add fs-core-modules to sparc/cdrom images.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Tue, 09 Jan 2007 10:05:00 +0100

debian-installer (20061102ubuntu8) feisty; urgency=low
  
  * Move to 2.6.20-5 kernels.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Mon, 08 Jan 2007 06:11:43 +0100

debian-installer (20061102ubuntu7) feisty; urgency=low

  * Move to 2.6.20-2 kernels.
  * Add block-modules and message-modules to hd-media images.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 18 Dec 2006 17:02:03 +0000

debian-installer (20061102ubuntu6) feisty; urgency=low

  * Switch i386 builds to the -generic kernel flavour.
  * Add a new netboot/386 build for i386 that uses the -386 kernel flavour.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 11 Dec 2006 12:32:26 +0000

debian-installer (20061102ubuntu5) feisty; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  4 Dec 2006 13:46:19 +0000

debian-installer (20061102ubuntu4) feisty; urgency=low

  * Make build/util/help-to-gfxboot.py executable again.
  * Include pata-modules in all images including ide-modules.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat,  2 Dec 2006 06:46:48 +0000

debian-installer (20061102ubuntu3) feisty; urgency=low

  * build/config/sparc.cfg: Fix KERNELVERSION/KERNELNAME merge breakage.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 30 Nov 2006 21:09:07 +0000

debian-installer (20061102ubuntu2) feisty; urgency=low

  * Make nfs-modules optional, as fs-secondary-modules is a bit much for the
    netboot images (filed #73910).
  * Make cdrom-modules optional, as it has gone AWOL (filed #73911).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 30 Nov 2006 13:52:46 +0000

debian-installer (20061102ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Ubuntu branding of various kinds.
    - Use Ubuntu kernels. Various tweaks for different udeb splits.
    - Fetch distribution name and version number from lsb_release.
    - Use the full version number in image directories.
    - Build-depend on belocs-locales-bin.
    - Various boot screen text adjustments.
    - Add server boot options.
    - Add memtest boot option.
    - Add live CD boot screens.
    - Adjust memory size recommendations.
    - Document pci=noacpi.
    - Add translatable boot screen text for gfxboot.
    - Use ubuntu-keyring-udeb (and gpgv-udeb) instead of the Debian archive
      keyring.
    - Switch all images to initramfs.
    - Add netboot images suitable for USB memory sticks.
    - Remove floppy support, since it never used to work with 2.6. (This may
      be fixed in the future.)
    - Disable gtk frontend.
    - Add kickseed-common and initrd-kickseed to all images containing
      preseed-common and initrd-preseed.
    - Add nfs-modules to all netboot images except powerpc, for Kickstart.
    - kbd-chooser -> console-setup.
    - Include keymap decision tree in all.utf.
    - Replace cdebconf-newt-entropy with cdebconf-newt-detect-keys in
      EXTRAUDEBS.
    - Add bootchart-udeb to all images.
    - Add grepmap-udeb to all images.
    - Add hdparm-udeb to cdrom images.
    - Add nic-firmware to netboot images.
    - Ship elilo configuration on i386 for Intel-based Macs.
    - Use mkvmlinuz's fallback object files on powerpc rather than relying
      on the kernel's.
    - Remove sparc32.
    - Use ${RAMDISK_SIZE} in sparc's silo.conf rather than a hardcoded size.
    - Add input-modules to the sparc netboot image.
  * Set default suite to feisty.
  * Fix server option to preseed "tasks=standard" instead of
    "pkgsel/install-pattern=~t^ubuntu-standard$".
  * Move to 2.6.19-7 kernels. Handle various module udeb changes:
    ide-core-modules, loop-modules, scsi-core-modules, usb-storage-modules
    -> storage-core-modules; lots of filesystem modules -> fs-core-modules,
    fs-secondary-modules.
  * Remove auto-install/ai-choosers targets, at least for now.
  * Make nic-firmware optional, since it seems to have gone AWOL (filed
    #73896).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 30 Nov 2006 12:10:47 +0000

debian-installer (20061102) unstable; urgency=low

  [ Joey Hess ]
  * Increased hardcoded ramdisk_size in aboot.conf to 20 mb, 16 mb is just
    barely too small with current images.

  [ Martin Michlmayr ]
  * Add input-modules to the ixp4xx initrd.

  [ Frans Pop ]
  * Fix the generation of MANIFEST.udebs for extra floppy images.
  * Add boot option "auto" for i386, amd64, powerpc and sparc to support the
    new auto-install functionality.

 -- Frans Pop <fjp@debian.org>  Thu,  2 Nov 2006 03:25:11 +0100

debian-installer (20061022) unstable; urgency=low

  [ Joey Hess ]
  * Remove some leftover 2.4+2.6 support in the ia64 configs.
  * Make amd64 consitently use initramfs images.
  * Drop 2.4 support for i386.
  * Merge most differences between i386 and amd64 configs. Only remaining
    difference is that floppy support is still desirable (though not
    present) for i386.
  * Build gtk isolinux initrd as part of the build process for the
    regular isolinux image, so that it will be included properly in the
    isolinux files.
  * Switch i386 to 2.6.17-2.
  * Remove root=/dev/ram from syslinux configs, turns out not to be needed for
    the kernel to find initramfs.
  * Remove ramdisk_size= and "rw" settings, also not needed.
  * Which means that ramdisk-size-subst is not needed for x86; removed
    calls to it.

  [ Martin Michlmayr ]
  * Switch arm to 2.6.17-2.
  * Clean-up arm config now that 2.4 is gone.
  * Use mknettrom from the nwutil package instead of our own local copy.
  * Add images for iop32x with support for GLAN Tank.
  * Add images for ixp4xx.
  * Switch mips to 2.6.17-2.
  * Switch mipsel to 2.6.17-2.

  [ Frans Pop ]
  * Switch hppa and sparc to 2.6.17-2.
  * Switch s390 to 2.6.17-2 and re-enable the tape target.

  [ Joey Hess ]
  * Remove pcmcia kernel modules from ads cf image; provided by monolithic
    kernels.

  [ Wouter Verhelst ]
  * Nuke 2.2/2.4 for m68k.

  [ Stephen R. Marenka ]
  * Nuke non-rc subarchs for m68k.

  [ Joey Hess ]
  * Fix ads image builds, need to turn off globally set KERNELVERSION.
  * Remove leftover stuff for speakup/access floppy images.

  [ Frans Pop ]
  * Clean up pkg-lists for removal of 2.2/2.4 support.

  [ Dann Frazier ]
  * Switch IA64 to 2.6.17-2.

  [ Otavio Salvador ]
  * Fix gtk isolinux.cfg building.

  [ Kurt Roeckx ]
  * Siwtch amd64 to 2.6.17-2.

  [ Joey Hess ]
  * Switch alpha to 2.6.17-2 to keep it building. (Untested by me.)

  [ Colin Watson ]
  * Use pcmciautils on mips/mipsel monolithic 2.6 builds.

  [ Sven Luther ]
  * Get rid of cdrom64/netboot64/gtk-miniiso64 for the powerpc64
    subarchitecture (closes: #385145).
  * Switch powerpc 2.6 images to initramfs (closes: #385175).

  [ Joey Hess ]
  * Switch KERNELMAJOR to 2.6 for ads images, since that the most likely
    kernel used.
  * Include pcmciautils on ads cf image, but keep pcmcia-cs on there too, on
    the off chance that a 2.4 kernel is used with it.
  * Add X_INSTALLATION_MEDIUM to lsb-release file.

  [ Colin Watson ]
  * Switch powerpc to 2.6.17-2. Closes: #385164

  [ Frans Pop ]
  * Switch to using initramfs for sparc (except for floppy images); remove no
    longer needed boot parameters from silo.conf.
  * Switch to using initramfs for hppa; remove no longer needed palo
    parameters.

  [ Wouter Verhelst ]
  * Don't build powerpc floppy targets in the "regular" builds; they're of no
    use there except to confuse the user. Which is not useful at all.
    Closes: #323182, #315308

  [ Martin Michlmayr ]
  * Add a firmware image for Linksys NSLU2 for the new ixp4xx flavour.
  * Put oldsys-preseed on the iop32x image.

  [ Frans Pop ]
  * Add support for ppc64 based on patch from Andreas Jochens. Closes: #382628.
  * Switch default INITRD_FS to initramfs; configs for individual
    architectures modified so there are no actual changes.
  * Add sata-modules for cdrom images on alpha.

  [ Sylvain Ferriol ]
  * Add support for 2.6 based floppy installation for i386.

 -- Frans Pop <fjp@debian.org>  Sun, 22 Oct 2006 03:11:24 +0200

debian-installer (20060806) unstable; urgency=low

  * Add ttf-bpg-georgian fonts for graphical installer.
  * As that was the last missing font udeb, remove support for including
    fontfiles from tarballs.
  * Remove 2.4 images for sparc.
  * Update arches in build depends for module-init-tools and modutils.

 -- Frans Pop <fjp@debian.org>  Mon,  6 Aug 2006 23:22:02 +0200

debian-installer (20060726.1) unstable; urgency=low

  * pkg-lists/exclude: update to libnewt0.52.
  * Add build dependency on wget for arches that support the graphical
    installer; this is needed while we still have font tarballs.

 -- Frans Pop <fjp@debian.org>  Wed, 26 Jul 2006 13:54:56 +0200

debian-installer (20060726) unstable; urgency=low

  [ Martin Michlmayr ]
  * Make sure the Netwinder image doesn't exceed NeTTrom's size limit.
    Closes: #345319.
  * Include essential kernel modules on the Netwinder cdrom initrd.
  * Fix a typo in the Cobalt preseed file.
  * Rename sb1-swarm-bn to sb1-bcm91250a for consistency.
  * Add 2.6 images on mips and mipel.
  * Add support for the Broadcom BCM91480B evaluation board (aka "BigSur").
  * Add support for the SGI O2 (IP32) machines (with R5000 CPU).
  * Put beep-udeb on the NSLU2 initrd so we can notify people when SSH is
    ready.
  * Switch to 2.6.16 kernel on arm.
  * Put the input-modules udeb on the NSLU2 image so the beeper will work.
  * Remove (incomplete) LART and BAST support.
  * Remove 2.4 images on arm.

  [ Joey Hess ]
  * Split off PRESEED_SUITE from PRESEED, use this for the suite setting
    for development builds, and no longer unset PRESEED for release builds.
    Should fix cobalt issues.
  * Audited the x86 kernel parameter docs in the boot screens vs the 2.6.15
    kernel. Removed documentation for parameters that are not listed in the
    kernel's kernel-parameters.txt, and to a certian extent read the source
    to find places where kernel-parameters.txt is wrong, and removed those
    too. It's probably better to not document things than to document them
    incorrectly.
  * Modified kernel parameter docs to use the module.param=value syntax
    for all parameters that are owned by a loadable kernel module. The old
    param=value at the boot line won't work, since d-i doesn't pass kernel
    command line to modules. The new syntax requires rootskel 1.30 to work.
    (Not sure what module(s) own hd=, didn't change it yet.)
  * Remove docs for how to disable gdth, which harks back to a non-modular
    kernel.

  [ Christian Perrier ]
  * Rename Punjabi related files from pa_IN to pa.
  * Add the list of needed characters for Northern Sami
  * Add the list of needed characters for Thai

  [ Frans Pop ]
  * Remove no longer used graphical characters from graphic.utf (formerly used
    in partman).
  * Move graphic.utf to needed-characters.
  * Rename all needed-character files to *.utf to simplify Makefile.
  * Remove 2.6 references from hppa config as 2.6 is now default; keep
    EXTRANAME=2.6/ for now in order to not break debian-cd.

  [ Joey Hess ]
  * Remove build dep on libdebian-installer4 now that all udeb deps are fixed
  * Update i386 to 2.6.16.
  * Copy library .so links from library-providing udebs into the udeblib
    directory along with the library files, otherwise mklibs doesn't see them.
    (Crossing fingers that this change, which has been tried once before,
    doesn't break something..)
  * Remove build dep on libdebconfclient0 since all relevant udeb deps are
    fixed.
  * Remove libdebconfclient0 from pkg-list/exclude too.
  * Remove build dep on libdiscover1 now that there's a libdiscover1-udeb
    and proper deps. Remove it from pkg-list/exclude too.
  * Correct comment for libbogl-dev build dep.
  * Add mips mipsel arm and armeb to arch list for the module-init-tools build
    dep since they all use 2.6 kernels now.
  * Limit modutils build dep to the arches that still use 2.4 [arm i386 mips
    mipsel powerpc s390 sparc].

  [ Frans Pop ]
  * Update sparc to 2.6.16; re-enable 2.6 for sparc32.
  * kbd-chooser 1.25 will no longer use usb-mac keymaps for 2.6 based
    installations if AT keymaps are defined; therefore, no longer include
    usb-mac keymaps in images using a 2.6 kernel. Not touching pkg-lists files
    for mips(el) sb1-bcm91250a as they currently don't include AT keymaps.

  [ Joey Hess ]
  * Can't find any uses of cdrom-minimal and netboot-minimal, so removing
    those directories from pkg-lists.

  [ Colin Watson ]
  * Update powerpc to 2.6.16.
  * Pass -r $(KERNELVERSION) to mkvmlinuz rather than -r $(KERNELMAJOR), so
    that it can tell the difference between 2.6.16 and earlier releases.
  * Build chrp initrds for powerpc64.
  * Restore usb-discover on 2.6 images; according to Martin-Éric Racine it's
    still needed to load usbhid et al on some systems. Plus, it's tiny.
  * Add support for OS-specific pkg-lists entries: use lines like
    "gnumach-udeb [hurd]".

  [ Joey Hess ]
  * Comment out nano-udeb and save-logs in the access floppy list to try to
    save space.
  * New usb-serial-modules package added to access floppy, although that
    floppy will now be well oversize.
  * Add kfreebsd and some missing hurd stuff to build dependency info.
    Closes: #363661
  * Remove ide stuff from access floppy, fixing its size problem. Don't know
    why ide stuff was ever on there.
  * Remove USB floppy and keychain support from boot floppy as it was out of
    space.

  [ Kyle McMartin ]
  * Update hppa to 2.6.16.

  [ Frans Pop ]
  * Also include libs named *.so.* when calling mklibs. Not including those
    results in missing symbols when building the graphical installer.
    Closes: #366441.

  [ Joey Hess ]
  * Patch from Samuel Thibault to support testing CD-ROM images in qemu.
    Closes: #367068
  * Add documentation for brltty= boot parameter (hope I got it right).
  * Apply Samuel Thibault's patch to add brltty-udeb to the cdrom, netboot,
    nativehd, and hd-media images. Closes: #355851
  * Mark usb-serial-modules added by brltty patch as optional, since they're
    not yet available on all arches.
  * Increase size of the hd-media images from 128 mb to 256 mb to make more
    room for the netinst.
  * Put modutils udebs back on 2.4/2.2 images since new busybox has dropped
    all support for that.
  * Stop building el-torito i386 image, it's too big due to above busybox
    change.
  * i386 floppy is full due to above busybox change, moved half the network
    stuff the the net-drivers floppy, which now must be used for all network
    installs.
  * i386 bootfloppy is broken:
    mount: Couldn't setup loop device
    No idea why. Disabled i386 root and boot floppies. :-(
  * Add EXTRAUDEBS variable which can be used to pull in extra udebs for
    library reduction that are not on boot images.
  * Include cdebconf-newt-entropy in EXTRAUDEBS so that its symbols are in the
    boot images; since it is linked into cdebconf which uses the reduced libc.
  * No more parted build dep; those udeb deps are fixed.

  [ Frans Pop ]
  * Integrate graphical installer. Closes: #228808.

  [ Steve Langasek ]
  * Drop serial-modules from the alpha images, since this package is empty
    now in 2.6.16 apparently due to drivers being built into the kernel

  [ Colin Watson ]
  * Integrate graphical installer on powerpc.

  [ Joey Hess ]
  * Workaround syslinux weirdness on hd-media images; when asked to boot
    2.6/linux, it tries to boot "2.6/l". Rename files out of directories to
    avoid this; the gtk initrd has the unappetizing name "initrdg.gz".
  * Fix amd64 gtk miniiso build.
  * Switch i386 to 2.6.16-2.

  [ Sven luther ]
  * Switch powerpc to 2.6.16-2 and disable non-working powerpc subarches.
    Closes: #373264.

  [ Martin Michlmayr ]
  * Switch mips to 2.6.16-2.
  * Switch arm to 2.6.16-2.
  * Switch mipsel to 2.6.16-2.
  * Add images for RiscPC (rpc).
  * Remove 2.4 images on mips.
  * Add 2.6 images for DECstation.
  * Remove 2.4 images on mipsel.

  [ Frans Pop ]
  * Switch sparc and amd64 to 2.6.16-2.
  * graphic.utf: add arrow characters needed for scrollbar display; remove
    unused/duplicate characters.
  * Remove needed_characters files for "level 4" languages (are not supported
    in newt frontend).
  * Rename needed_characters files for prospective languages so they're not
    included yet.
  * Switch hppa to 2.6.16-2.
  * Switch ia64 to 2.6.16-2.
  * Include USB-MAC keymaps again for powerpc with 2.6 kernels; they've been
    re-enabled in kbd-chooser for that architecture.

  [ Joey Hess ]
  * Switch from using DEBCONF_PRIORITY and sometimes debconf/priority to
    consistently using priority=low to boot to expert mode. Needs preseed
    1.17.
  * Change x86 help screen to document fb=false alias.
  * Remove libtextwrap1 from build deps and pkg-lists/exclude; cdebconf
    now uses the library udeb.

  [ Christian Perrier ]
  * Remove all *.prospective files as all these languages are only used in
    the graphical installer.

  [ Joey Hess ]
  * Remove mountfloppy from netboot/common list, add it to only arches that
    support floppies.
  * Don't include brltty on the netboot image for nslu2 machines,
    which uses network-console. Actually, I removed it from images for arches
    except for alpha, amd64, i386, ia64, and powerpc, since the other netboot
    images seem to lack serial-modules.
  * Remove local copy of slugimage and use the debian package.

  [ Frans Pop ]
  * Disable powerpc/apus as the 2.4 kernels it currently uses were removed
    from the archive.

  [ Colin Watson ]
  * Only try upx compression if UPX is defined; avoids build noise on amd64.

 -- Frans Pop <fjp@debian.org>  Wed, 26 Jul 2006 08:27:46 +0200

debian-installer (20060711ubuntu18) edgy; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 21 Oct 2006 00:06:19 +0100

debian-installer (20060711ubuntu17) edgy; urgency=low

  * No-change rebuild to pick up new cdebconf-keystep and localechooser.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 17 Oct 2006 14:42:06 +0100

debian-installer (20060711ubuntu16) edgy; urgency=low

  * No-change rebuild to pick up the new kernel.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 17 Oct 2006 09:22:35 +0100

debian-installer (20060711ubuntu15) edgy; urgency=low

  * Replace cdebconf-newt-entropy with cdebconf-newt-detect-keys in
    EXTRAUDEBS; cdebconf-newt-entropy is in universe for edgy.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 12 Oct 2006 13:54:36 +0100

debian-installer (20060711ubuntu14) edgy; urgency=low

  * Add/update help text translations from Rosetta, modified to account for
    some strings that are currently translatable but shouldn't be: Bengali,
    German, Spanish, Basque, Finnish, French, Galician, Hungarian,
    Indonesian, Italian, Georgian, Korean, Kurdish, Kirghiz, Marathi, Malay,
    Dutch, Occitan, Polish, Portuguese, Portuguese (Brazil), Russian,
    Slovak, Swedish, Turkish, Vietnamese, Chinese (China).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 12 Oct 2006 10:28:51 +0100

debian-installer (20060711ubuntu13) edgy; urgency=low

  * Move to 2.6.17-10 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 26 Sep 2006 21:59:11 +0100

debian-installer (20060711ubuntu12) edgy; urgency=low

  * build/boot/x86/help.xml: When building gfxboot help for live CDs,
    replace F4 with a stub page discussing (from 40,000 feet) how to rescue
    a broken system (closes: Malone #47570).
  * Move to 2.6.17-9 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 25 Sep 2006 10:55:52 +0100

debian-installer (20060711ubuntu11) edgy; urgency=low

  * Move to 2.6.17-8 kernels.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 20 Sep 2006 01:16:51 +1000

debian-installer (20060711ubuntu10) edgy; urgency=low

  * build/config/i386/netboot.cfg: Bump FLOPPY_SIZE to 16384.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 12 Sep 2006 12:49:26 +0100

debian-installer (20060711ubuntu9) edgy; urgency=low

  * Switch from kbd-chooser to console-setup. Adjust build/Makefile to
    include /usr/share/console-setup-mini/*.tree in all.utf.
  * Move to 2.6.17-7 kernels. Adapt to new image names (amd64-generic ->
    generic, itanium-smp -> itanium).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  7 Sep 2006 19:05:04 +0100

debian-installer (20060711ubuntu8) edgy; urgency=low

  * No-change rebuild to pick up new components (no-more-devfs).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri,  1 Sep 2006 16:31:41 +0100

debian-installer (20060711ubuntu7) edgy; urgency=low

  * Remove -d from mkvmlinuz arguments so that we can build a vmlinuz again
    (closes: Malone #58041).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Aug 2006 21:13:53 +0100

debian-installer (20060711ubuntu6) edgy; urgency=low

  * Move to 2.6.17-6 kernels.
  * Restore use of nic-firmware-* again.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 16 Aug 2006 19:34:29 +1000

debian-installer (20060711ubuntu5) edgy; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 27 Jul 2006 14:56:39 +0100

debian-installer (20060711ubuntu4) edgy; urgency=low

  * Drop nic-firmware-* temporarily, since it seems to have disappeared (see
    Malone #53141).

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 16 Jul 2006 14:46:24 +0100

debian-installer (20060711ubuntu3) edgy; urgency=low

  * Move to 2.6.17-5 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 14 Jul 2006 16:12:55 +0100

debian-installer (20060711ubuntu2) edgy; urgency=low

  * Bump size of amd64 netboot boot.img to 16000.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 13 Jul 2006 10:32:23 +0100

debian-installer (20060711ubuntu1) edgy; urgency=low

  * Resynchronise with Debian, based on Subversion trunk as of 20060711
    (20060304, the last release, predates a lot of udeb dependency fixes).
  * Set default suite to edgy.
  * Move to 2.6.17-4 kernels.
  * Disable the graphical installer build targets for now; we'll wait for
    this to mature a bit more in Debian.
  * Fix build/boot/x86/po4a.cfg so that po4a can update all the .po files.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 12 Jul 2006 11:11:17 +0100

debian-installer (20060304) unstable; urgency=low

  * Add build dependency on debian-archive-keyring so that the archive key can
    be checked. Closes: #355098.

 -- Frans Pop <fjp@debian.org>  Sat,  4 Mar 2006 01:56:43 +0100

debian-installer (20060302) unstable; urgency=low

  * Remove floppy-modules udeb again from powerpc root floppy as it seems this
    is not the cause of the problems in #345467.

 -- Frans Pop <fjp@debian.org>  Thu,  2 Mar 2006 12:59:32 +0100

debian-installer (20060218) unstable; urgency=low

  [ Steve Langasek ]
  * Add alpha to the list of archs build-depending on module-init-tools,
    now that we're building 2.6.

 -- Frans Pop <fjp@debian.org>  Fri, 17 Feb 2006 23:58:05 +0100

debian-installer (20060217) unstable; urgency=low

  * Add myself to uploaders.
  * Acknowledge bugs closed in previous version which was uploaded as NMU by
    mistake. Closes: #343674, #344854.
  * Add missing build dependency on apt-utils (needed for localudebs handling).

 -- Frans Pop <fjp@debian.org>  Fri, 17 Feb 2006 02:52:43 +0100

debian-installer (20060215) unstable; urgency=low

  [ dann frazier ]
  * Stop using mklibs-copy on ia64, now that #326103 is fixed.

  [ Joey Hess ]
  * Deal with dpkg-deb output change in udeb version extraction code.

  [ Frans Pop ]
  * Switch to 2.6.14 kernel for i386 and sparc64.
  * Run with udev by default (2.6 kernels only). This is now required for i386
    and should also work with 2.6.12 kernels for other arches.

  [ Colin Watson ]
  * Add slightly more error checking to genbuilddeps.
  * Include rescue-mode in monolithic images.
  * Use pcmciautils-udeb instead of pcmcia-cs-udeb on architectures that
    have moved to kernels newer than 2.6.12.

  [ Joey Hess ]
  * Make socket-modules kernel udeb optional in pkg-lists, it's going away in
    current 2.6 kernels.

  [ Kurt Roeckx ]
  * Switch to 2.6.14 kernel for amd64.

  [ dann frazier ]
  * Switch to 2.6.14 kernel for ia64.

  [ Frans Pop ]
  * No longer use discover and usb-discover for 2.6 based installations (all
    architectures).
  * Include pciutils-udeb for 2.6 based installations (all architectures).
    This brings back display of NIC names when a system has more than one and
    allows save-logs to include lspci info.
  * Update to libdevmapper1.02 in monolithic target.

  [ Christian Perrier ]
  * Add needed-characters for Khmer (1780-17FF range)
  * Add needed-characters for Nepali

  [ Joey Hess ]
  * Removed nic-extra-modules, isa-pnp-modules, usb-modules from the netwinder
    netboot image since none should be useful on a netwinder and the netwinder
    has a hard 4 mb limit to the initrd size. Closes: #343674
  * Switch all i386 2.6 images to initramfs.

  [ Sven Luther ]
  * Updated powerpc config to 2.6.14-2 kernels.

  [ Joey Hess ]
  * Patch from Rod Whitby to support jffs2 generation. Closes: #344854
  * Document the new MKFS_JFFS2 variable.
  * Allow for TEMP_INITRD (and presumably INITRD too) to be theoretically
    changed to something that makes more sense for jffs2 images.

  [ Martin Michlmayr ]
  * Add initial support for BCM947xx mipsel devices but don't activate it.
  * Add 2.6 images for Footbridge (CATS and Netwinder).
  * Add support for NSLU2 devices on arm and armeb.
  * Support SSH installations on Cobalt.
  * Remove code to build xxs1500 images since this was never supported.
  * Reorganize the DECstation tree and put images in sub-dirs.

  [ Joey Hess ]
  * Switch i386 to the 2.6.15-1 kernel.

  [ Kurt Roeckx ]
  * Switch amd64 to the 2.6.15-1 kernel.

  [ Frans Pop ]
  * Switch sparc to the 2.6.15-1 kernel.
  * Change build dependency from sysutils to tofrodos as package was split.

  [ Colin Watson ]
  * Switch powerpc to the 2.6.15-1 kernel.

  [ Steve Langasek ]
  * Switch alpha to the 2.6.15-1 kernel.
  * Add scsi-common-modules to the alpha cdrom initrd.

  [ Frans Pop ]
  * Don't drop English translations for S/390 initrds.
  * Also remove Indices-* and Default-* lines when dropping translations.
  * Include sparc-utils-udeb for sbus detection on Sparc 2.6 based installs.

  [ Joey Hess ]
  * Update hppa to 2.6.15-1 kernel. Completly and utterly untested.

  [ Stephen R. Marenka ]
  * Update m68k to 2.6.15-1 kernel.
  * Add console-keymaps-at to m68k.cfg's to appease kbd-chooser
    (keeps us from getting the console-keymaps-acorn).

  [ Frans Pop ]
  * Add missing floppy-modules udeb to powerpc root floppy.

 -- Frans Pop <fjp@debian.org>  Wed, 15 Feb 2006 10:39:01 +0100

debian-installer (20051031) unstable; urgency=low

  [ Stephen R. Marenka ]
  * Added amiboot dependency for m68k.

  [ Kurt Roeckx ]
  * Stop building the monolithic target on amd64.

  [ Colin Watson ]
  * Only generate /etc/lsb-release if a udeb hasn't already provided it.
  * Move "main/debian-installer" (for sources.list.udeb) to a
    UDEB_COMPONENTS variable in build/config/common, so that people can more
    easily build with e.g. non-free udebs.
  * Include module-init-tools-udeb when using udev; busybox modprobe doesn't
    seem to support enough of newer kernel features like aliases and
    blacklisting to be usable there yet.
  * Use [2.6] for udev pkg-lists instead of kernel_specific.

  [ Joey Hess ]
  * Switch to root=/dev/ram in syslinux configs to support 2.6.14 post-devfs
    kernels.
  * Did away with the kernel_specific pkg-lists directories.
  * Back to managing localudebs with apt. To support secure apt,
    authentication is disabled and a warning printed if there are any udebs
    in the localudebs directory. During an official build there will not be
    any and the downloaded udebs will be properly authenticated.
  * pkg-list: Turn off debugging as the dep resolutuon stuff is working ok
    now.

 -- Joey Hess <joeyh@debian.org>  Wed, 16 Nov 2005 15:04:47 -0500

debian-installer (20051026ubuntu36) dapper; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 31 May 2006 00:10:57 +0100

debian-installer (20051026ubuntu35) dapper; urgency=low

  * Fix mismatched XML tags in Russian help text translation.
  * Cope with po4a-translate discarding help text translations due to them
    being too incomplete.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 23 May 2006 20:59:05 +0100

debian-installer (20051026ubuntu34) dapper; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 23 May 2006 19:42:40 +0100

debian-installer (20051026ubuntu33) dapper; urgency=low

  * Move to 2.6.15-23 kernels.
  * Add Spanish, Basque, Finnish, Hungarian, Indonesian, Dutch, Occitan,
    Portuguese (Brazil), Russian, Vietnamese, and Chinese (China) help text
    translations from Rosetta.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 18 May 2006 20:48:25 +0100

debian-installer (20051026ubuntu32) dapper; urgency=low

  * Move to 2.6.15-22 kernels.
  * Update French, Korean, and Portuguese help text translations from
    Rosetta.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  8 May 2006 09:10:31 +0100

debian-installer (20051026ubuntu31) dapper; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  4 May 2006 10:34:16 +0100

debian-installer (20051026ubuntu30) dapper; urgency=low

  * Move to 2.6.15-21 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 23 Apr 2006 17:31:50 +0100

debian-installer (20051026ubuntu29) dapper; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 17 Apr 2006 11:23:16 +0100

debian-installer (20051026ubuntu28) dapper; urgency=low

  * NFS is compiled in statically on hppa, so don't try to include
    nfs-modules there.
  * Add French, Korean, and Swedish help text translations from Rosetta.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  6 Apr 2006 09:03:14 +0100

debian-installer (20051026ubuntu27) dapper; urgency=low

  * debian/rules: Calculate SUITE correctly for uploads to pockets (e.g.
    dapper-security).
  * Add nfs-modules to all netboot initrds, except powerpc where yaboot
    won't be able to load the initrd if it gets much bigger (closes: Malone
    #34161).
  * Move to 2.6.15-20 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  5 Apr 2006 10:14:33 +0100

debian-installer (20051026ubuntu26) dapper; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 29 Mar 2006 10:53:48 +0100

debian-installer (20051026ubuntu25) dapper; urgency=low

  * Update copyright dates in boot screens (closes: Malone #36820).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 27 Mar 2006 13:57:40 +0100

debian-installer (20051026ubuntu24) dapper; urgency=low

  * Ship elilo configuration on i386 for Intel-based Macs.
  * Update syslinux and yaboot boot parameters for server installs to take
    account of the single-stage installer changes.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 22 Mar 2006 12:52:31 +0000

debian-installer (20051026ubuntu23) dapper; urgency=low

  * Move to 2.6.15-19 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 20 Mar 2006 23:09:37 +0000

debian-installer (20051026ubuntu22) dapper; urgency=low

  * No-change rebuild to pick up cdebconf security fixes.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 13 Mar 2006 17:22:14 +0000

debian-installer (20051026ubuntu21) dapper; urgency=low

  * Move to 2.6.15-18 kernels.

  * Readd input-modules to sparc/netboot.

  * Readd usb-modules to sparc.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Thu, 09 Mar 2006 12:08:22 +0100

debian-installer (20051026ubuntu20) dapper; urgency=low

  * Move to 2.6.15-17 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat,  4 Mar 2006 00:20:23 +0000

debian-installer (20051026ubuntu19) dapper; urgency=low

  * Move to 2.6.15-16 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 21 Feb 2006 23:19:38 +0000

debian-installer (20051026ubuntu18) dapper; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 16 Feb 2006 17:24:25 +0000

debian-installer (20051026ubuntu17) dapper; urgency=low

  * Add Portuguese help text translation (thanks, Rui Azevedo).
  * Force UTF-8 output in help-to-gfxboot.py.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 10 Feb 2006 11:31:35 +0000

debian-installer (20051026ubuntu16) dapper; urgency=low

  * Build-depend on belocs-locales-bin.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  8 Feb 2006 11:51:23 +0000

debian-installer (20051026ubuntu15) dapper; urgency=low

  * Add gfxboot help text, localisable via DocBook XML and po4a. Eventually
    the same framework should be applicable to the ordinary syslinux help
    text too; there's rather a lot of copied text at the moment.
  * Ship compiled gfxboot help text in the debian-cd tarball.
  * Move to 2.6.15-15 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  7 Feb 2006 16:39:51 +0000

debian-installer (20051026ubuntu14) dapper; urgency=low

  * Move to 2.6.15-14 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 26 Jan 2006 09:37:31 +0000

debian-installer (20051026ubuntu13) dapper; urgency=low

  * Drop minimum memory requirement to 32MB.
  * Move to 2.6.15-13 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 20 Jan 2006 10:09:10 +0000

debian-installer (20051026ubuntu12) dapper; urgency=low

  * Backport from trunk:
    - Include rescue-mode in monolithic images.
  * Move to 2.6.15-12 kernels.
  * Drop libselinux1 and libsepol1 build-dependencies again, now that
    udev-udeb has been fixed.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 13 Jan 2006 10:34:05 +0000

debian-installer (20051026ubuntu11) dapper; urgency=low

  * Build-depend on libselinux1 and libsepol1 for now, since udev-udeb
    depends on them and it's apparently too hard to disable that at short
    notice.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  5 Jan 2006 17:17:35 +0000

debian-installer (20051026ubuntu10) dapper; urgency=low

  * Move to 2.6.15-11 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  4 Jan 2006 12:01:00 +0000

debian-installer (20051026ubuntu9) dapper; urgency=low

  * Move to 2.6.15-10 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 31 Dec 2005 18:15:58 +0000

debian-installer (20051026ubuntu8) dapper; urgency=low

  * Move to 2.6.15-9 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 20 Dec 2005 19:10:21 +0000

debian-installer (20051026ubuntu7) dapper; urgency=low

  * build/pkg-lists/base: Remove casper-check; the reimplemented casper no
    longer delivers this.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 18 Dec 2005 08:20:33 +0000

debian-installer (20051026ubuntu6) dapper; urgency=low

  * build/config/sparc/combined/miniiso-2.6.cfg: Fix kernel path (thanks,
    Fabio M. Di Nitto).

  * Move to 2.6.15-8 kernels.
  * build/pkg-lists/*: Remove ide-core-modules, now built-in.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 13 Dec 2005 08:45:07 +0000

debian-installer (20051026ubuntu5) dapper; urgency=low

  * build/pkg-lists/base: Add bootchart-udeb.
  * build/config/sparc/combined.cfg: Disable miniiso target, which is for
    Linux 2.4 (closes: Ubuntu #20619).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri,  9 Dec 2005 12:05:56 +0000

debian-installer (20051026ubuntu4) dapper; urgency=low

  * Move to 2.6.15-7 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  6 Dec 2005 20:07:06 +0000

debian-installer (20051026ubuntu3) dapper; urgency=low

  * Fix live CD boot text.
  * build/pkg-lists/kernel_specific/2.6/sparc/combined/sparc-scsi: Include
    scsi-modules instead of scsi-common-modules.
  * debian/rules: Adjust SUITE override for UNRELEASED changelog entries for
    dapper.

  * Move to 2.6.15-6 kernels.
  * config/*: ext2 has been modularised, so switch INITRD_FS to initramfs
    everywhere.
  * build/pkg-lists/kernel_specific/2.6/udev: Remove hotplug-udeb, no longer
    needed with new udev.
  * build/pkg-lists/*: Switch from pcmcia-cs-udeb to pcmciautils-udeb.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri,  2 Dec 2005 09:45:49 +0000

debian-installer (20051026ubuntu2) dapper; urgency=low

  * build/boot/ia64.cfg: Add a suitable arch_cd_info_dir target.
  * build/pkg-lists/base: Switch back to module-init-tools-udeb for now;
    busybox modprobe doesn't support all the options we need and doesn't
    seem to have good enough alias and blacklist support.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Nov 2005 13:01:24 +0000

debian-installer (20051026ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.
  * build/config/common: Update for Dapper. Don't use unstable initrd
    preseed file.
  * build/pkg-lists/kernel_specific/2.6/udev: Restore hotplug-udeb and
    grepmap-udeb for now; they'll go away when we switch to 2.6.14 and the
    new udev.
  * debian/control: Drop modutils build-dependency; Ubuntu does not build
    2.4 installer images.
  * build/Makefile: Only create /etc/lsb-release if it isn't in the tree
    already.
  * Update references to ubuntulinux.org in boot screens to be references to
    ubuntu.com instead.
  * Sync up new powerpc64 pkg-lists with powerpc.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 10 Nov 2005 15:34:21 -0500

debian-installer (20051026) unstable; urgency=low

  [ Joey Hess ]
  * Add cramfsprogs dependency for mipsel. Closes: #334780
  * Syslinux ignores failures due to being out of disk space (#335152).
    Avoid this bug by running syslinux on the original, empty disk
    image.
  * If the boot logo can't be copied onto a floppy, don't fail, just proceed
    on without a boot logo. Yes, we're that short on space on the i386 boot
    floppies, no more logos for them until space is freed up.
  * Deal with changed case of Kernel-Version fields in stat generation code.

  [ Colin Watson ]
  * Improve wording of debian-installer binary package description.

 -- Joey Hess <joeyh@debian.org>  Wed, 26 Oct 2005 18:55:45 -0400

debian-installer (20051018) unstable; urgency=low

  [ dann frazier ]
  * Workaround #326103 by using mklibs-copy instead of mklibs on ia64.

  [ Colin Watson ]
  * Drop hotplug-udeb from udev package list; udev-udeb is sufficient now
    that coldplugging support has been added to it.
  * Build mini.iso images for powerpc and powerpc64 netboot.

 -- Joey Hess <joeyh@debian.org>  Tue, 18 Oct 2005 15:57:35 -0400

debian-installer (20051017) unstable; urgency=low

  * No source changes, will catch new i386 kernel udebs that fix usb install
    issue.

 -- Joey Hess <joeyh@debian.org>  Mon, 17 Oct 2005 19:45:50 -0400

debian-installer (20051014) unstable; urgency=low

  * Use cramfs images on mipsel. Current mipsel binaries compress very well.
    Needs newest mipsel kernel udebs.
  * Drop EXTRALIBS. Use EXTRAFILES, code was the same, and it's not used
    otherwise.
  * Copy in EXTRAFILES before depmod so modules can be included if necessary.
  * Remove libiw udeb from netboot-minimal/powerpc.cfg, will be pulled in by
    mklibs/deps as needed.
  * During library reduction, copy in libraries from driver disks same as
    other libraries so mklibs knows where to find them. This is a hack to
    let mklibs work if building a root floppy with driver disks that include
    libraries that are not on the root floppy. It's not ideal, since the
    library gets added to the root floppy by mklibs now. (This issue currently
    only occurs because netcfg, on the root floppies, is linked statically
    and wireless-tools, on some the driver disks, is not.)
  * Back to building from udebs in etch (yeah, it really works now).
  * Further workaround for #329733.

 -- Joey Hess <joeyh@debian.org>  Fri, 14 Oct 2005 16:44:29 -0400

debian-installer (20051009) unstable; urgency=low

  [ Christian Perrier ]
  * Add the list of needed characters for Sanskrit

  [ Joey Hess ]
  * Split manual out into its own top-level directy, and removed it from build
    deps and build system. The debian-installer-manual tracking package is
    replaced by a (currently mostly empty) debian-installer tracking package.

  [ Frans Pop ]
  * Remove fdisk-udeb from hppa cdrom images as partman is used now.

 -- Frans Pop <fjp@debian.org>  Sun,  9 Oct 2005 00:14:46 +0200

debian-installer (20051006) unstable; urgency=low

  [ Bdale Garbee ]
  * patch from Richard Hirst to fix ramdisk size on hppa

  [ Colin Watson ]
  * Revert addition of real alternatives for virtual glibc-pic
    build-dependency, since it apparently confuses sbuild on architectures
    without libc6-pic.

 -- Joey Hess <joeyh@debian.org>  Thu,  6 Oct 2005 15:37:13 -0400

debian-installer (20051005) unstable; urgency=low

  [ Bdale Garbee ]
  * updates for hppa support of 2.6.12 kernels

  [ Sylvain Ferriol ]
  * When ONLINE=n, APT must not cleanup lists directory.

  [ Joey Hess ]
  * Add preseed-common to all initrds, split out from file/network-preseed.
  * Add initrd-preseed too.
  * Add a PRESEED variable, which can be used to specify a preseed file to
    add to the initrd in the location initrd-preseed expects to find one
    (/preseed.cfg).
  * Default PRESEED to unstable.cfg, which sets mirror/udeb/suite, which
    means that all d-i developmental and daily builds that download udebs
    will download them from unstable, not testing.
  * However, in release builds of the package, this is unset, so those will
    pull udebs from testing as previously.
  * Try adding root=/dev/fd0 to the silo.floppy.conf since at least the 2.4
    kernel floppies are reported to not boot without it. This change may
    also affect the 2.6 kernel floppies, which need to be tested.
    Closes: #301374
  * Make syslinux configs use "install" as the label to install, in
    preparation for rescue mode. "linux" continues to work for
    compatability.
  * Add "install24" and "expert24" labels to syslinux configs, in
    preparation for making i386 use 2.6 by default.
  * Turn on dependency resolution for nic-extra-modules, especially useful
    since it has a new dependency in 2.6.11.
  * Turn on dependency resolution for standard-udebs and
    kernel-module-udebs. This allos most of the mess in monolithic/common
    to be removed as the dependencies pull most of it in, except where
    they're still broken.
  * When preseeding mirror/suite, don't make it be seen, so user can
    override from the default.
  * Recent additions (initrd-preseed) made the el-torito image too big on
    i386, drop usb CD support from it to make it build again.
    Stop abusing the build system in sparc.cfg by pretending that cdrom
    and miniiso are subarches. Add a "combined" subarch for these images
    that really contain both sparc64 and sparc32 support.
  * Included 2.6.8 kernel for amd64. Closes: #307306
  * Add support for creating initramfs initrd images (needs rootskel 1.12).
  * Move /unifont.bgf into lib. Needs rootskel 1.12.
  * Resisted the urge to drop i386 el-torito images, which filled up again
    once 2.6 fb-modules was fixed, and instead just dropped all translations
    from these (unused) images.
  * Add rescue-check to all images.
  * Add rescue, rescue24, and rescue26 boot options in syslinux.
  * To document these in syslinux, removed the old, useless f9.txt, and
    shifted f4 through f8 up one; the new f4 documents rescue mode.
  * Updated one place in the manual that referred to fn documents to reflect
    above change.
  * Document rescue mode in ia64 boot screens, but don't add stanzas for it
    since that would go over the limit of 16. Users will have to type
    rescue/enable=true
  * Add stanzas for rescue mode and document in sparc boot screen.
  * Remove devfs=mount from syslinux.cfg. Needs rootskel-bootfloppy 1.13.
  * Use dependency resolution for floppy-retriever, since mountfloppy has
    been split off of it and into a dependency.
  * Add bugreporter-udeb to the i386 root floppy, to cdrom images, and even
    to netboot images, so users can use it to report bugs earlier. Add
    commented out versions to other images on which it won't be very useful,
    since it currently required floppy support.
  * Update the manual for the /var/log/debian-installer ->
    /var/log/installer move.
  * Update the manual for the bugreporter-udeb rename, and for its
    new capailities.
  * Add an /etc/lsb-release file to the initrd, which includes the image
    build date. Useful for determining the provenance of an image.
    Closes: #250321
  * bugreporter-udeb got renamed and is now on more images.
  * Remove redundant rootskel entry from access floppy's package list.
  * Add mountfloppy to each initrd that contains save-logs, except for the
    s390 generic one. save-logs can now drop its dependency on mountfloppy.
  * Make the image tarball be listed as raw-installer in the changes file.
  * Switch to localechooser.
  * Drop all translations from the m68k floppy, which filled up when
    localechooser was added to it, since it didn't have countrychooser on it
    before.
  * Add new env-preseed to base pkg-list.
  * Turn of dpkg logging during image building. Need to depend on new dpkg
    for this.
  * Add support for virtual packages to pkg-lists.
  * Set DEBIAN_VERSION to etch.
  * Switch from hw-detect-full to disk-detect.
  * Updates for libiw28. Remove libiw27 from build deps and from exclude
    list, since the udeb is in fact used now to provide the library and
    netcfg's dependencies have been fixes. Enable dependency resolution
    for netcfg. Now no more updates should be needed here when libiw
    changes.
  * Temporarily disable nano from all images, as it's linked to slang2 and
    the rest of d-i is not, and library reduction cannot cope with two
    slangs.
  * Change udeb list format to match file format expected by katie (add
    arch field).
  * Make update-manifest also manage a MANIFEST.udeb file listing the udebs
    inside each file in the manifest, and pass prameters to update-manifest
    calls to provide this information.
  * Include a udeb.list, based on the MANIFEST.udeb, but munged so katie can
    read it natively, inside the images tarball. This will be used to
    ensure that sources for d-i images do not fall out of the archive.
  * Copyright file updates for 2005.
  * Fix manual to note that linux supports HFS+. Closes: #313488
  * Unset LANG in chroot call in chroot-install section of manual.
    Closes: #311704
  * ia64 does not support rarp, remove from manual. Closes: #250028
  * Document deconf-set-selections -c to check preseed files. Closes: #284289
  * Try to pass appropriate manual_release when building the manual in rules
    file.
  * Switch to slang2.
  * Switch from busybox-cvs to busybox.
  * New busybox supports 2.6 modules, so the hack with modutils-udeb is not
    needed anymore.
  * Add isolinux.cfg files to the debian-cd-into tarball, so that we
    don't have to maintain the same stuff in debian-cd.
  * Switch i386 images that contain a 2.6 kernel to boot 2.6 by default,
    install24 etc boot 2.4.
  * Allow apt to run unauthenticated in offline mode since it may not have
    cached a Release.gpg.
  * di-utils-bootfloppy removed, pipe_progress moved to busybox.

  [ Kurt Roeckx ]
  * Changed libdevmapper1.00-udeb to libdevmapper1.01-udeb in the monolithic
    package list. Closes: #306976
  * Change amd64 kernel from 2.6.8-10 to 2.6.8-11.
  * Do not install nano in the monolithic target.
  * Change amd64 kernel from 2.6.8-11 to 2.6.12-1.

  [ Christian Perrier ]
  * Add the list of needed characters for Kazakh
  * Add the list of needed characters for Vietnamese
  * Add the list of needed characters for Wolof
  * Add the list of needed characters for Bengali
  * Add the list of needed characters for Kurdish
  * Add the list of needed characters for Georgian
  * Add the list of needed characters for Icelandic
  * Add the list of needed characters for Hebrew
  * Add the list of needed characters for Kannada
  * Add the list of needed characters for Tamil
  * Complete the list of needed characters for Persian with the help of
    Arash Bizanjadeh and Eugenyi Meshcheryakov
  * build/Makefile: include xx_YY files from needed-characters to all.utf
    and not only xx files

  [ Colin Watson ]
  * Force HOME=$(TEMP) for hfsutils calls throughout powerpc
    hd_media_common target.
  * Ship yaboot with powerpc hd-media images.
  * Add rescue stanzas to yaboot configuration files.
  * Document raised kernel command-line limits in 2.6.9.
  * Remove devfs=mount from yaboot configuration files. It shouldn't be
    needed any more.
  * Don't remove modules.*map from the initrd if we're using real hotplug.
  * Use the kernel-specific discover and isa-pnp-modules include files
    rather than explicitly listing those udebs throughout pkg-lists.
  * Make a note about another possible cause for 'locale charmap' being
    wrong during font generation, since it confused me for days ...
  * Document new-style timezone preseeding, available from base-config
    2.65.
  * Document rescue mode in the manual.
  * Remove historic manual files from (variously) woody and the old build
    system.
  * Copy KEYRING into the initrd, as /usr/share/keyrings/archive.gpg. I'm
    relying on the keyring being small here, although we should really have
    a keyring udeb instead.
  * Build-depend on gnupg; apt requires it to verify signatures.
  * Add udev pkg-lists files (including both udev and hotplug); not used by
    default yet.
  * Add real alternatives for virtual glibc-pic build-dependency.
  * Remove powerpc-builtin-initrd.sh and corresponding bzip2
    build-dependency on powerpc; we use mkvmlinuz everywhere now.
  * Keep modules.alias in udev/hotplug builds; new coldplug udev needs it.

  [ Frans Pop ]
  * Fix logic error in build/util/pkg-list to get rid of incorrect warnings
    about missing lists.
  * Add build dependencies needed to build PDF/TXT versions of the manual.
  * Make main build script for the manual fail on errors.
  * Introduce cascading stylesheet for the HTML version of the manual.
  * Modify build depends to allow openjade1.3 as well as openjade.
  * Add appendix on installing over plip, contributed by Sylvain Ferriol;
    edited by Frans Pop.
  * Document network-console in manual.
  * Switch sparc to 2.6.12 kernel, dropping 2.6 support for sparc32 as there
    is no 2.6.12. kernel available.
  * Update silo configurations to properly support install, expert and rescue.
  * Enable building both 2.4 and 2.6 images for sparc CDs.
  * Split preseeding example in manual into seperate files for Sarge and Etch;
    the differences were getting too great for a single file.

  [ Martin Michlmayr ]
  * Add support for rescue mode to mipsel/cobalt.
  * Rename the default target of {mips,mipsel}/sb1-swarm-bn from
    'installer' to 'install' in compliance with other arches.
  * Add support for rescue mode to {mips,mipsel}/sb1-swarm-bn.

  [ Stephen R. Marenka ]
  * m68k tools rework.
  * incorporate boot/m68k/amiga scripts in tools.
  * initial support for future penguin and amiboot packages.
  * drop 2.2 kernel support for everything but macs.

  [ Eddy Petrisor ]
  * Removed ASCII characters from needed-characters/vi

  [ David Nusinow ]
  * Add attribution to Karsten M. Self for chroot-install section of the
    manual. Closes: #316487

  [ Joey Hess ]
  * Switch i386 to 2.6.11 kernel.
  * Add file-preseed to netboot image so file-based preseeding can be used on
    netboot mini iso.
  * Remove file-preseed from netboot; that won't work since netboot never
    mounts a CD, duh.
  * Enable text frontend for netboot on all arches.
  * Aribitrarily increased sparc ramdisk_size to 9000 from 8192, since
    it's at least 8230 big now due to added languages.
  * Build-depend on newest libdebian-installer as some udebs have a versioned
    dependency on it.
  * Switch i386 to 2.6.12 kernel.
  * Add support for running upx on binaries inside the initrd, and turn it
    on for a marginal space gain in the (full) i386 boot floppy.
  * Remove usb floppy support from speakup boot floppy since it's terminally
    low on space.
  * Add comments to control file about build deps and add genbuilddeps which
    generates the build dep line based on the comments.
  * As part of the review, removed ncurses-base (not used since we got the
    terminfo udeb), and libnewt0.51 (pulled in by a dep from libnewt-dev)
    and cpio (WTF?)

  [ dann frazier ]
  * Switch ia64 to 2.6.12 kernel.

  [ Joey Hess ]
  * Turned on dependency resolution by default for udebs in pkg-lists.
  * Add libnss-files-udeb to exclude list to work around bug #322506
    (removed again as #322506 was fixed and the exclusion broke
     network-console for S/390 - FJP).
  * Optimise pkg-lists a bit.
  * rootskel-locale renamed to installation-locale.
  * Move md5sums and udeb.list generation into "release" target of
    build/Makefile and run these as part of the daily build too.
  * Cleaned up various userdevfs cruft, goes along with a reworked
    userdevfs udeb.
  * As part of userdevfs cleanup, removed m68k initrd22 images,
    the regular initrds should work wih 2.2 kernels.
  * Add ads subarch for arm, with a "cf" image flavour used to boot
    various ADS arm boards from compact flash. There is not yet a kernel for
    these boards in Debian, so the images do not include a kernel and must be
    used with a monolithic kernel (from ADS).
  * The stats targets no longer build any images. If the image is not built,
    it just won't display stats for it. This is mainly to work around a bug
    that affected the daily builds, where running stats in a separate fakeroot
    after the build would run build again, and rebuild initrds based on the
    trees in tmp, messing up permissions and devices. It also removes a lot of
    unnucessary work in stats, and allows simpler invocation of stats by
    the daily-build script.
  * Don't regenerate the list of udebs in an image in stats, this was
    redundant info and was slow and ugly to generate there.
  * Remove config/local from svn and add a comment to config/common about
    making the file.
  * Add an evil workaround for bug #329733.

  [ Sven Luther ]
  * Enabled powerpc64 support.
  * Killed all 2.4 powerpc kernels except apus.
  * Upgraded to 2.6.12 powerpc kernels.

  [ Otavio Salvador ]
  * Change dependency to libparted1.6-13 due a new soname change on parted
    1.6.24.

  [ Dann Frazier ]
  * Drop the Linux 2.4 support for ia64.

  [ Joey Hess ]
  * Temporarily disabled powerpc floppy builds since they depend on miboot
    kernel udebs that are not in the archive.
  * Temporarily made it build against udebs in sid when releasing this
    package, since it's taking too long to get udebs into etch for a release.

 -- Joey Hess <joeyh@debian.org>  Wed,  5 Oct 2005 21:15:12 -0400

debian-installer (20050317ubuntu19) breezy; urgency=low

  * doc/manual/en/appendix/chroot-install.xml: Recommend installing
    ubuntu-standard as well as ubuntu-desktop. Use metapackages rather than
    tasks.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 11 Oct 2005 21:56:11 +0100

debian-installer (20050317ubuntu18) breezy; urgency=low

  * build/boot/x86/f1.txt, doc/manual/en/appendix/chroot-install.xml,
    doc/manual/en/appendix/files.xml,
    doc/manual/en/preparing/minimum-hardware-reqts.xml: Bump minimum memory
    requirement to 64MB, server install disk requirement to 400MB, and
    desktop install disk requirement to 2GB.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  5 Oct 2005 11:51:58 +0100

debian-installer (20050317ubuntu17) breezy; urgency=low

  * Move to 2.6.12-9 kernels.
  * Drop poxml build-dependency. Since we don't ship a translated manual at
    the moment, we don't need it, and hppa is having trouble with it.
  * Sync hppa pkg-lists with available kernel module udebs:
    - Remove cdrom-modules and socket-modules.
    - Add ide-core-modules and scsi-core-modules to cdrom.
    - Add usb-modules to netboot.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 22 Sep 2005 18:49:47 +0100

debian-installer (20050317ubuntu16) breezy; urgency=low

  * build/boot/x86/pics/ubuntu-usplash.png,
    build/boot/x86/pics/ubuntu-usplash.rle: Add new Ubuntu splash image
    based on usplash artwork.
  * build/config/x86.cfg: Use ubuntu-usplash.rle by default.

  * Manual changes:
    - appendix/example-preseed.xml: Update to take account of changes to
      various installer components (part of Ubuntu #11944):
      + preseed/locale is now debian-installer/locale (Debian change to
        localechooser).
      + Use kbd-chooser/method instead of console-keymaps-*/keymap (Ubuntu
        change to kbd-chooser).
      + Replace tasksel preseeding with base-config/package-selection
        (various Ubuntu changes).
      + Remove mailer configuration, as Ubuntu doesn't install an MTA by
        default.
    - build/entities/urls.ent, appendix/chroot-install.xml: Change all
      references to ubuntulinux.org to be references to ubuntu.com instead.
    - install-methods/downloading-files.xml: Ubuntu branding.
    - install-methods/boot-usb-files.xml: Turn "netboot/boot.img.gz" into a
      link (thanks, Karl Hegbloom).
    - hardware/hardware-supported.xml: Update architecture count for Ubuntu
      and disable table entries for non-Ubuntu-supported architectures
      (thanks, Michael Moore). Add amd64. Remove Debian-only i386 flavours.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 21 Sep 2005 17:33:31 +0100

debian-installer (20050317ubuntu15) breezy; urgency=low

  * Backport from trunk (Christian Perrier, closes: Ubuntu #14024):
    - Complete the list of needed characters for Persian with the help of
      Arash Bizanjadeh and Eugenyi Meshcheryakov
  * Move to 2.6.12-8 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 31 Aug 2005 00:59:39 +0100

debian-installer (20050317ubuntu14) breezy; urgency=low

  * Move to 2.6.12-7 kernels.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Fri, 19 Aug 2005 07:59:03 +0200

debian-installer (20050317ubuntu13) breezy; urgency=low

  * Move to 2.6.12-6 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 29 Jul 2005 21:12:35 +0100

debian-installer (20050317ubuntu12) breezy; urgency=low

  * Move to 2.6.12-5 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 28 Jul 2005 10:28:04 +0100

debian-installer (20050317ubuntu11) breezy; urgency=low

  * build/Makefile: Fetch sparc packages from main only, at Fabio's request.

  * Move to 2.6.12-4 kernels.
  * Remove nic-extra-modules, scsi-common-modules, and scsi-extra-modules
    from all cdrom, hd-media, and netboot images on our architectures.
  * build/pkg-lists/cdrom/sparc.cfg: Use dependency resolution for
    nic-modules.

  * build/pkg-lists/exclude: Update to current trunk, for slang2 transition
    etc.
  * debian/control: Build-depend on libslang2-pic rather than
    slang1-utf8-pic.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 22 Jul 2005 17:32:49 +0100

debian-installer (20050317ubuntu10) breezy; urgency=low

  * build/boot/x86/f3.txt, build/boot/x86/f3.txt.live: Document the memtest
    boot option.
  * build/Makefile: Fetch packages from both main and universe when building
    unofficial architectures (anything other than amd64, i386, or powerpc).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 20 Jul 2005 09:55:55 +0100

debian-installer (20050317ubuntu9) breezy; urgency=low

  * build/config/sparc/cdrom.cfg: Only build 2.6.
  * build/config/sparc/cdrom/2.6.cfg: Don't use cramfs.
  * build/config/sparc/sparc64/netboot-2.6.cfg: Fix KERNELNAME.

  * Backport from trunk (Joey Hess):
    - Updates for libiw28. Remove libiw27 from build deps and from exclude
      list, since the udeb is in fact used now to provide the library and
      netcfg's dependencies have been fixes. Enable dependency resolution
      for netcfg. Now no more updates should be needed here when libiw
      changes.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 13 Jul 2005 13:03:31 +0100

debian-installer (20050317ubuntu8) breezy; urgency=low

  * Move to 2.6.12-3 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 28 Jun 2005 18:19:28 +0100

debian-installer (20050317ubuntu7) breezy; urgency=low

  * Move to 2.6.12-2 kernels.
  * Replace power3 and power4 with powerpc64.
  * doc/manual/en/hardware/supported/powerpc.xml: Document powerpc flavour
    changes.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 23 Jun 2005 15:46:23 +0100

debian-installer (20050317ubuntu6) breezy; urgency=low

  * Disable USB on sparc for now.
  * doc/manual/en/install-methods/automatic-install.xml: Bootloader
    passwords and device --opts have been implemented for Kickstart.
  * Backport from trunk (Joey Hess):
    - build/pkg-lists/base: Add new env-preseed.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 16 Jun 2005 00:26:35 +0100

debian-installer (20050317ubuntu5) breezy; urgency=low

  * Quote DOS_VOLUME_LABEL setting properly.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 10 May 2005 16:27:22 +0100

debian-installer (20050317ubuntu4) breezy; urgency=low

  * build/config/common: Fetch distribution name and version number from
    lsb_release.
  * debian/control: Build-depend on lsb-release.
  * build/config/, build/boot/: Replace Ubuntu branding with substituted
    ${DISTRIBUTION_NAME} in a number of places. This is still incomplete.

  * build/pkg-lists/monolithic/common: libdevmapper1.00-udeb ->
    libdevmapper1.01-udeb.
  * Backport from trunk (Joey Hess):
    - Move /unifont.bgf into lib. Needs rootskel 1.12.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 10 May 2005 12:42:07 +0100

debian-installer (20050317ubuntu3) breezy; urgency=low

  * Restore build/boot/x86/pics/ubuntu.*, lost in merge.
  * Don't build powerpc hd-media for 2.4.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri,  6 May 2005 23:14:08 +0100

debian-installer (20050317ubuntu2) breezy; urgency=low

  * build/config/sparc/sparc64.cfg: Build the netboot-2.6 medium instead of
    netboot.
  * doc/manual/en/install-methods/automatic-install.xml: Document the new
    'preseed' Kickstart command in kickseed 0.24.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri,  6 May 2005 14:12:17 +0100

debian-installer (20050317ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.
  * build/boot/powerpc/yaboot.conf*, build/config/common,
    doc/manual/build/entities/common.ent: Update for Breezy.
  * build/Makefile: Copy powerpc mkvmlinuz objects from
    /usr/lib/linux-image-*/, not /usr/lib/kernel-image-*/.
  * doc/manual/build/entities/common.ent: Breezy (and, in fact, Hoary too)
    has X.Org 6.8.2.
  * doc/manual/en/install-methods/automatic-install.xml: Document Ubuntu
    additions to Kickstart.
  * doc/manual/en/install-methods/boot-usb-files.xml: On i386, recommend
    extracting boot.img.gz to /dev/sda1, not /dev/sda.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 26 Apr 2005 09:24:21 +1000

debian-installer (20050317) unstable; urgency=low

  * Frans Pop
    - Add German and Russian for official builds of the manual
    - Add PDF and TXT formats for official builds of the manual
  * Martin Michlmayr
    - Mention rootdev in the ARM manual, thanks Kyle McMartin.
    - Use the correct TFTP filename for ARM Netwinder.
    - Remove bogus information about noinitrd option from ARM manual.
    - Mention option needed for serial console installations on
      ARM Netwinder, thanks thanks Kyle McMartin.

 -- Joey Hess <joeyh@debian.org>  Thu, 17 Mar 2005 10:54:07 -0500

debian-installer (20050305) unstable; urgency=high

  * Thiemo Seufer
    - Do an e2fsck for the extra floppy images.
    - Handle sparse files in cramfs images more efficiently.
    - Use cramfs images for mips/r4k-ip22 and mips/r5k-ip22.
    - Add cramfsprogs build-dep for mips.
  * Colin Watson
    - Add acpi-modules to the amd64 cdrom, hd-media, monolithic, and netboot
      initrds, so that rootskel can turn the fan on.
    - Use dependency resolution for ide-modules, nic-modules,
      pcmcia-storage-modules, scsi-common-modules, scsi-modules, and
      usb-storage-modules on powerpc, and remove several modules from
      powerpc-extra-modules that only belong on certain images. This removes
      cdrom-core-modules and fs-common-modules from netboot images, and adds
      parport-modules to apus/cdrom (I think it was missing by mistake).
    - Add support for kernel-specific pkg-lists entries: use lines like
      "package [2.2 2.4]" or "package * [2.6]". Should eventually form a
      simpler replacement for the kernel_specific directory.
    - Include initrd.list on amd64/i386 images.
    - Add hd-media image for powerpc, including a boot.img.gz designed for
      use on USB sticks.
    - Document USB booting on powerpc. This involved splitting out the
      documentation for USB booting on i386 a bit.
    - Since power3 and power4 no longer build images with the 2.4 kernel,
      remove their KERNELVERSION_2.4 variables and kernel-build-2.4*
      build-dependencies.
    - Switch libparted1.6-0 build-dependency to libparted1.6-12.
    - Fix support for multiple words in KERNELVERSION.
  * Christian Perrier
    - Add the list of needed characters for Belarussian
    - Add the list of needed characters for Esperanto
  * Martin Michlmayr
    - Switch Cobalt to use the new-style initrd parameter rd_start and
      rd_size.
  * Stephen R. Marenka
    - Add m68k/amiga startup scripts with thanks to and the permission of
      Christian T. Steigies <cts@debian.org>.
  * Frans Pop
    - Implement new-generation build scripts for sarge branch.
    - Make kernel-version for sparc64 ide-modules variable by using an
      #include rather than the full module name.
    - Add gawk and poxml build dependencies (required for the manual)
  * Joshua Kwan
    - Change sparc kernels to use 2.6.8-2 udebs.
  * Joey Hess
    - Add new usb-modules to sparc64 images to support usb keyboard on sun
      blades.
    - Move all utilities in build/ into build/util/, except daily-build,
      which is hardcoded in many cron jobs.
    - Fix two cases where the pkg-lists dependency checker printed warnings
      about dependencies that were actually ok.
    - Manual correction re debconf/priority.
    - Don't fail to build if sources.list has a cdrom entry in it
      (don't try to use the cdrom as a udeb source, either).
    - Switch i386, ia64, alpha, hppa, and s390 to use the -2 kernel abiname.
    - Add text frontend to alpha netboot image for general old-timey keenness.
    - Dropped hppa 2.4 images.
    - Removed various things from the hppa 2.6 netboot initrd to make
      it small enough to work again.
    - Add cdrom-modules to hppa cdrom initrd, this is a new package as of the
      -2 kernel.
    - Add socket-modules to all hppa initrds, also newly modularised.
  * Bdale Garbee
    - hppa 2.6 cdrom initrd needs more modules
  * Kurt Roeckx
    - Remove unused config files for amd64.
    - Update kernel version for amd64 to 2.6.8-11
    - Update netboot and monolithic config files for amd64 to match i386.
  * Sven Luther
    - Adapted to new 2.4.27-3 and 0.64 powerpc kernel .deb and .udebs and
      mkvmlinuz.

 -- Joey Hess <joeyh@debian.org>  Sat,  5 Mar 2005 13:07:49 -0500

debian-installer (20041227ubuntu24) hoary; urgency=low

  * Add nic-firmware to netboot initrds (closes: #8390).
  * Update copyright notices to 2005.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  5 Apr 2005 18:32:08 +0100

debian-installer (20041227ubuntu23) hoary; urgency=low

  * Fix powerpc build (copy yaboot to the right place).

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 26 Mar 2005 17:15:06 +0000

debian-installer (20041227ubuntu22) hoary; urgency=low

  * Manual changes:
    - appendix/example-preseed.xml: Document how to pick a particular
      interface with netcfg/choose_interface. Update locale preseeding
      advice to localechooser. Add advice on preseeding a netboot interface
      on the kernel command line. Note that kernel 2.6.9 has raised kernel
      command line limits.
    - install-methods/automatic-install.xml: Document Kickstart
      installations (currently only the basics, a reference to Red Hat's
      documentation, and the differences from Anaconda).
  * Ship yaboot in powerpc netboot/hd-media directories.
  * Drop ia64 boot.img size to 16MB, to save CD space.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 26 Mar 2005 14:18:04 +0000

debian-installer (20041227ubuntu21) hoary; urgency=low

  * Move to 2.6.10-5 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Mar 2005 19:14:43 +0000

debian-installer (20041227ubuntu20) hoary; urgency=low

  * Fix netboot image build problem.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  2 Mar 2005 12:41:38 +0000

debian-installer (20041227ubuntu19) hoary; urgency=low

  * Rename debian-installer to ubuntu-installer in netboot image tree. (This
    directory name is there so that the installer's files can coexist with
    others on a shared TFTP server, so it should probably be named
    differently by Ubuntu derivatives too.)
  * Clarify syslinux boot message text (thanks, Mark Shuttleworth; closes:
    Ubuntu #7002).
  * Manual changes to note that post-installation logs go in
    /var/log/installer/ now.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  1 Mar 2005 21:50:31 +0000

debian-installer (20041227ubuntu18) hoary; urgency=low

  * Remove obsolete file-kickseed and network-kickseed packages from all
    images. initrd-kickseed does everything now.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 25 Feb 2005 20:32:24 +0000

debian-installer (20041227ubuntu17) hoary; urgency=low

  * Add the characters from the decision tree to all.utf
    (which is used as the base for building the font).

 -- Matthias Urlichs <smurf@debian.org>  Fri, 25 Feb 2005 16:52:50 +0100

debian-installer (20041227ubuntu16) hoary; urgency=low

  * Backport from trunk:
    - Fix support for multiple words in KERNELVERSION.
  * Add hppa support, based on a patch by LaMont Jones:
    - build/boot/hppa/mkiso.conf: Remove obsolete devfs=mount,dall
      init=/linuxrc.
    - build/config/hppa.cfg: 2.6 only; use 2.6.10-4 kernel; kernel images
      named *-hppa{32,64} rather than *-{32,64}.
    - build/config/hppa/: 2.6 only.
    - build/config/hppa/miniiso.cfg: Bump ramdisk size to 131072.
    - build/pkg-lists/cdrom/hppa.cfg, build/pkg-lists/floppy/hppa.cfg,
      build/pkg-lists/netboot/hppa.cfg: Remove discover.
    - doc/manual/build/build.sh: Build hppa manual.
    - doc/manual/build/arch-options/hppa: 2.6.10 kernel; remove
      status="not-checked".
  * build/pkg-lists/netboot/: Add pciutils-udeb where not already done.

  * doc/manual/en/preparing/non-debian-partitioning.xml: Ubuntu branding.

  * Add network-kickseed to all images containing network-preseed.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 24 Feb 2005 15:33:33 +0000

debian-installer (20041227ubuntu15) hoary; urgency=low

  * Move to 2.6.10-4 kernels.
  * Add console-keymaps-tree to all images that already have kbd-chooser,
    not just the currently supported ones.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Feb 2005 21:08:08 +0000

debian-installer (20041227ubuntu14) hoary; urgency=low

  * Add keyboard decision tree udeb.

 -- Matthias Urlichs <smurf@debian.org>  Fri, 18 Feb 2005 12:46:50 +0100

debian-installer (20041227ubuntu13) hoary; urgency=low

  * Output debian-cd_info.tar.gz on ia64 with all the boot screens.
  * Add customised boot screens for the ia64 live CD.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 17 Feb 2005 21:19:35 +0000

debian-installer (20041227ubuntu12) hoary; urgency=low

  * Add customised boot screens for the live CD.
  * build/boot/powerpc/boot.msg: Ubuntu branding.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Feb 2005 13:35:11 +0000

debian-installer (20041227ubuntu11) hoary; urgency=low

  * Add file-kickseed to all images containing file-preseed.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  9 Feb 2005 18:21:02 +0000

debian-installer (20041227ubuntu10) hoary; urgency=low

  * Backport from trunk:
    - Add support for kernel-specific pkg-lists entries: use lines like
      "package [2.2 2.4]" or "package * [2.6]". Should eventually form a
      simpler replacement for the kernel_specific directory.
  * Add kickseed-common and initrd-kickseed to all images containing
    preseed-common and initrd-preseed.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  7 Feb 2005 19:04:25 +0000

debian-installer (20041227ubuntu9) hoary; urgency=low

  * Add zoneinfo-udeb to monolithic builds, for tzsetup-udeb.

  * Move to 2.6.10-3 kernels.

  * Backport from trunk:
    - Add hd-media image for powerpc, including a boot.img.gz designed for
      use on USB sticks.
    - Document USB booting on powerpc. This involved splitting out the
      documentation for USB booting on i386 a bit.
  * Build boot.img.gz version of powerpc netboot, for use as a bootable USB
    image. Unlike amd64 and i386, this currently requires a 16 MB stick.
  * Manual changes:
    - install-methods/usb-setup/i386.xml,
      install-methods/usb-setup/powerpc.xml: Ubuntu branding.

  * Stop using ubuntu/install-type for server installs; preseed base-config
    instead.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  7 Feb 2005 18:51:14 +0000

debian-installer (20041227ubuntu8) hoary; urgency=low

